Thu Jan 22 16:57:34 2004  Petr Baudis <pasky@ucw.cz>:

	* configure.in (REL_0_9_1rc1):

	0.9.1 

Sat Jan 17 22:51:16 2004  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po (REL_0_9_1rc1):

	.po files were resynced.  

Sat Jan 17 22:48:59 2004  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po (REL_0_9_1rc1):

	Hotkey conflicts fixes.  

Sat Jan 17 22:33:02 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/dump/dump.c (REL_0_9_1rc1):

	Skip the 'MAP@' part of uris when dumping link references. -- Jonas 

Sat Jan 17 22:31:22 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/dump/dump.c (REL_0_9_1rc1):

	Only dump link titles which are not empty. -- Jonas 

Sat Jan 17 22:30:37 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/renderer.c (REL_0_9_1rc1):

	Fix the leak related to <sub> and <sup> the Right Way[tm]. -- Jonas 

Sat Jan 17 22:22:23 2004  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/menu.c (REL_0_9_1rc1):

	Fix a segfault occuring when pressing page down on empty Link
	submenu of main menu. -- zas 

Sat Jan 17 22:21:26 2004  Petr Baudis <pasky@ucw.cz>:

	* src/sched/action.c (REL_0_9_1rc1):

	Add temporary fix for redrawing after calling find_next*(). It broke
	during do_action() generalization. -- Jonas 

Sat Jan 17 07:57:11 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/: dialogs/download.c, sched/download.c, sched/download.h
	(REL_0_9_1rc1):

	Create a new function, is_in_downloads_list, to check whether the 
	passed struct file_download * is in @downloads (the global variable 
	that points into the list of running file downloads).  
	
	Replace the equivalent code in display_download with a call to this 
	function.  
	
	In common_download_do and continue_download_do, only add 
	@file_download to the download manager _after_ calling load_url or 
	change_connection, respectively, and only if 
	is_in_downloads_list(file_download).  
	
	This fixes a bug reported by dacap on IRC whereby ELinks would crash 
	when one attempted to download a file while the download manager was 
	open.  
	
	(Backport from src/sched/download.h:1.28->1.29, 
	src/sched/download.c:1.212->1.213, and
	src/dialogs/download.c:1.35->1.36 on HEAD.) 

Fri Jan  9 12:55:09 2004  Petr Baudis <pasky@ucw.cz>:

	* configure.in (REL_0_9_1rc1):

	0.9.1rc2.CVS 

Fri Jan  9 12:50:11 2004  Petr Baudis <pasky@ucw.cz>:

	* configure.in (REL_0_9_1rc1):

	0.9.1rc2 

Fri Jan  9 12:47:42 2004  Petr Baudis <pasky@ucw.cz>:

	* src/terminal/tab.c (REL_0_9_1rc1):

	Compilation fix.  

Fri Jan  9 12:43:14 2004  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po (REL_0_9_1rc1):

	.po files were resynced.  

Fri Jan  9 12:38:48 2004  Petr Baudis <pasky@ucw.cz>:

	* Makefile.am (REL_0_9_1rc1):

	Added feature.h. Oops.  

Fri Jan  9 10:28:01 2004  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/menu.c (REL_0_9_1rc1):

	Use @menu->selected instead of @s. Spotted by Miciah.  

Fri Jan  9 10:26:12 2004  Petr Baudis <pasky@ucw.cz>:

	* src/config/dialogs.c (REL_0_9_1rc1):

	Do not give the B_ENTER flag to the 'Do not show anymore' button in
	the 'Write config success' box. Miciah.  

Fri Jan  9 10:25:21 2004  Petr Baudis <pasky@ucw.cz>:

	* src/terminal/tab.c (REL_0_9_1rc1):

	When closing the current tab, switch to the previous tab _first_, so
	that the next tab doesn't lose its 'unvisited' highlighting. Miciah.  

Fri Jan  9 10:24:32 2004  Petr Baudis <pasky@ucw.cz>:

	* src/bookmarks/bookmarks.c (REL_0_9_1rc1):

	Fix session saving to bookmark tabs from left to right. Miciah.  

Fri Jan  9 10:10:37 2004  Petr Baudis <pasky@ucw.cz>:

	* src/sched/session.c (REL_0_9_1rc1):

	Fix startup goto dialog. Patch by Zardoz.  

Thu Jan  8 22:24:00 2004  Petr Baudis <pasky@ucw.cz>:

	* configure.in (REL_0_9_1rc1):

	0.9.1rc1.CVS 

Thu Jan  8 22:15:46 2004  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	0.9.1rc1 

Thu Jan  8 22:14:57 2004  Laurent Monin <zas@norz.org>:

	* src/document/renderer.c:

	Revert extra patch made by Jonas. It has nothing to do there.  

Thu Jan  8 22:14:44 2004  Petr Baudis <pasky@ucw.cz>:

	* NEWS:

	now: feature.h and <object>.  

Thu Jan  8 22:08:11 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	Typo fix.  

Thu Jan  8 22:03:15 2004  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, da.po, de.po, el.po, es.po, et.po,
	fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po, leet.po,
	lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po, sk.po,
	sv.po, tr.po, uk.po:

	.po files were resynced.  

Thu Jan  8 22:03:08 2004  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Czech translation update.  

Thu Jan  8 22:00:01 2004  Petr Baudis <pasky@ucw.cz>:

	* src/config/options.inc:

	Typo fix.  

Thu Jan  8 21:58:44 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5:

	Sync with current option tree.  

Thu Jan  8 21:54:48 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Thu Jan  8 21:54:08 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, document/options.c,
	document/renderer.c:

	Hmm or was it document.browse.forms.input_size. :-P 

Thu Jan  8 21:51:12 2004  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Czech translation update.  

Thu Jan  8 21:48:40 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc:

	'Twas document.browse.forms.input_size.  

Thu Jan  8 21:43:53 2004  Petr Baudis <pasky@ucw.cz>:

	* src/config/options.inc:

	document.html.default_forms_input_size ->
	document.browse.frames.input_size. It wasn't introduced that long
	ago so I think it doesn't deserve an alias ;-).  

Thu Jan  8 21:26:00 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	get_bgcolor() now again bails out when it smells mono color_mode.
	Zas removed this, but he didn't mention it in the log message so I
	believe it was just a mistake.  

Thu Jan  8 21:17:29 2004  Petr Baudis <pasky@ucw.cz>:

	* src/config/conf.c:

	Add the ELinks VERSION header only when we are writing the file from
	scratch.  

Thu Jan  8 21:07:05 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc:

	Sort Document :: Cache options.  

Thu Jan  8 21:00:37 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/view.c:

	Punct. fix.  

Thu Jan  8 18:37:45 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/kbdbind.c, config/kbdbind.h, dialogs/info.c,
	dialogs/info.h, dialogs/menu.c, sched/action.c:

	Add resource-info action and cleanup res_info() renaming it to
	resource_info() and trimming args.  

Thu Jan  8 17:58:33 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/: man/man5/elinks.conf.5, tools/help2doc:

	Update elinks.conf.5 copyright and sync with current option tree.  

Thu Jan  8 17:53:06 2004  Peter Samek <samek@upc.uniba.sk>:

	* po/sk.po:

	Slovak translation update.  

Thu Jan  8 17:49:00 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	Various fixes and cleanups.  

Thu Jan  8 17:24:37 2004  Varga Balázs <vinnui@ent.hu>:

	* po/hu.po:

	Hungarion translation update.  

Thu Jan  8 17:17:36 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	Remove ending dots in captions.  

Thu Jan  8 17:14:41 2004  Laurent Monin <zas@norz.org>:

	* src/config/options.c:

	Extend caption test to i18n captions.  

Thu Jan  8 16:58:17 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French grammar fixes.  

Thu Jan  8 16:53:04 2004  Laurent Monin <zas@norz.org>:

	* src/config/conf.c:

	ELinks version is now written at top of configuration file.  

Thu Jan  8 16:07:48 2004  Laurent Monin <zas@norz.org>:

	* src/config/conf.c:

	Only add a slash to config file name when needed, it prevents double
	slashes in filename displayed in message boxes.  

Thu Jan  8 15:41:21 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Thu Jan  8 15:25:18 2004  Laurent Monin <zas@norz.org>:

	* src/config/dialogs.c:

	Touch option when toggling, suggested by Jonas, and test for term in
	write_config_success().  

Thu Jan  8 14:59:53 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Thu Jan  8 14:57:56 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, sched/session.c:

	Rename ui.sessions.homepage_url to ui.session.homepage, and change
	the behaviour so that "" means use getenv(WWW_HOME) instead. Also
	restore the fallback to WWW_HOME_URL.  

Thu Jan  8 14:56:35 2004  Laurent Monin <zas@norz.org>:

	* src/config/: conf.c, dialogs.c:

	Test for ui.success_msgbox was moved to write_config_success(). A
	new button [ Do not show anymore ] permits to toggle
	ui.success_msgbox from the message box.  

Thu Jan  8 14:25:27 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/action.c:

	Do a little wrapping to make it possible to call enter() through
	do_frame_action().  

Thu Jan  8 14:19:24 2004  Laurent Monin <zas@norz.org>:

	* src/document/: options.h, html/parser.c, html/renderer.c:

	Use macros to wrap comparaisons of use_document_colors.  

Thu Jan  8 13:47:05 2004  Laurent Monin <zas@norz.org>:

	* src/document/: options.c, options.h, html/parser.c,
	html/renderer.c:

	Use "colors" instead of "colours" since it seems the first one is
	the most used in ELinks code.  

Thu Jan  8 13:37:08 2004  Laurent Monin <zas@norz.org>:

	* src/: document/options.c, viewer/text/marks.c:

	Trailing spaces fixes.  

Thu Jan  8 13:32:41 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5:

	Sync with current option tree.  

Thu Jan  8 13:28:53 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, dialogs/menu.h, sched/action.c:

	Normalise exit_prog(). It now takes a @query argument inverting the
	previous meaning.  

Thu Jan  8 13:13:49 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, lowlevel/signals.c:

	Don't call exit_prog() but queue terminal destruction directly.
	exit_prog() is a high level ui function and should not be called
	from a signal handler.  

Thu Jan  8 10:04:05 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Thu Jan  8 09:53:06 2004  Laurent Monin <zas@norz.org>:

	* src/: config/options.inc, sched/action.c, sched/session.c,
	sched/session.h:

	As requested by Jonas, ui.sessions.homepage_url option now controls
	default homepage. And ui.sessions.ignore_www_home permits to force
	use of ui.sessions.homepage_url value instead of env. var. WWW_HOME.
	Note that WWW_HOME_URL still exists in setup.h and is used as
	default value for ui.sessions.homepage_url 

Thu Jan  8 09:09:35 2004  Laurent Monin <zas@norz.org>:

	* src/sched/action.c:

	Typo fixes.  

Thu Jan  8 03:48:52 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/kbdbind.c:

	Fix action for submit-form-reload.  

Thu Jan  8 03:44:01 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/kbdbind.c, config/kbdbind.h, sched/action.c,
	viewer/text/form.c, viewer/text/form.h, viewer/text/link.c:

	Introduce submit-form and submit-form-reload actions mostly to use
	them for menus and simplify submit_form_do() [renamed to
	submit_form()] by calling it through do_frame_action().  

Thu Jan  8 03:28:06 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/kbdbind.c, config/kbdbind.h, sched/action.c,
	viewer/text/form.c, viewer/text/form.h, viewer/text/link.c:

	Introduce reset-form action and handle it in do_action() making it
	possible to handle form reseting entries in the link menu via the
	action object model and frontend reset form via do_frame_action().  

Thu Jan  8 03:15:02 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: sched/action.c, viewer/text/link.c, viewer/text/view.c,
	viewer/text/view.h:

	do_action(): Handle enter and enter-reload for menu code. Nuke
	send_enter_reload().  

Thu Jan  8 02:50:21 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/view.c:

	Cleanup double up on action kbd_action() call.  

Thu Jan  8 02:48:19 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/view.c:

	Complete merging of send_event() stuff with do_action(). Quit.  

Thu Jan  8 02:34:46 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, sched/action.c, viewer/text/view.c:

	do_action(): Handle quit and lua-console actions.  

Thu Jan  8 02:23:55 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/action.c:

	Woopsi, forgot to check whether !anonymous before downloading link.  

Thu Jan  8 02:20:36 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: sched/action.c, viewer/text/view.c:

	Another adventures simplification. Merge frm_download() goodies into 
	download_link().  We do not need the link->type checking parts since 
	get_link_url() will take care of those for us. Instead of passing
	some new enum the action enum is passed to download_link(), much
	simpler. As for the "MAP@" checking it should hopefully not harm
	anything else we could surround it in ACT_DOWNLOAD or something.  

Thu Jan  8 02:02:07 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: sched/action.c, viewer/text/link.c, viewer/text/view.c,
	viewer/text/view.h:

	Another big simplification possible by using do_frame_action() as
	front end.  It is now used to handle download and download-image
	actions.  send_download() is now equivalent to download_link().  

Thu Jan  8 01:50:29 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/action.c:

	Make it possible to pass magic numbers to the do_frame_action()
	@func handler.  

Thu Jan  8 01:34:13 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: sched/action.c, viewer/text/view.c, viewer/text/view.h:

	Rename send_image() to view_image() and use it through
	do_frame_action().  

Thu Jan  8 01:26:51 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: sched/action.c, viewer/text/link.c, viewer/text/view.c:

	do_action(): Handle image and link menu actions. Eh patch is bloated
	by a few cleanups.  

Thu Jan  8 01:09:39 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/action.c:

	Backend the goto url bi'nez using the get_current_*url() functions.  

Thu Jan  8 00:57:03 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: sched/action.c, viewer/text/view.c:

	do_action(): Handle the rest of the goto url actions.  

Thu Jan  8 00:39:16 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/action.c:

	Move goto home page code to separate function to keep the switch
	noodle clean.  

Thu Jan  8 00:29:58 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: sched/action.c, viewer/text/view.c:

	Move lots of action handling from send_event() to do_action().  

Wed Jan  7 23:53:30 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.c:

	Bug when trying to get_opt_*() an alias.  

Wed Jan  7 23:26:12 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Wed Jan  7 23:24:29 2004  Laurent Monin <zas@norz.org>:

	* src/config/options.c:

	Debug mode helper to detect ending dot in option captions. It will
	emit a debug message in this case.  

Wed Jan  7 22:55:37 2004  Laurent Monin <zas@norz.org>:

	* src/config/options.inc:

	Ending dot was removed in option caption.  

Wed Jan  7 21:24:55 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, viewer/text/search.c:

	Move typeahead options to document.browse.search.* and make them
	more generic so they might even be used for other search actions.  

Wed Jan  7 20:02:11 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	html_iframe() now handles id as a synonymum to name attribute.  

Wed Jan  7 20:01:14 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	Implemented very simplistic, quick'n'dirty <object> element support.
	Now it just wraps either html_iframe() or html_img() or it just does
	nothing. You can test it ie. at http://digitasaru.net/ (the
	navbar.html is an object of type text/html).  

Wed Jan  7 19:32:35 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, dialogs/menu.h, sched/action.c:

	menu_save_url_as() -> save_url_as() and drop some args.  

Wed Jan  7 19:27:01 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/action.c:

	Use local term variable.  

Wed Jan  7 19:18:01 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, dialogs/menu.h, sched/action.c,
	terminal/terminal.c, terminal/terminal.h:

	Rename menu_shell() to exec_shell() and move to terminal files.  

Wed Jan  7 19:11:09 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/action.c:

	do_frame_action(): Assert the view state.  

Wed Jan  7 19:08:35 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: sched/action.c, viewer/text/view.c, viewer/text/view.h:

	Rename menu_save_formatted() to save_formatted_dlg() and use
	do_frame_action() as backend (or is it front end ;).  

Wed Jan  7 18:57:16 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/link.c:

	More #include fixes related to the recent action patches.  

Wed Jan  7 18:52:59 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, dialogs/menu.h, terminal/tab.c,
	viewer/text/view.c:

	Remove / fix #includes related to the recent action patches.  

Wed Jan  7 18:26:55 2004  Jonas Fonseca <fonseca@diku.dk>:

	* po/README:

	Mention what '~' in string mean that hotkeys should be unique.  

Wed Jan  7 17:02:09 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, sched/action.c, viewer/text/view.c:

	do_action(): Handle save-* actions. Saving formatted should always
	be interactive so we hardcode that in menu_save_formatted() now.  

Wed Jan  7 16:46:14 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	Update the anonymous setup menu to use the new *buzz* action object
	model *buzz ;-) 

Wed Jan  7 16:42:27 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, sched/action.c, viewer/text/view.c:

	do_action(): Save option and open terminal option dialog was added.  

Wed Jan  7 16:29:00 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, sched/action.c, viewer/text/view.c:

	Move some frame related action handling to do_action(). It uses
	do_frame_action() as a backend which is just a moved version of
	menu_for_frame().  

Wed Jan  7 15:23:16 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/menu.h, dialogs/menu.c:

	Introduce INIT_MENU_ACTION() to decrease the noise of unused
	arguments.  

Wed Jan  7 14:53:15 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/link.c:

	Use add_menu_action() in link_menu().  

Wed Jan  7 14:47:17 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/menu.h, dialogs/menu.c, viewer/text/link.c:

	Make add_menu_action() reflect that no data can be passed. Also
	purge the flag arg since it is not used.  

Wed Jan  7 14:44:14 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/menu.c, sched/action.c, sched/action.h,
	viewer/text/view.c:

	do_action(): Don't take any data arg. We handle that in the
	function.  

Wed Jan  7 14:41:33 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, sched/action.c, viewer/text/link.c,
	viewer/text/view.c:

	Move bookmark adding action handling to do_action().  

Wed Jan  7 12:13:37 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, sched/action.c, viewer/text/link.c,
	viewer/text/view.c:

	Move ACT_OPEN_* handlers to do_action().  

Wed Jan  7 08:44:27 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Wed Jan  7 03:49:03 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bookmarks/dialogs.c, bookmarks/dialogs.h, dialogs/menu.c,
	sched/action.c:

	Handle ACT_BOOKMARK_TABS in do_action(). Normalise the dialog to
	only take the terminal.  

Wed Jan  7 03:47:53 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/terminal.c:

	Ensure we are not in anonynous mode before autosaving.  

Wed Jan  7 03:42:43 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	Don.t add bookmark entries when running in anonymous mode.  

Wed Jan  7 03:18:18 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bookmarks/dialogs.c, bookmarks/dialogs.h, cache/dialogs.c,
	cache/dialogs.h, config/dialogs.c, config/dialogs.h,
	cookies/dialogs.c, cookies/dialogs.h, dialogs/download.c,
	dialogs/download.h, formhist/dialogs.c, formhist/dialogs.h,
	globhist/dialogs.c, globhist/dialogs.h, sched/action.c:

	Normalise manager functions. They are nolonger menu functions so
	there is no need to pass bogus arguments to them.  

Wed Jan  7 03:02:35 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	Presenting the missing good parts from last patch. Removing
	#includes. I sense a small break in the moaning from paskys build
	box.  

Wed Jan  7 02:57:39 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	Oops forgot to remove menu functions so do_action() is used.  

Wed Jan  7 02:53:30 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/renderer.c:

	Remove a superfluous |continue| introduced in
	src/document/html/renderer.c:1.254->1.255.  

Wed Jan  7 02:50:10 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: globhist/dialogs.c, sched/action.c, viewer/text/view.c:

	do_action(): Handle the manager actions. Also drop the anonymous
	checking since unwanted buttons will not be shown. For globhist
	manager it basicly becomes more like the cache manager, and
	option/keybinding manager will only let the user read descriptions
	and do we really want to deprive anonymous users this educational
	experience? ;-) 

Wed Jan  7 02:01:45 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: sched/action.c, viewer/text/view.c:

	Move the rest of the document option toggling in send_event() to
	do_action().  

Wed Jan  7 01:57:17 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: sched/action.c, viewer/text/view.c, viewer/text/view.h:

	Ahh the joy of generalization. Toggling document option that is.  

Wed Jan  7 01:22:22 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/menu.c, dialogs/menu.c, dialogs/menu.h,
	sched/Makefile.am, sched/action.c, sched/action.h,
	viewer/text/view.c:

	Move do_action() to separate file.  

Wed Jan  7 01:09:03 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/view.c:

	send_event(): Use do_action().  

Wed Jan  7 00:58:01 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/menu.c, dialogs/menu.c, dialogs/menu.h:

	Optionalize whether to bug or not when the action was not handled
	and also return the action if it handled or ACT_NONE. This should
	make it usable for send_event() later.  

Wed Jan  7 00:40:47 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: document/document.c, document/document.h,
	document/renderer.c, viewer/text/link.c, viewer/text/link.h:

	Finish the moving of sort_links() by also moving done_link_members()
	used by it and others only in document/. Fix #include of stdlib.h
	for qsort (on FreeBSD atleast).  

Wed Jan  7 00:38:03 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	Instead of defining a wrapper function for each sub menu define
	do_submenu() and pass the sub menu items as the data.  

Wed Jan  7 00:21:48 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, terminal/tab.c, terminal/tab.h,
	viewer/text/view.c:

	do_action(): Handle close all tabs but current action and normalize
	the function since it no longer needs to be a menu function.  

Wed Jan  7 00:12:29 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	do_action(): Handle most used toggling actions.  

Wed Jan  7 00:06:29 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	do_action(): Handle ACT_DOCUMENT_INFO, ACT_HEADER_INFO and
	ACT_KILL_BACKGROUNDED_CONNECTIONS.  

Tue Jan  6 23:59:15 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/kbdbind.c, config/kbdbind.h, dialogs/menu.c:

	It was unanimously decided to use minimize instead of shrink.  

Tue Jan  6 23:39:14 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	do_action(): Insert all unhandled actions so it will be easier to
	muddle on.  

Tue Jan  6 23:26:57 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/kbdbind.c, config/kbdbind.h, dialogs/menu.c:

	Add ACT_CACHE_SHRINK action and use it for do_action(). The concept
	is muddled so I chose shrink since to me it only indicates some best
	effort kind of thing but the action description should be quite
	clear.  

Tue Jan  6 23:02:39 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	do_action(): Add ACT_RELOAD handling.  

Tue Jan  6 22:55:22 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	do_action(): Add ACT_GOTO_URL and sort actions alphabetically for
	now.  

Tue Jan  6 22:47:52 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	Blast menu wrappers in favour of do_action() handling.  

Tue Jan  6 21:48:20 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: document/renderer.c, viewer/text/link.c,
	viewer/text/link.h:

	Moved sort_links() from viewer/text/link.c to document/renderer.c.
	It really operates on {struct document} exclusively, so it really
	belongs to document/.  

Tue Jan  6 21:43:06 2004  Petr Baudis <pasky@ucw.cz>:

	* src/util/error.c:

	Add a notice to the force_dump() that what happenned is not a
	regular segfault but rather an internal error, and therefore users
	shouldn't report it as a segfault but internal error. Really tired
	of those 'ELinks segfaulted' reports, being just assertion failures
	in disguise.  

Tue Jan  6 21:00:56 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/menu.c, bfu/menu.h, dialogs/menu.c, dialogs/menu.h:

	Introduce do_action() for handling session oriented actions. It can
	hopefully gradually evolve into some backend for frame_ev() or
	send_event(). To start with it is used for menus since - after Zas'
	menu action hacking - we begin to use generic action event handlers.
	It is called when the menu function is NULL and the action !=
	ACT_NONE. A macro add_menu_action() ease the dynamic adding of such
	menu entries.  

Tue Jan  6 19:35:09 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/session.c:

	Fix bookmark adding from plain document (where link->name is NULL)
	and improve the 'name' by checking if globhist can provide us with a
	title.  

Tue Jan  6 06:28:15 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/dialogs/status.c:

	Displaying of received after resume was broken.  

Mon Jan  5 19:47:33 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/globhist/globhist.c:

	Fix compiling globhist with warnings. The write timer is unused.  

Mon Jan  5 19:44:50 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Add missing #include <stdarg.h> 

Mon Jan  5 16:55:30 2004  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/download.c:

	Removed ancient FIXME, I'm not gonna fix anything anymore :-).  

Mon Jan  5 13:33:54 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/dump/dump.c:

	Use tab instead of bunch of spaces to indent link target.  

Mon Jan  5 13:32:53 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/dump/dump.c:

	Fixed an off-by-one overflow when iterating through links.  

Mon Jan  5 11:29:40 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/inphist.c:

	Remove unused menu macro.  

Mon Jan  5 11:11:19 2004  Laurent Monin <zas@norz.org>:

	* configure.in:

	gcc flag -fno-inline was removed (--enable-debug mode). It causes
	compilation failure with old gcc/glibc. Errors like undefined
	reference to __strcpy_small are shown, and linking fails.  

Mon Jan  5 08:51:15 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/dump/dump.c:

	Print the title with each link when a title is available.  

Mon Jan  5 08:42:27 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/dump/dump.c:

	In the dump output, when printing the link footnotes below the
	document, include the first link.  

Mon Jan  5 06:14:10 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/view.c:

	In page_down, remove some useless assignments to @newpos, which were
	introduced in src/viewer/text/view.c:1.302->1.303.  

Mon Jan  5 05:51:08 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/renderer.c:

	Remove do_format, which was made a pretty well useless wrapper in
	src/document/html/renderer.c:1.344->1.345, and instead call
	parse_html directly from format_html_part.  

Mon Jan  5 04:54:31 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/: osdep/os2/os2.c, viewer/text/view.c, util/error.h:

	Update a few occurrences of the error(), debug(), wdebug(), and
	internal() macros (now ERROR(), DBG(), WDBG(), and INTERNAL(),
	respectively) in comments and commented-out code.  

Sun Jan  4 23:40:49 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/inphist.c:

	Use dynamic menu interface for tab completion menus.  

Sun Jan  4 20:57:41 2004  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/hierbox.c:

	Fix the is-that-a-folder check introduced by zas.  

Sun Jan  4 20:54:09 2004  Petr Baudis <pasky@ucw.cz>:

	* src/config/dialogs.c:

	Removed some seemingly forgotten condition if (range) in the middle
	of source.  

Sun Jan  4 20:36:26 2004  Petr Baudis <pasky@ucw.cz>:

	* SITES:

	pasky.ji.cz -> pasky.or.cz 

Sun Jan  4 20:18:56 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: hierbox.c, hierbox.h, listbox.h:

	Name the listbox item type enum so we can use exact type in
	functions.  

Sun Jan  4 20:02:42 2004  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	.po files were resynced.  

Sun Jan  4 18:56:35 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/: download.c, status.c, status.h:

	Move download_is_progressing() to header (that is now included in
	the .c file) so it can be used by the download dialog code.  

Sun Jan  4 18:13:04 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/globhist/globhist.h:

	Declare input_history now used for global_history.  

Sun Jan  4 17:53:37 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/mime/backend/: mailcap.c, mimetypes.c:

	Update copyright.  

Sun Jan  4 17:42:03 2004  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5:

	Sync with current option tree.  

Sun Jan  4 16:54:03 2004  Petr Baudis <pasky@ucw.cz>:

	* src/document/refresh.c:

	Removed some funny semicolons.  

Sun Jan  4 16:47:32 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Sun Jan  4 16:22:24 2004  Petr Baudis <pasky@ucw.cz>:

	* src/config/: conf.c, options.inc:

	Introduced ui.success_msgbox which controls displaying of the
	file-was-saved-successfully msgbox. Like it would be so difficult,
	Jonas and Zas.  

Sun Jan  4 16:20:44 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: config/conf.c, config/dialogs.c, config/dialogs.h,
	dialogs/options.c:

	Moved options saving success reporting from individual save button
	handlers to write_config_file().  

Sun Jan  4 15:56:43 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Sun Jan  4 15:41:15 2004  Laurent Monin <zas@norz.org>:

	* src/: config/conf.c, config/conf.h, config/dialogs.c,
	dialogs/options.c:

	A success message is now displayed when options and terminal options
	are sucessfully saved through UI.  

Sun Jan  4 15:40:54 2004  Petr Baudis <pasky@ucw.cz>:

	* src/sched/session.c:

	display_timer() tidyup.  

Sun Jan  4 15:05:37 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/inphist.c, bfu/inphist.h, globhist/globhist.c:

	Use macros to add to and delete from input_history.  

Sun Jan  4 15:04:40 2004  Laurent Monin <zas@norz.org>:

	* src/config/dialogs.c:

	Option modify/info dialogs now shows valid range for boolean,
	integer, and long types.  

Sun Jan  4 15:03:03 2004  Laurent Monin <zas@norz.org>:

	* src/config/options.h:

	Use long type for struct option min and max fields since value may
	be long.  

Sun Jan  4 14:53:36 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/globhist/globhist.c:

	Cleanup and unify finalizers.  

Sun Jan  4 14:40:01 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/globhist/globhist.c:

	Cleanup.  

Sun Jan  4 14:11:22 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/hierbox.c:

	Show a simple message when pressing Info on a folder in an hierbox
	browser. "Press space to expand this folder." is now displayed in
	this case. It works in Cookies manager. Jonas please check if it is
	done as it should or not.  

Sun Jan  4 11:57:35 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/globhist/: dialogs.c, globhist.c, globhist.h:

	Replace global_history_list with input_history. 'One struct to rule
	them all ..' Well maybe we should s/input_history/history_list/ but
	it makes good sense .. also in the perspective of history modules.  

Sun Jan  4 11:42:10 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/globhist/globhist.c:

	Remove usage of struct globhist_cache_entry that only takes up extra
	memory since struct hash_item does all the work.  

Sun Jan  4 06:21:29 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation was updated.  

Sun Jan  4 01:47:56 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Sun Jan  4 01:42:29 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/: history.c, history.h:

	Comment out the definition and use of compress_history (introduced
	in src/sched/history.c:1.59->1.60 and src/sched/history.h:1.23->1.24
	to fix bug 309) as they were preventing session items from beïng
	added when one follows a link in a frame or a link to a fragment
	identifier on the current page.  

Sun Jan  4 01:40:36 2004  Laurent Monin <zas@norz.org>:

	* configure.in:

	Add -fno-inline to CFLAGS when gcc and --enable-debug are used. It
	permits to get more meaningfull backtrace.  

Sun Jan  4 00:56:29 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/listmenu.c:

	Some TODO were added.  

Sun Jan  4 00:44:15 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser.c:

	Test was simplified.  

Sun Jan  4 00:40:45 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser.c:

	Testing against NULL is done in strlcasecmp(), extra test was
	removed.  

Sun Jan  4 00:38:08 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser.c:

	Prevent useless computation of constant string length by caching its
	value. Test with strlcasecmp() were simplified since now NULL string
	is correctly handled. An assertion was added to check name and
	*name.  

Sun Jan  4 00:20:31 2004  Laurent Monin <zas@norz.org>:

	* src/terminal/draw.c:

	draw_text() will now simply return on negative length case, when
	assertions are disabled.  

Sun Jan  4 00:17:42 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	An assertion failure was fixed. It was triggered by resizing
	download dialog in progress to a very low width: negative length for
	text, badly accepted by draw_text().  

Sun Jan  4 00:07:50 2004  Laurent Monin <zas@norz.org>:

	* src/terminal/screen.c:

	Some assertions were added to resize_screen(). Use size_t type
	instead of int for size and bsize variables.  

Sat Jan  3 23:43:05 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/terminal.c:

	Remove functions that are now macros.  

Sat Jan  3 16:04:42 2004  Laurent Monin <zas@norz.org>:

	* src/: bfu/listmenu.h, document/html/parser.h, viewer/text/form.c:

	Now useless header declarations were removed. bfu/listmenu.h is now
	included in viewer/text/form.c.  

Sat Jan  3 15:10:26 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/link.c:

	Include listmenu.h.  

Sat Jan  3 15:10:02 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser.c:

	Last bits of list menus changes.  

Sat Jan  3 15:08:46 2004  Laurent Monin <zas@norz.org>:

	* src/bfu/: Makefile.am, listmenu.c, listmenu.h:

	List menu functions were moved from parser.c to separate files.  

Sat Jan  3 15:07:43 2004  Laurent Monin <zas@norz.org>:

	* src/util/: conv.c, conv.h:

	clr_spaces() was moved from document/html/parser.c to conv.c. It is
	needed since next patch will move list menu functions to
	bfu/listmenu.{c,h}.  

Sat Jan  3 13:59:37 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, cookies/dialogs.c:

	Make it possible to remove cookie folders.  

Sat Jan  3 13:12:15 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, bfu/hierbox.h, cookies/cookies.c,
	cookies/dialogs.c:

	Cookies are now grouped by server. Patch contains some changes to
	make clearing work. It is still not possible to delete a server
	folder.  

Sat Jan  3 13:08:46 2004  Petr Baudis <pasky@ucw.cz>:

	* src/terminal/palette.inc:

	Compilation fix for CONFIG_256_COLORS.  

Sat Jan  3 11:56:08 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: hierbox.c, hierbox.h:

	Backend add_listbox_item().  

Sat Jan  3 11:07:32 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: hierbox.c, listbox.h:

	Add free_empty_folder member to listbox_item.  

Sat Jan  3 10:58:50 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: hierbox.h, listbox.h:

	Move up the listbox_item depth member and define it to -1 for
	hierbox_browser root boxes.  

Sat Jan  3 06:53:19 2004  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/file/cgi.c:

	Now executables (when not in CGI path) are displayed as normal
	files.  Displaying of error dialog box was annoying.  

Sat Jan  3 01:11:57 2004  Petr Baudis <pasky@ucw.cz>:

	* src/cookies/Makefile.am:

	Fixed linking parsetst when having separate srcdir and builddir,
	patch by Harold L Hunt II <huntharo@msu.edu>.  

Sat Jan  3 01:11:31 2004  Petr Baudis <pasky@ucw.cz>:

	* AUTHORS, Makefile.base:

	Fixed make testutils when having separate srcdir and builddir, patch
	by Harold L Hunt II <huntharo@msu.edu>.  

Fri Jan  2 22:06:25 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/bookmarks.c:

	Remove unused variables left untouched from last patch. BTW Miciah
	pointed out the suspicious code that lead to the fix.  

Fri Jan  2 21:58:53 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/bookmarks.c:

	Whoops major bookmark corruption since we do smarter text management
	and this part was not updated.  

Fri Jan  2 20:05:44 2004  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Fixed hotkey conflict.  

Fri Jan  2 19:54:51 2004  Petr Baudis <pasky@ucw.cz>:

	* src/: config/cmdline.c, util/color.c:

	Better cast the color to (unsigned long), to stay safe on 16-bit
	systems.  

Fri Jan  2 19:33:09 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, bfu/hierbox.h, cache/cache.c,
	cookies/cookies.c, formhist/formhist.c, globhist/globhist.c,
	sched/download.c:

	init_listbox_item() -> add_listbox_item().  

Fri Jan  2 18:37:56 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, bfu/hierbox.h, bfu/listbox.c,
	bookmarks/bookmarks.c, bookmarks/bookmarks.h, bookmarks/dialogs.c,
	cache/cache.c, cache/cache.h, cache/dialogs.c, config/dialogs.c,
	config/kbdbind.c, config/kbdbind.h, config/options.c,
	cookies/dialogs.c, dialogs/download.c, formhist/dialogs.c,
	globhist/dialogs.c, globhist/globhist.c, globhist/globhist.h:

	Add a root listbox item to the hierbox_browser struct. It will ease
	hierarchic cookies and other stuff.  

Fri Jan  2 17:53:20 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/kbdbind.c:

	Remove default keybinding for tab-close-all-but-current action.  

Fri Jan  2 17:51:23 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.h, bookmarks/dialogs.c, cache/dialogs.c,
	config/dialogs.c, cookies/dialogs.c, dialogs/download.c,
	formhist/dialogs.c, globhist/dialogs.c:

	Use macros to intialize hierbox_browser structs.  

Fri Jan  2 16:19:52 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c:

	Revert last patch. It breaks wraparound.  

Fri Jan  2 16:14:37 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c:

	Use link->name if available to compare with in typeahead searching.  

Fri Jan  2 15:47:20 2004  Petr Baudis <pasky@ucw.cz>:

	* src/config/kbdbind.c:

	Fixed indentation of ACT_SAVE_AS.  

Fri Jan  2 15:39:41 2004  Petr Baudis <pasky@ucw.cz>:

	* src/util/string.c:

	It's ok to pass NULL strings to strl*cmp() now. Suggested by zas.  

Fri Jan  2 15:38:06 2004  Petr Baudis <pasky@ucw.cz>:

	* src/util/: string.c, string.h:

	Reverted useless same_*str(), I explicitly said no to them before
	their introduction.  

Fri Jan  2 15:35:19 2004  Petr Baudis <pasky@ucw.cz>:

	* src/util/string.h:

	strl*cmp() non-zero return value meaning is undefined.  

Fri Jan  2 15:29:38 2004  Laurent Monin <zas@norz.org>:

	* src/util/: string.c, string.h:

	same_str() and same_casestr() were introduced. Their behavior is
	similar (and in most cases) to strlcmp() and strlcasecmp() but well
	defined. They return 1 if strings match (regarding rules we defined)
	and 0 in all others case, they accept NULL pointers as strings, but
	returns always 0 in that case. If passed string length is negative,
	then nul char is used to detect end of comparaison. In near future,
	almost all occurrences of strl[case]cmp() will be replaced by those,
	and trashed. Feel free to propose better names, but not *strcmp*
	since it may be confusing.  

Fri Jan  2 14:42:18 2004  Petr Baudis <pasky@ucw.cz>:

	* src/util/string.c:

	Fixed missspeling.  

Fri Jan  2 13:29:18 2004  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/dump/dump.c:

	Show references list header only when we have some links to print.  

Fri Jan  2 12:42:52 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser.c:

	Test against NULL strings before calling strlcasecmp(), it prevents
	assertions failure.  

Thu Jan  1 23:40:56 2004  Laurent Monin <zas@norz.org>:

	* src/: elinks.h, util/string.h:

	empty_string_or_() and null_or_stracpy() macros were moved to
	util/string.h.  

Thu Jan  1 23:36:44 2004  Laurent Monin <zas@norz.org>:

	* src/: document/html/parser.c, document/html/tables.c,
	util/string.h:

	is_same_str() -> !strlcasecmp(). Idea by Jonas and Pasky ;).  

Thu Jan  1 22:02:12 2004  Laurent Monin <zas@norz.org>:

	* src/: document/html/parser.c, document/html/tables.c,
	util/string.h:

	is_same_str(name, namelen, what, whatlen) was introduced. It
	shortens lines and is equivalent to ((namelen) == (whatlen) &&
	!strncasecmp((name), (what), (whatlen))), especially in parser.c.  

Thu Jan  1 20:08:47 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/search.c:

	Update the comment for the <ctype.h> inclusion to mention that we
	now also use isprint().  

Thu Jan  1 19:18:46 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* doc/events.txt:

	Improve the description of the goto-url event.  

Thu Jan  1 18:52:05 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/kbdbind.c:

	Move Alt-< (beginning-of-buffer) and Alt-> (end-of-buffer) to the
	edit keymap, as suggested by pasky and Jonas.  

Thu Jan  1 18:50:31 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/status.c:

	s/if/ifdef/ so that ELinks can compile with CONFIG_LEDS enabled.  

Thu Jan  1 18:21:55 2004  Laurent Monin <zas@norz.org>:

	* src/: elinks.h, config/options.c, document/html/frames.c,
	document/html/parser.c, document/html/renderer.c, sched/task.c,
	viewer/text/link.c:

	Macro null_or_stracpy() was introduced to shorten lines. It is
	equivalent to (str ? stracpy(str) : NULL).  

Thu Jan  1 16:56:17 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/mime/backend/common.c:

	foreach_(mime backend_module () ...  

Thu Jan  1 16:42:31 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/modules/module.c:

	Sort #includes.  

Thu Jan  1 16:34:41 2004  Jonas Fonseca <fonseca@diku.dk>:

	* acconfig.h, configure.in, feature.h, src/lowlevel/signals.c,
	src/modules/version.c, src/util/error.c, src/util/error.h:

	BACKTRACE -> CONFIG_BACKTRACE.  

Thu Jan  1 16:15:16 2004  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	Glum glum.  

Thu Jan  1 15:54:37 2004  Jonas Fonseca <fonseca@diku.dk>:

	* feature.h, src/bfu/dialog.c, src/bfu/listbox.c, src/bfu/menu.c,
	src/bfu/text.c, src/modules/version.c, src/osdep/osdep.c,
	src/osdep/os2/sysinfo.h, src/osdep/unix/unix.c,
	src/terminal/event.c, src/terminal/kbd.c, src/viewer/text/view.c:

	USE_MOUSE -> CONFIG_MOUSE.  

Thu Jan  1 15:50:29 2004  Jonas Fonseca <fonseca@diku.dk>:

	* feature.h, src/dialogs/options.c, src/terminal/color.c,
	src/terminal/color.h, src/terminal/draw.c, src/terminal/draw.h,
	src/terminal/screen.c:

	USE_256_COLORS -> CONFIG_256_COLORS.  

Thu Jan  1 15:47:25 2004  Jonas Fonseca <fonseca@diku.dk>:

	* feature.h, src/mime/mime.c, src/mime/backend/common.c,
	src/mime/backend/mailcap.c, src/mime/backend/mailcap.h,
	src/mime/backend/mimetypes.c, src/mime/backend/mimetypes.h,
	src/modules/module.c, src/protocol/rewrite/rewrite.c,
	src/protocol/rewrite/rewrite.h, src/sched/task.c:

	URI_REWRITE, MAILCAP and MIMETYPES was prefixed with CONFIG_.  

Thu Jan  1 15:38:12 2004  Petr Baudis <pasky@ucw.cz>:

	* src/terminal/terminal.c:

	Removed close(p) from exec_thread(). We do that later and better in
	the caller (by Mikulas; from 0.99pre15).  

Thu Jan  1 15:36:17 2004  Jonas Fonseca <fonseca@diku.dk>:

	* feature.h, src/cookies/cookies.c, src/cookies/dialogs.c,
	src/cookies/parser.c, src/cookies/parsetst.c, src/dialogs/menu.c,
	src/modules/module.c, src/protocol/file/cgi.c,
	src/protocol/http/http.c, src/viewer/text/view.c:

	COOKIES -> CONFIG_COOKIES. More code is now excluded when cookies
	are disabled.  

Thu Jan  1 15:24:44 2004  Petr Baudis <pasky@ucw.cz>:

	* src/lowlevel/signals.c:

	Fixed delayed signal delivery, or so ;) (by Mikulas; from
	0.99pre15).  

Thu Jan  1 15:20:32 2004  Petr Baudis <pasky@ucw.cz>:

	* src/lowlevel/: signals.c, signals.h:

	Volatilize @critical_section and @pending_alarm (by Mikulas; from
	0.99pre15).  

Thu Jan  1 15:16:01 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/protocol.c:

	check_protocol(): Handle NULL backends and insert NULL backend if we
	are not supporting SMB.  

Thu Jan  1 15:14:47 2004  Petr Baudis <pasky@ucw.cz>:

	* feature.h:

	Normalize anti-recursive #define.  

Thu Jan  1 15:14:12 2004  Petr Baudis <pasky@ucw.cz>:

	* src/bookmarks/backend/xbel.c:

	Use CONFIG_XBEL_BOOKMARKS.  

Thu Jan  1 15:12:12 2004  Petr Baudis <pasky@ucw.cz>:

	* src/bookmarks/backend/: common.c, xbel.c:

	Reverted part of the CONFIG_XBEL_BOOKMARKS introduction, which was
	already vetoed by me before introduction, didn't undergo discussion
	and the usual overloaded-patch stuff. I feel touchy now, too little
	sleep, so better don't do these things to me today.  

Thu Jan  1 15:04:32 2004  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated and some hotkeys conflict were fixed.  

Thu Jan  1 14:51:00 2004  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Fixed invalid translation.  

Thu Jan  1 14:50:06 2004  Laurent Monin <zas@norz.org>:

	* test/imgmap.html:

	A test file for image map was added.  

Thu Jan  1 14:47:33 2004  Jonas Fonseca <fonseca@diku.dk>:

	* feature.h, src/bookmarks/bookmarks.c,
	src/bookmarks/backend/common.c, src/bookmarks/backend/xbel.c:

	HAVE_LIBEXPAT usage converted to use CONFIG_XBEL_BOOKMARKS 

Thu Jan  1 14:34:58 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser.c:

	Code simplification, i variable is uneeded.  

Thu Jan  1 14:34:57 2004  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Rather desperate attempt to try to clarify translation of Toggle
	display.  

Thu Jan  1 14:33:13 2004  Petr Baudis <pasky@ucw.cz>:

	* src/config/options.inc:

	Fixed accidentally swapped colors of .tabs.univisited.  

Thu Jan  1 14:28:07 2004  Laurent Monin <zas@norz.org>:

	* src/document/html/parser.c:

	Regression bug was fixed. USEMAP should now work as it should and
	show all map entries.  

Thu Jan  1 14:24:07 2004  Jonas Fonseca <fonseca@diku.dk>:

	* feature.h, src/bfu/hierbox.c, src/bookmarks/bookmarks.c,
	src/bookmarks/bookmarks.h, src/bookmarks/dialogs.c,
	src/bookmarks/dialogs.h, src/bookmarks/backend/common.c,
	src/bookmarks/backend/default.c, src/bookmarks/backend/xbel.c,
	src/dialogs/menu.c, src/globhist/dialogs.c, src/modules/module.c,
	src/sched/session.c, src/terminal/terminal.c,
	src/viewer/text/link.c, src/viewer/text/view.c:

	BOOKMARKS -> CONFIG_BOOKMARKS.  

Thu Jan  1 14:03:51 2004  Jonas Fonseca <fonseca@diku.dk>:

	* feature.h, src/bfu/leds.c, src/bfu/leds.h, src/dialogs/status.c,
	src/modules/module.c, src/sched/session.c, src/sched/session.h:

	USE_LEDS -> CONFIG_LEDS.  

Thu Jan  1 13:58:44 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/: file/cgi.c, smb/smb.c:

	Exclude even more includes.  

Thu Jan  1 13:54:57 2004  Jonas Fonseca <fonseca@diku.dk>:

	* feature.h, src/protocol/file/cgi.c, src/protocol/file/file.c:

	ELINKS_LOCAL_CGI -> CONFIG_CGI.  

Thu Jan  1 13:54:14 2004  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/smb/: smb.c, smb.h:

	Exclude more includes.  

Thu Jan  1 13:38:36 2004  Laurent Monin <zas@norz.org>:

	* configure.in:

	ELINKS_SMB -> CONFIG_SMB 

Thu Jan  1 11:53:36 2004  Petr Baudis <pasky@ucw.cz>:

	* feature.h:

	s/myself/pasky/, noticed by Jonas.  

Thu Jan  1 10:12:01 2004  Jonas Fonseca <fonseca@diku.dk>:

	* feature.h, src/main.c:

	ELINKS_ROOT_EXEC -> CONFIG_NO_ROOT_EXEC + move dependencies. Now it
	should be correct and not the inverted behaviour.  

Thu Jan  1 10:04:03 2004  Jonas Fonseca <fonseca@diku.dk>:

	* acconfig.h, feature.h, src/protocol/protocol.c,
	src/protocol/smb/smb.c, src/protocol/smb/smb.h:

	ELINKS_SMB -> CONFIG_SMB + make it possible to not compile in the
	smb code when disabled.  

Thu Jan  1 09:56:01 2004  Jonas Fonseca <fonseca@diku.dk>:

	* feature.h, src/dialogs/document.c, src/dialogs/menu.c,
	src/document/html/parser.c, src/globhist/dialogs.c,
	src/globhist/globhist.c, src/modules/module.c, src/sched/session.c,
	src/viewer/text/view.c:

	GLOBHIST -> CONFIG_GLOBHIST.  

Thu Jan  1 09:52:51 2004  Jonas Fonseca <fonseca@diku.dk>:

	* feature.h, src/dialogs/menu.c, src/formhist/formhist.c,
	src/modules/module.c, src/util/base64.c, src/viewer/text/form.c,
	src/viewer/text/view.c:

	FORMS_MEMORY -> CONFIG_FORMHIST.  

Thu Jan  1 09:42:54 2004  Jonas Fonseca <fonseca@diku.dk>:

	* feature.h:

	A few glitches, a few fixes.  

Thu Jan  1 07:21:24 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/kbdbind.c:

	Add default bindings of Alt-< to beginning-of-buffer and Alt-> to
	end-of-buffer.  

Thu Jan  1 07:16:48 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/: config/kbdbind.c, config/kbdbind.h, viewer/text/form.c,
	viewer/text/textarea.c, viewer/text/textarea.h:

	Add beginning-of-buffer and end-of-buffer actions. This closes bug
	147.  

Thu Jan  1 07:03:49 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/: config/conf.c, protocol/http/header.c:

	Improve some comments: s/whitespaces/whitespace/, and clarify
	skip_white's description.  

Thu Jan  1 04:17:56 2004  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/encoding/encoding.c:

	Add .tbz to bzip2_extensions.  

Thu Jan  1 03:40:10 2004  Petr Baudis <pasky@ucw.cz>:

	* acconfig.h:

	Reintroduced ELINKS_SMB.  

Thu Jan  1 03:27:48 2004  Laurent Monin <zas@norz.org>:

	* src/viewer/text/marks.c:

	index_from_char() was added to marks.c, it permits to reduce size of
	array used by converting valid chars to an index in the marks array.
	Some macros were added to clarify the code.  

Thu Jan  1 03:25:48 2004  Petr Baudis <pasky@ucw.cz>:

	* acconfig.h, configure.in, feature.h:

	Featurized ELINKS_SMB.  

Thu Jan  1 03:16:53 2004  Petr Baudis <pasky@ucw.cz>:

	* acconfig.h, configure.in, feature.h:

	Featurized Local CGI Support.  

Thu Jan  1 03:09:13 2004  Petr Baudis <pasky@ucw.cz>:

	* acconfig.h, configure.in, feature.h:

	Moved USE_MOUSE to feature.h.  

Thu Jan  1 02:53:39 2004  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/info.c:

	Updated copyright notice. Welcome to the year 2004! 

Thu Jan  1 02:53:00 2004  Petr Baudis <pasky@ucw.cz>:

	* feature.h:

	Capitalize captions.  

Thu Jan  1 02:22:21 2004  Petr Baudis <pasky@ucw.cz>:

	* acconfig.h, configure.in, feature.h:

	Featurized FORMS_MEMORY.  

Thu Jan  1 02:06:03 2004  Petr Baudis <pasky@ucw.cz>:

	* feature.h:

	Examples of the URI rewriting.  

Thu Jan  1 01:49:23 2004  Petr Baudis <pasky@ucw.cz>:

	* feature.h:

	Cleanup.  

Thu Jan  1 01:46:19 2004  Petr Baudis <pasky@ucw.cz>:

	* acconfig.h:

	Oops, BACKTRACE still must be here. Spotted by zas.  

Thu Jan  1 01:06:55 2004  Jonas Fonseca <fonseca@diku.dk>:

	* acconfig.h, configure.in, feature.h:

	Disable root user was featured.  

Thu Jan  1 00:47:12 2004  Jonas Fonseca <fonseca@diku.dk>:

	* acconfig.h, configure.in, feature.h:

	URI rewriting was featured.  

Wed Dec 31 23:52:25 2003  Karsten Schölzel <kuser@gmx.de>:

	* po/de.po:

	German translation update.  

Wed Dec 31 23:26:34 2003  Karsten Schölzel <kuser@gmx.de>:

	* po/de.po:

	German translation update.  

Wed Dec 31 23:19:44 2003  Petr Baudis <pasky@ucw.cz>:

	* src/README:

	No ELusive yet. See the tireless army of ELinks hackers, not even
	taking their break for new year celebrations. Happy new one, btw.  

Wed Dec 31 22:15:38 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	Removed now-obsolete --without-xbel.  

Wed Dec 31 22:02:40 2003  Petr Baudis <pasky@ucw.cz>:

	* feature.h:

	Fixed forced disabling of the xbel/backtrace.  

Wed Dec 31 22:01:24 2003  Petr Baudis <pasky@ucw.cz>:

	* acconfig.h, configure.in, feature.h:

	Move backtrace printing support enabling to feature.h.  

Wed Dec 31 21:52:31 2003  Petr Baudis <pasky@ucw.cz>:

	* feature.h:

	Added notice to developers about what to include in this file and
	how.  

Wed Dec 31 21:44:20 2003  Petr Baudis <pasky@ucw.cz>:

	* feature.h:

	Added details about what happens if disabled or why to enable it to
	features missing it.  

Wed Dec 31 21:35:10 2003  Petr Baudis <pasky@ucw.cz>:

	* feature.h:

	Cleanup of the MIME/256colors entries.  

Wed Dec 31 21:31:49 2003  Petr Baudis <pasky@ucw.cz>:

	* acconfig.h, configure.in, feature.h:

	Moved cookies and global history to features.h.  

Wed Dec 31 21:28:59 2003  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5:

	Quite big update featuring the color cleanups and additions, auto
	save stuff and sorting changes.  

Wed Dec 31 21:26:15 2003  Jonas Fonseca <fonseca@diku.dk>:

	* acconfig.h, configure.in, feature.h:

	Move mailcap, mimetypes and 256 color configuration to feature.h
	file.  

Wed Dec 31 19:13:20 2003  Petr Baudis <pasky@ucw.cz>:

	* INSTALL, acconfig.h, configure.in, feature.h:

	Introduced feature.h, which should hold most of the fine-tuned
	compile-time features configuration. As an example case, leds and
	bookmarks were already moved there. Idea stolen from vim.  

Wed Dec 31 18:47:48 2003  Petr Baudis <pasky@ucw.cz>:

	* INSTALL:

	Whitespaces cleanup.  

Wed Dec 31 17:43:49 2003  Karsten Schölzel <kuser@gmx.de>:

	* po/de.po:

	German translation update.  

Wed Dec 31 14:26:50 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/modules/: module.h, version.c:

	Move builtin_modules declaration.  

Wed Dec 31 14:25:07 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Wed Dec 31 13:32:12 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/modules/: module.c, module.h, version.c:

	Introduce module iterators to ease module hacking.  

Wed Dec 31 12:57:08 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/Makefile.am:

	.. and move libmime.a to link correctly.  

Wed Dec 31 12:53:39 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: dialogs/Makefile.am, dialogs/menu.c, dialogs/mime.c,
	dialogs/mime.h, mime/Makefile.am, mime/dialogs.c, mime/dialogs.h:

	dialogs/mime.* -> mime/dialogs.*, suggested by Jonas.  

Wed Dec 31 10:44:11 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/util/snprintf.c:

	Remove MAX(). It is already defined.  

Wed Dec 31 10:42:00 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: mime/backend/mailcap.c, mime/backend/mimetypes.c,
	util/string.h:

	Move skip_whitespace() macro.  

Wed Dec 31 08:50:39 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: mime/mime.h, mime/backend/common.c, mime/backend/common.h,
	mime/backend/default.c, mime/backend/mailcap.c, sched/download.c:

	Introduce mime handler initializer and allocate the program with the
	struct so freeing is easier.  

Wed Dec 31 08:37:14 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/protocol/smb/smb.c:

	Glum.  

Wed Dec 31 08:14:10 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/protocol/smb/smb.c:

	Small, untested optimisation.  

Wed Dec 31 07:53:39 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/formhist/dialogs.c:

	In push_login_button, allow the title of the "Form not saved"
	message box to be localised.  

Wed Dec 31 07:25:48 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/task.c:

	Whoops, bfu/style.h _does_ need to be included. Pointed out by
	Jonas.  

Wed Dec 31 06:20:40 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/protocol/rewrite/rewrite.c:

	Remove a superfluous test.  

Wed Dec 31 04:48:00 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/task.c:

	Remove an unnecessary #include.  

Wed Dec 31 02:57:51 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/options.c:

	Include terminal/terminal.h for cls_redraw_all_terminals(). This
	effectively reverts src/config/options.c:1.415->1.416. My first
	reversion, and it is a patch by pasky, too. How 'bout that.  

Wed Dec 31 02:49:38 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/task.h:

	Declare struct download instead of struct dowload, and include
	cache/cache.h for enum cache_mode.  

Wed Dec 31 00:34:14 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/options.inc:

	Simplified tabs.unselected description.  

Tue Dec 30 22:44:36 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Tue Dec 30 22:20:42 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/options.inc:

	*INIT_OPT_COLORS(), more swapping due to pasky, it is an idiot.  

Tue Dec 30 21:49:26 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/options.inc:

	*INIT_OPT_COLORS(), has first f g coming well, then b g follows.
	Haiku is exciting.  

Tue Dec 30 21:37:47 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Czech translation update. Hmm, a lot of new stuff, not finished yet.  

Tue Dec 30 21:28:50 2003  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	.po files were resynced.  

Tue Dec 30 21:28:20 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/options.inc:

	Default fg color for tabs.unvisited changed from green to darkblue.
	It _is_ the best choice, fullstop (green is totally unreadable).  

Tue Dec 30 19:58:19 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	Fix hotkey.  

Tue Dec 30 19:37:16 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/: options.c, options.h, renderer.c, html/renderer.c:

	Reintroduce needs_width but be less optimistic and always set it to
	1 for HTML documents. A half way fix is added out commented but it
	will be non trivial to fix it for all cases.  

Tue Dec 30 18:45:27 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/hotkey.c:

	Hotkey conflict is now detected even for first menu item. It fixes
	bug 350.  

Tue Dec 30 18:44:55 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/menu.c, config/options.inc:

	Optionalize hotkey underlining (ui.dialogs.underline_hotkeys) off by
	default.  

Tue Dec 30 18:36:39 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/renderer.c:

	Rename document_view -> doc_view.  

Tue Dec 30 18:26:43 2003  Laurent Monin <zas@norz.org>:

	* src/document/: document.c, options.c, options.h, renderer.c,
	html/parser.c:

	Patches concerning plain text resizing issue and needs_width
	introduction were reverted. Jonas will fix that soon.  

Tue Dec 30 17:54:24 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/menu.c:

	Underline hotkey chars to make them more visible. Maybe it should be
	configurable anyway it is of course disabled if the terminal
	underline option is.  

Tue Dec 30 16:38:01 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/view.c:

	Fix up() and down() handling so they call page_up() and page_down()
	when link wraparound is disabled. I believe that is the old
	behaviour.  

Tue Dec 30 13:57:43 2003  Laurent Monin <zas@norz.org>:

	* src/: config/options.inc, document/options.c, document/options.h,
	document/html/parser.c:

	Default form input size is now configurable through
	document.html.default_form_input_size. It helps with textarea
	without cols attribute.  

Tue Dec 30 13:02:02 2003  Laurent Monin <zas@norz.org>:

	* src/document/: document.c, options.c, options.h, renderer.c:

	Separate document options comparaison functions to better handling
	terminal size changes, it should fix cache growing on height change.  

Tue Dec 30 12:45:14 2003  Laurent Monin <zas@norz.org>:

	* src/document/: options.c, options.h, renderer.c, html/parser.c:

	A field needs_width was added to struct document_options. We now use
	it as needs_height. It fixes non rerendering of plain text documents
	on width change. Please report any side-effect this patch may have.  

Tue Dec 30 11:22:43 2003  Laurent Monin <zas@norz.org>:

	* src/document/refresh.c:

	Compilation fix: include config/options.h header file needed for
	get_opt_int().  

Tue Dec 30 10:48:56 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/link.c:

	Always use the color mode set in the document options since the
	global one might have a color mode different from the current mode.
	Fixes wrong drawing of current link when changing back and forth
	between color modes.  

Tue Dec 30 08:17:31 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, document/refresh.c:

	Add option to control the minimum time used for document refreshing.
	By default set to 1 second (is this fair?). Fixes last part of bug
	309 (Broken go back).  

Tue Dec 30 00:25:20 2003  Laurent Monin <zas@norz.org>:

	* src/terminal/kbd.c:

	Add itrm queue debug code, and new escape sequences are now
	recognised, it fixes impossibility to bind some function keys under
	rxvt-like terminals, now Shift-F5 should work more often.  

Mon Dec 29 22:47:10 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	Minor french grammar fix.  

Mon Dec 29 22:43:46 2003  Laurent Monin <zas@norz.org>:

	* src/config/: dialogs.c, kbdbind.c, kbdbind.h:

	Trivial cleanup: use enum keyact type for action, drop 2 useless
	variables in really_add_keybinding() and make it call
	really_really_add_keybinding() instead of add_keybinding().  

Mon Dec 29 22:36:23 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	Typo fix.  

Mon Dec 29 21:10:00 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Mon Dec 29 21:02:02 2003  Laurent Monin <zas@norz.org>:

	* src/: config/options.inc, sched/session.c, terminal/terminal.c:

	ui.auto_save_restore_session tristate option was replaced by two
	boolean options ui.sessions.auto_save and ui.sessions.auto_restore.  
	Folder name is now configurable through
	ui.sessions.auto_save_foldername.  It fixes issues related to i18n
	of this folder name.  

Mon Dec 29 20:20:26 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	Minor translation fix.  

Mon Dec 29 20:15:43 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: hierbox.c, hierbox.h, listbox.c:

	Redo the bogus fix for hierbox browser cursor position restoring
	(bug 36) by saving the complete box data and check it is till valid
	when initializing a new browser.  

Mon Dec 29 19:44:49 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	Jonas told me about cvs admin -m <rev>:<msg> <file> and suddenly...  

Mon Dec 29 19:43:25 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	Ooops twice the same message... Previous patch changed order of
	parameter in realloc_line() from y,x to x,y as other functions
	there. This commit is a dummy one i just added a new line.  

Mon Dec 29 19:38:59 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	Order of parameters of realloc_line() was modified: y,x -> x,y.  

Mon Dec 29 19:35:02 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	Move some code from add_document_lines() to new functions add_node()
	and init_template() and make them more generic.  

Mon Dec 29 19:04:33 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	We now call get_uri_length() only if we are at the start of line or
	we have two consecutive alpha chars.  

Mon Dec 29 18:27:06 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation cleanup.  

Mon Dec 29 17:54:11 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	Code cleanup.  

Mon Dec 29 17:46:34 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	Minor code simplification.  

Mon Dec 29 14:05:05 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/: history.c, history.h:

	A cleanuped up version of the history compression patch pasky
	attached to bug 309. It ensures that the added history location is
	unique and that redirects can be bypassed. It does not fix it for
	the bug URI tho' since it uses document refresh with time set to
	zero.  

Mon Dec 29 13:15:09 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/history.h:

	Cleanup workaround.  

Mon Dec 29 12:24:31 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/: document/plain/renderer.c, intl/charsets.c,
	intl/charsets.h:

	Add CSM_NONE to enum convert_string_mode for the plain-text
	renderer. I hope that this works! 

Mon Dec 29 12:23:09 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	In add_document_line, simplify to eliminate a variable.  

Mon Dec 29 11:59:44 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	Optimizations and clean up. Now useless debug code was removed.  

Mon Dec 29 11:42:59 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	Replace bad chars but tab before calling convert_string(). It
	preserves previous behavior.  

Mon Dec 29 11:33:21 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	Fix an off-by-one error in the plain-text renderer's linkyfying
	code.  

Mon Dec 29 11:28:44 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/plain/renderer.c:

	In the plain text renderer, perform character-set conversion on the
	input _before_ expanding tabs. Closes bug 351. Thanks to zas for
	finding the problem.  

Mon Dec 29 08:25:22 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser.c:

	Keep state of whether link lines was drawn. Only draw link lines if
	we actually put some and if the background color is different from
	the default one.  Fixes bug 326.  

Mon Dec 29 08:04:58 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/text.c:

	Whoops revert stupid part of last patch.  

Mon Dec 29 07:58:07 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/text.c:

	Improve forcing of current scaling to last position in the
	scrollbar.  

Mon Dec 29 07:43:16 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/text.c:

	Partly revert previous scollbar fixes and only adjust the offset of
	current (@step) to hit the last position.  

Mon Dec 29 07:34:28 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/screen.c:

	Use set_screen_dirty() macro.  

Sun Dec 28 20:56:54 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/menu.c:

	Use explicit constants instead of hardcoded numbers.  

Sun Dec 28 20:02:48 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/menu.c:

	Use a while loop instead of a goto.  

Sun Dec 28 20:01:26 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/text.c:

	Improve/fix scroll meter drawing by removing adjustment of widget
	height according to y set by dlg_format_text_do() and by scaling
	current to be last when it should be.  

Sun Dec 28 19:53:03 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/menu.c:

	Take in account space used by right scroll main menu indicator
	(appears when term width is insufficent to display all the main menu
	entries).  

Sun Dec 28 19:27:49 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/text.c:

	Even with minimum width for stuff like "\n\n" this line should be
	added. Also allow starting space needed when scrolling so we do not
	ignore empty lines. Fixes scrolling in text widget.  

Sun Dec 28 18:45:22 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/link.c:

	Use ACT_ENTER for 'Follow link' and ACT_ENTER_RELOAD for 'Follow
	link and reload' in the link menu. Could the actions also be used
	for submit form (and reload)? 

Sun Dec 28 15:44:41 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	Assertions and debugging code were added to help to track down nul
	chars insertion in plain renderer output, an ssertion is triggered
	now for that. Help is welcomed here. Note previous patch fixed bug
	317.  

Sun Dec 28 13:58:57 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	Use strlen() to gather true length of line after convert_string()
	call. It fixes trailing chars garbage in some cases.  

Sun Dec 28 10:42:43 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Sun Dec 28 09:24:54 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc:

	Colors the status bar with white background, so the progress bar
	works.  

Sun Dec 28 06:25:40 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/options.inc:

	Sort protocol.file.cgi.*.  

Sun Dec 28 06:24:56 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/options.inc:

	Sort protocol.file.*.  

Sun Dec 28 06:12:26 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/osdep/osdep.c:

	Set window title in GNU Screen. (Backport from 1.81.2.1->1.81.2.2,
	ELUSION branch.) 

Sun Dec 28 06:11:19 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation was updated.  

Sun Dec 28 06:11:19 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/osdep/osdep.c:

	Introduce is_gnuscreen(). (Backport from 1.81->1.81.2.1, ELUSION
	branch.) 

Sun Dec 28 05:58:35 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/menu.c:

	Fix a hotkey conflict on the ~Help menu between ~ELinks homepage and
	~ELinks CvsWeb (now ~ELinks CvsWeb). See bug 350 for why this wasn't
	spotted long ago.  

Sun Dec 28 05:21:37 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/hotkey.c:

	In is_hotkey, declare and assign @key_pos outside the DEBUG code and
	eliminate the thus superfluous braces and duplicate return
	statement.  

Sun Dec 28 05:19:13 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Improvements in Polish translation. Patch by Mikolaj Machowski.  

Sun Dec 28 05:05:57 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/options.c:

	Hook change_hook_html to the document.codepage option tree.  

Sun Dec 28 04:56:34 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/link.c:

	Give the "V~iew image" menu item the correct @action argument.  

Sun Dec 28 03:34:04 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	Drop whitespaces on empty lines and trailing whitespaces before
	rendering plain text. It reduces memory usage a bit, please tell me
	if it has any other impact.  

Sun Dec 28 03:14:16 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Support for goto marked listbox_items. Fixes bug 123.  

Sun Dec 28 02:58:51 2003  Laurent Monin <zas@norz.org>:

	* src/config/kbdbind.c:

	ACT_TOGGLE_PLAIN_COMPRESS_EMPTY_LINES is now bind by default to "w"
	(like whitespaces/lines).  

Sun Dec 28 02:55:08 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	Compress_empty_lines now handles line containing only whitespaces
	too. It gives obvious result on BZ source.  

Sun Dec 28 02:39:02 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc:

	Add mono/colors ui.color options together to ensure sync and slim
	code (removes ~300 lines of code. :-) 

Sun Dec 28 02:36:25 2003  Laurent Monin <zas@norz.org>:

	* src/config/options.inc:

	quiting ->quitting.  

Sun Dec 28 02:19:51 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc:

	Add mono trees together with the color one.  

Sun Dec 28 02:16:13 2003  Laurent Monin <zas@norz.org>:

	* src/: config/kbdbind.c, config/kbdbind.h, viewer/text/view.c:

	Keyact ACT_TOGGLE_PLAIN_COMPRESS_EMPTY_LINES was added. No default
	keystroke.  

Sun Dec 28 02:12:54 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc:

	Introduce INIT_OPT_COLOR_TREE() for adding relative color trees.  

Sun Dec 28 02:07:20 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc:

	Getting ready to unify colors/mono color option declaration.  

Sun Dec 28 02:00:58 2003  Laurent Monin <zas@norz.org>:

	* src/config/dialogs.c:

	Use a copy since first hop may be freed. It fixes a segfault when
	adding an already used keystoke.  

Sun Dec 28 01:58:17 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc:

	Simplify tab color options.  

Sun Dec 28 01:55:50 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc:

	Simplify status and searched color options.  

Sun Dec 28 01:53:17 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc:

	Simplify dialog color options.  

Sun Dec 28 01:45:21 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc:

	Simplify menu bar color options.  

Sun Dec 28 01:34:54 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bookmarks/bookmarks.c, bookmarks/bookmarks.h,
	config/options.inc, sched/session.c, terminal/terminal.c:

	A hackish prototype for auto save/restoring session (as in tabs)
	using ui.auto_save_restore_session option. 0 is off, 1 is save but
	no restore, 2 is save and restore if no URI is given.  

Sun Dec 28 01:31:47 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/bookmarks.c:

	Clean the folder where the terminal tabs should be bookmarked under.  

Sun Dec 28 01:31:12 2003  Laurent Monin <zas@norz.org>:

	* src/config/options.c:

	A change hook was added to document.plain. It prevents reload of
	document after changing document.plain.compress_empty_lines option.  

Sun Dec 28 01:06:12 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	Plain renderer was inserting useless nul chars in formatted
	document, these were invisible on screen but visible in a file
	generated by save formatted as. Jonas please review carefully.  

Sat Dec 27 23:33:39 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: hierbox.c, hierbox.h, listbox.c:

	Save state of the latest selected item in a browser.  

Sat Dec 27 23:06:07 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Sat Dec 27 22:58:19 2003  Laurent Monin <zas@norz.org>:

	* src/: config/options.inc, document/options.c, document/options.h,
	document/plain/renderer.c:

	Option document.plain.compress_empty_lines was added. It makes
	successive empty lines appear as one. Try
	http://pasky.ji.cz/~pasky/dev/links/README for a demo. This option
	is off by default.  

Sat Dec 27 22:18:01 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, terminal/tab.c, terminal/tab.h:

	Confirm close also when attempting to close all tabs but the current
	one.  

Sat Dec 27 22:05:15 2003  Laurent Monin <zas@norz.org>:

	* src/util/color.c:

	Silent a possible warning under Cygwin.  

Sat Dec 27 22:03:43 2003  Laurent Monin <zas@norz.org>:

	* src/protocol/file/file.c:

	Use explicit type casting to quiet gcc 3.3.1 under Cygwin. It should
	not harm.  

Sat Dec 27 21:57:04 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/tab.c:

	Use really_close_tab() function always.  

Sat Dec 27 21:56:08 2003  Laurent Monin <zas@norz.org>:

	* src/config/cmdline.c:

	Type cast color_t to unsigned int in order to prevent a compiler
	warning, notably on Cygwin. Reported by fredlwm.  

Sat Dec 27 21:51:07 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/menu.c:

	Horizontal main menu scrolling was fixed, now part of last visible
	option may be printed, it gives a smoother effect.  

Sat Dec 27 20:03:45 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/text.c:

	In display_text, eliminate a superfluous int_max().  

Sat Dec 27 19:35:27 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, terminal/tab.c, terminal/tab.h:

	Make the open in new tab take backend work on url strings and add
	open_url_in_new_tab().  

Sat Dec 27 18:21:07 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated. 1162 messages ;).  

Sat Dec 27 17:36:01 2003  Laurent Monin <zas@norz.org>:

	* src/config/dialogs.c:

	Do not show Description: in option info dialog if there is no
	description text.  

Sat Dec 27 17:31:36 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bookmarks/bookmarks.c, bookmarks/bookmarks.h,
	bookmarks/dialogs.c, bookmarks/dialogs.h, config/kbdbind.c,
	config/kbdbind.h, dialogs/menu.c:

	Add support for bookmarking all tabs for a terminal. Entry was added
	to tab menu. ACT_ADD_BOOKMARK_TABS also added with no default value
	bound.  

Sat Dec 27 17:18:34 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Attempt to fix division by zero problem reported by zas caused by
	paskys 'wide' hacking using evil gotos to bypass essentiel tests.
	;-) 

Sat Dec 27 17:02:49 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Translation fix.  

Sat Dec 27 16:11:22 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/kbdbind.c:

	Fix tab-close-all-but-current action name.  

Sat Dec 27 15:52:44 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Sat Dec 27 15:46:26 2003  Laurent Monin <zas@norz.org>:

	* src/: config/kbdbind.c, config/kbdbind.h, dialogs/menu.c,
	viewer/text/view.c:

	ACT_SAVE_OPTIONS was added. No default keystroke.  

Sat Dec 27 15:38:22 2003  Laurent Monin <zas@norz.org>:

	* src/: config/kbdbind.c, config/kbdbind.h, dialogs/menu.c,
	viewer/text/view.c:

	ACT_SHOW_TERM_OPTIONS was added. No default keystroke.  

Sat Dec 27 15:16:20 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/hotkey.c:

	Populate with menu_item macros, and correctly handle i18n regarding
	hotkeys. It fixes incorrect not so hot keys behavior in translated
	language menu.  

Sat Dec 27 14:59:43 2003  Laurent Monin <zas@norz.org>:

	* src/dialogs/options.c:

	Display iso639 code at right of language menu, as proposed by Jonas.
	As a side effect it displays which code is associated with the
	system language.  

Sat Dec 27 14:49:36 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Sat Dec 27 14:33:28 2003  Laurent Monin <zas@norz.org>:

	* src/config/: dialogs.c, kbdbind.c, kbdbind.h:

	A confirmation dialog was added when attempting to bind a keystroke
	which is already used elsewhere.  

Sat Dec 27 14:28:43 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/tab.c:

	Oops we only need @term non NULL.  

Sat Dec 27 14:27:53 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: terminal/tab.c, viewer/text/view.c:

	close_all_tabs_but_current(): NULL current means look it up your
	damn self. ;) 

Sat Dec 27 14:14:51 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/kbdbind.c, config/kbdbind.h, viewer/text/view.c:

	Add close all but current tab action. By default bound to 'i'.  

Sat Dec 27 14:13:31 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, terminal/tab.c, terminal/tab.h:

	Move close all but current function to tab file.  

Sat Dec 27 13:55:46 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/kbdbind.c, config/kbdbind.h, viewer/text/view.c:

	Add ACT_TAB_MENU action bound to 'e' by default.  

Sat Dec 27 13:41:22 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/dialog.c:

	Dialog width takes now in account title length. Long dialog titles
	were displayed outside message box before (ie. in "Invalid
	keystroke" message box).  

Sat Dec 27 13:35:45 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	Finally got the close all but current menu action working.  

Sat Dec 27 13:21:26 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/tab.c:

	Cleanup the naming. No need for two variables for the same thing.  

Sat Dec 27 13:08:44 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/: tab.c, tab.h:

	Introduce tab iterator macros.  

Sat Dec 27 12:50:35 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/leds.h:

	Raised LEDS_COUNT to 6, so that the progress meter will look nicer.  

Sat Dec 27 12:50:06 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/status.c:

	Now, if not @full, show ETT instead of elapsed time and ETA instead
	of estimated time.  

Sat Dec 27 12:47:08 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/status.c:

	Swapped @wide and @full in get_stat_msg(). So now if @wide, we
	already show avg/cur, but we show the full strings only if @full.  

Sat Dec 27 12:44:12 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bookmarks/: bookmarks.c, dialogs.c, backend/xbel.c:

	add_bookmark(): Set the box_item to BI_FOLDER if url is NULL or "".  

Sat Dec 27 12:36:48 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/status.c:

	get_stat_msg()'s @full behaviour changed. Now, when showing it in
	the statusbar, it is set only if > 130 (empirical value) and it now
	prevents from displaying the current/average speed (it always
	displays just the speed) and elapsed time (it displays just the
	estimated time).  

Sat Dec 27 12:27:49 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/: leds.c, leds.h:

	Removed support for leds coloring. We'll do things like progress-bar
	on the background and this would interfere.  

Sat Dec 27 12:17:20 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated. Hotkeys conflict were fixed.  

Sat Dec 27 12:14:40 2003  Laurent Monin <zas@norz.org>:

	* src/: config/kbdbind.c, config/kbdbind.h, dialogs/menu.c,
	dialogs/menu.h, viewer/text/view.c:

	ACT_OPEN_OS_SHELL was added. Minor changes to make it working. No
	default keystroke.  

Sat Dec 27 11:45:02 2003  Laurent Monin <zas@norz.org>:

	* src/: config/kbdbind.c, config/kbdbind.h, dialogs/menu.c,
	dialogs/menu.h, viewer/text/view.c:

	ACT_SAVE_URL_AS was added. No default keystroke.  

Sat Dec 27 11:37:07 2003  Laurent Monin <zas@norz.org>:

	* src/: config/kbdbind.c, config/kbdbind.h, dialogs/menu.c,
	viewer/text/view.c:

	ACT_SAVE_AS was added. No default key for now.  

Sat Dec 27 11:29:52 2003  Laurent Monin <zas@norz.org>:

	* src/dialogs/menu.c:

	Show kill all backgrounded connections keystroke in menu.  

Sat Dec 27 11:25:56 2003  Laurent Monin <zas@norz.org>:

	* src/: config/kbdbind.c, config/kbdbind.h, viewer/text/view.c:

	ACT_KILL_BACKGROUNDED_CONNECTIONS keyact was added. No default key
	for now (idea?).  

Sat Dec 27 08:13:30 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	Shift percentage text 1 to the right because it looks better.  

Sat Dec 27 07:41:38 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Only do progress stuff when size > 0.  

Sat Dec 27 04:34:33 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/msgbox.h:

	Include bfu/dialog.h for struct dialog_data.  

Sat Dec 27 04:29:58 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/menu.h:

	Declare struct window.  

Sat Dec 27 04:14:03 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/hierbox.h:

	Include bfu/widget.h for struct widget_data.  

Sat Dec 27 04:09:46 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/dialog.h:

	Declare struct term_event.  

Sat Dec 27 03:27:31 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/checkbox.h:

	Alphabetise those includes. (Whoops!) 

Sat Dec 27 03:21:16 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/checkbox.h:

	Include bfu/style.h for enum format_align.  

Sat Dec 27 03:12:12 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/session.h:

	Declare struct link.  

Sat Dec 27 01:38:13 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/menu.c:

	Main menu horizontal scrolling was improved a bit. It still doesnt
	work very well when resizing terminal while menus are opened.  

Sat Dec 27 01:26:20 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/document/html/parser.h:

	Declare struct list_head and remove extra declarations of struct
	session and struct menu_item.  

Sat Dec 27 00:56:45 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/menu.c:

	Various calculations were tuned. Display is improved.  

Fri Dec 26 23:53:24 2003  Laurent Monin <zas@norz.org>:

	* src/: protocol/proxy.c, protocol/http/http.c, sched/download.c,
	terminal/kbd.c:

	Trailing spaces were removed.  

Fri Dec 26 23:16:42 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/search.h:

	Declare struct terminal (forgotten when removing the #include for
	terminal/terminal.h in 1.9->1.10).  

Fri Dec 26 17:23:20 2003  Laurent Monin <zas@norz.org>:

	* src/viewer/text/link.c:

	Nullify rtext when possible.  

Fri Dec 26 17:14:27 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/menu.c:

	DEBUG mode visual helper to detect useless rtext if an action is
	given.  

Fri Dec 26 17:06:09 2003  Laurent Monin <zas@norz.org>:

	* src/dialogs/menu.c:

	rtext can now be set to NULL instead of hardcoded string, since we
	use dynamic keybindings.  

Fri Dec 26 16:57:47 2003  Laurent Monin <zas@norz.org>:

	* src/dialogs/menu.c:

	Align antislashes in macro description to improved readibility.  

Fri Dec 26 16:43:33 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Fri Dec 26 16:28:41 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/menu.c:

	Main menu is now able to scroll horizontally, ever by keyboard or
	mouse actions. An indicator now appears when menu is truncated.
	Still need to tune up.  

Fri Dec 26 16:18:54 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, dialogs/status.c:

	Restore behavior and default values of loading tab color.  Make
	unvisited tab text color green by default so it is distinct.  Tab
	progress uses dialog.meter colors.  Ideas by pasky.  

Fri Dec 26 14:21:40 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Remove https_real_uri and use @uri instead. Proxy URIs should always
	contain data so assert it.  

Fri Dec 26 14:14:43 2003  Laurent Monin <zas@norz.org>:

	* src/: config/kbdbind.c, config/kbdbind.h, dialogs/menu.c,
	viewer/text/view.c:

	An action ACT_FORMHIST_MANAGER was added, associated default key is
	F.  

Fri Dec 26 14:10:42 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Setup ssl connection establishment earlier .. improve error
	handling. Patch by Timo Lindfors.  

Fri Dec 26 14:08:07 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/kbdbind.c:

	Unbind ACT_COPY_CLIPBOARD from Ctrl-C.  

Fri Dec 26 14:02:14 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Don't be so optimistic we need atleast around 6 chars to make the
	meter usable.  

Fri Dec 26 13:57:44 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Add temporary status load progress meter next to leds.  

Fri Dec 26 13:40:09 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	Empty rtext string was replaced by NULL.  

Fri Dec 26 13:37:17 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, viewer/text/search.c, viewer/text/search.h,
	viewer/text/view.c:

	Add typeahead search to menu.  

Fri Dec 26 13:17:29 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc:

	A minor taste of what macros can do to reduce trivial color option
	code.  

Fri Dec 26 13:15:43 2003  Laurent Monin <zas@norz.org>:

	* src/: bfu/inphist.c, bfu/menu.h, dialogs/menu.c,
	dialogs/options.c, document/html/parser.c, viewer/text/link.c,
	viewer/text/view.c:

	We do not need empty strings as rtext anymore, just use NULL.  

Fri Dec 26 13:08:32 2003  Laurent Monin <zas@norz.org>:

	* src/: bfu/menu.c, dialogs/menu.c:

	Display current keybinding in menus, if no key action, then provided
	right text is used.  

Fri Dec 26 12:55:10 2003  Laurent Monin <zas@norz.org>:

	* src/: bfu/inphist.c, bfu/menu.c, bfu/menu.h, dialogs/menu.c,
	dialogs/mime.c, dialogs/options.c, document/html/parser.c,
	viewer/text/link.c, viewer/text/view.c:

	Key actions were added to menu items.  

Fri Dec 26 12:20:54 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/menu.h:

	@keyact -> @action in struct menu_item, since we use action
	elsewhere (in kbdbind.c).  

Fri Dec 26 12:18:37 2003  Laurent Monin <zas@norz.org>:

	* src/config/: kbdbind.c, kbdbind.h:

	add_keystroke_to_string() was introduced. It returns a string
	representing a keystroke, for @action and @map.  

Fri Dec 26 12:08:17 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/menu.h:

	A field keyact of enum keyact type was added to struct menu_item.  

Fri Dec 26 12:01:16 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/: menu.c, menu.h:

	Right text is no more translated by default, a flag RIGHT_INTL was
	added to menu_item flags to force translation.  

Fri Dec 26 11:48:37 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/menu.c:

	Use draw_menu_left_text{,_hk}() for main menu.  

Fri Dec 26 11:11:31 2003  Laurent Monin <zas@norz.org>:

	* src/: bfu/menu.c, config/options.inc:

	Mainmenu specific-colors are not used anymore. Though they are not
	yet aliased in options.inc.  

Fri Dec 26 10:55:32 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/menu.c:

	Do not add 1 to xbase, let the caller do it.  

Fri Dec 26 10:49:20 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/menu.c:

	draw_menu_left_text_hk() and draw_menu_left_text() are now used to
	draw left text in menus.  

Fri Dec 26 10:19:10 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/menu.c:

	draw_menu_right_text() was introduced.  

Fri Dec 26 10:10:09 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, dialogs/download.c, dialogs/download.h,
	dialogs/status.c:

	Revive loading tab color so it is used for drawing progress bar in
	backgrounded tabs that are loading. We use unvisited color for the
	non progress part.  

Fri Dec 26 09:56:05 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Use macro to determine whether download is progressing.  

Fri Dec 26 09:55:26 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, dialogs/status.c, sched/session.h:

	Add support for fresh color in unvisited or incomplete tabs.  

Fri Dec 26 09:54:38 2003  Laurent Monin <zas@norz.org>:

	* src/: bfu/menu.c, bfu/menu.h, dialogs/menu.c,
	document/html/parser.c, viewer/text/link.c:

	M_SUBMENU was dropped. Macro mi_is_submenu() is used, and m_submenu
	string is no more exported.  

Fri Dec 26 09:41:53 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/: menu.c, menu.h:

	mi_text_translate() macro is now used instead of direct flags
	comparaison against NO_INTL.  

Fri Dec 26 09:34:43 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/: menu.c, menu.h:

	mi_is_submenu() is now used instead of direct flags comparaison.  

Fri Dec 26 09:26:14 2003  Laurent Monin <zas@norz.org>:

	* src/: bfu/menu.c, bfu/menu.h, dialogs/menu.c, dialogs/mime.c,
	viewer/text/link.c:

	M_BAR was dropped, horizontal separator is now marked by NO_SELECT
	flags, used for unselectable menu items too. Most tests were
	replaced by macros. More to come.  

Fri Dec 26 08:53:55 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	download_progress_bar(): Make it possible to pass the meter color
	again. NULL means use dialog.meter (and who says C doesn.t support
	default arg values ;-).  

Fri Dec 26 08:46:41 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	download_progress_bar(): Make it possible to pass strings that will
	be coloured. NULL means draw percentage string.  

Fri Dec 26 08:33:49 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/opttypes.c:

	Set ui.language to "System" if writing in conf file when configured
	--without-nls. Patch by Timo Lindfors <lindi@kurp.hut.fi>.  

Fri Dec 26 08:23:04 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	Make progress bar drawing more safe and prioritize drawing of the
	progress 'colouring' if width is small.  

Fri Dec 26 08:04:59 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	Move up the progress bar drawing.  

Thu Dec 25 17:59:33 2003  Petr Baudis <pasky@ucw.cz>:

	* NEWS:

	ELinks-0.5.0 -> ELinks-0.9.0, inspired by AnAnt.  

Thu Dec 25 15:09:21 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	Use new draw_text() when drawing the progress bar.  

Thu Dec 25 15:01:09 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/draw.c:

	draw_text(): NULL color now means only set the data parts.  

Thu Dec 25 14:02:09 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	download_progress_bar(): It is not a widget formatter (yet) and is
	used for other progress stuff so take @y as clean int.  

Thu Dec 25 13:57:04 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/form.c:

	Compile fix. Pasky please check.  

Thu Dec 25 13:10:17 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Use term instead of ses->tab->term.  

Thu Dec 25 12:11:35 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/form.c:

	Pass directly ses->tab->term to field_op_do(), instead of just @ses.  

Thu Dec 25 12:10:37 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/form.c:

	Separated the field_op() grand switch to field_op_do(), patch by
	Martin Bays <elinks-dev@zugzwang.port5.com>.  

Thu Dec 25 12:04:06 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/form.c:

	Grand field_op() switch tidyup.  

Thu Dec 25 12:01:52 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/form.c:

	Removed the b label from the grand field_op() switch.  

Thu Dec 25 11:21:33 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c:

	Fix more infinit looping in some rare corner cases.  

Thu Dec 25 10:46:42 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c:

	If there is no current link use 0. Fixes previous patch.  

Thu Dec 25 10:02:07 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c:

	Fix first bug introduced in 0.9.0
	(viewer/text/search.c:1.142->1.143) :/.  

Thu Dec 25 09:57:45 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: document/html/renderer.c, terminal/draw.h,
	viewer/text/search.c:

	Fix link numbers prefixes matching search strings (bug 57).  

Thu Dec 25 08:29:11 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c:

	Make typeahead case sensitive using the document.browse.search.case
	option. Fixes 3rd part of bug 344.  

Thu Dec 25 08:17:23 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c:

	Minor cleanup of hit top/botton dialog calling.  

Thu Dec 25 08:09:05 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c:

	Fix typeahed so both inf. looping in some rare occasions and wrap
	around so it always works (also for the last link being matched). We
	now assert that anyone mangling the link position (@i) keeps it
	valid.  

Thu Dec 25 08:06:03 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c:

	Move typeahead error handling to separate function to avoid evil
	gotos in next patch >:).  

Thu Dec 25 06:59:02 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation fixes.  

Wed Dec 24 22:06:30 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/options.inc:

	Removed compatibility aliases ui.shadow and config_saving_style,
	both added before 0.4.0.  

Wed Dec 24 18:40:23 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Wed Dec 24 18:14:34 2003  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in:

	ELinks-0.9.0.CVS 

Wed Dec 24 18:04:32 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	ELinks-0.9.0 

Wed Dec 24 17:18:01 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Czech translation update.  

Wed Dec 24 17:08:14 2003  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	.po files were resynced.  

Wed Dec 24 15:05:18 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Disable scrollability for hierbox browsers info buttons (for now).  

Wed Dec 24 14:18:39 2003  Varga Balázs <vinnui@ent.hu>:

	* po/hu.po:

	More update.  

Wed Dec 24 14:01:43 2003  Varga Balázs <vinnui@ent.hu>:

	* po/hu.po:

	Translation update.  

Wed Dec 24 13:39:21 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.inc, doc/man/man5/elinks.conf.5:

	Fix bogus option description.  

Wed Dec 24 12:22:48 2003  Jonas Fonseca <fonseca@diku.dk>:

	* doc/small.txt:

	--without-x only removes possibility to restore the old window
	title.  

Wed Dec 24 12:16:33 2003  Jonas Fonseca <fonseca@diku.dk>:

	* README:

	Translators can also update existing .po files. :) 

Wed Dec 24 12:15:14 2003  Jonas Fonseca <fonseca@diku.dk>:

	* NEWS:

	Fix typo.  

Wed Dec 24 12:14:41 2003  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5:

	No good update.  

Wed Dec 24 11:55:21 2003  Varga Balázs <vinnui@ent.hu>:

	* po/hu.po:

	Hungarian translation update.  

Wed Dec 24 11:07:29 2003  Laurent Monin <zas@norz.org>:

	* src/protocol/smb/smb.c:

	Missing tags were added to smb:// page output.  

Wed Dec 24 11:02:00 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* po/it.po:

	Italian translation update.  

Wed Dec 24 10:45:19 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/text.c:

	Mouse-related code was enclosed in #ifdef USE_MOUSE/#endif.  

Wed Dec 24 02:19:33 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	0.5rc4.CVS 

Wed Dec 24 02:03:55 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	0.5rc4 

Wed Dec 24 01:29:48 2003  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	.po files were resynced.  

Wed Dec 24 00:59:01 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/proxy.c:

	Fixed handling of the $FTP_PROXY, patch by Timo.  

Wed Dec 24 00:31:52 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/form.c:

	Fix bug 315 - Tilde expansion doesn't work in file upload form
	fields.  

Wed Dec 24 00:30:52 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Comment on the code related to bug 282.  

Wed Dec 24 00:11:40 2003  Petr Baudis <pasky@ucw.cz>:

	* po/: nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po, sk.po,
	sv.po, tr.po, uk.po:

	.po files were resynced.  

Tue Dec 23 23:59:37 2003  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po:

	.po files were resynced.  

Tue Dec 23 23:51:56 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/http.c:

	Last-minute attempt to fix possible segfault when passing
	close_socket() a NULL pointer, extracted from Timo's patch.  

Tue Dec 23 19:24:06 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/rewrite/rewrite.c:

	Sort prefixes.  

Tue Dec 23 19:08:52 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Position the now unblockable cursor where text is typed in the
	typeahead statusline. Fixes second part of bug 344 and improves
	i18n.  

Tue Dec 23 17:30:17 2003  Laurent Monin <zas@norz.org>:

	* src/protocol/http/http.c:

	Decompression bug fix was reintroduced, it should now work in any
	case. Please review and test with special attention. Patch by Jonas.  

Tue Dec 23 17:08:53 2003  Laurent Monin <zas@norz.org>:

	* src/protocol/http/http.c:

	Last patch was reverted. freshmeat.net gzipped index page is not
	decompressed anymore. So the fix was not a good one.  

Tue Dec 23 17:01:39 2003  Laurent Monin <zas@norz.org>:

	* src/protocol/http/http.c:

	Unattended decompression of .tgz files was fixed by Jonas. We now
	use guess_encoding().  

Tue Dec 23 16:59:29 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/view.c:

	Redraw screen when entering typeahead mode so the status line is
	updated. Fixes first part of bug 344.  

Tue Dec 23 14:19:11 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Czech translation update.  

Tue Dec 23 13:45:15 2003  Peter Samek <samek@upc.uniba.sk>:

	* po/sk.po:

	Slovak translation update.  

Tue Dec 23 12:44:04 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	0.5rc3.CVS 

Tue Dec 23 12:41:11 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	0.5rc3 

Tue Dec 23 12:39:03 2003  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	.po files were resynced.  

Tue Dec 23 12:28:06 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/session.c:

	Only send keyboard and mouse events to the current tab. Should fix
	strange behaviour of two tabs and one Alt-d aka bug 296. Untested
	tho' as I cannot reproduce it anymore.  

Tue Dec 23 12:08:34 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/cookies/cookies.c:

	Use the NUL-terminated @domain string instead of the @server string
	when checking if part of the cookie domain matches. Was introduced
	in my struct uri introducing summer hacking. Fixes bug 308 so ELinks
	works with yahoo groups/mail again.  

Tue Dec 23 12:06:10 2003  Petr Baudis <pasky@ucw.cz>:

	* src/cookies/cookies.c:

	More verbose COOKIES_DEBUG domain security violation reporting. This
	is harmless as it is in normally-dead part of code.  

Tue Dec 23 11:34:28 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	Typo fix.  

Tue Dec 23 11:11:00 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/event.c:

	Revert part of patch adding ACT_REDRAW keybinding (in
	event.c:1.20->1.21) that removed the hardcoded ^L. The user can
	still define new keybindings but now overrule this one for now. We
	need some universal keybinding handler to better handle this.  

Tue Dec 23 11:04:31 2003  Laurent Monin <zas@norz.org>:

	* src/formhist/dialogs.c:

	Formhist info dialog layout was improved a bit. Fields list is now
	separated from header by a newline, and field types are displayed in
	a fancy manner.  

Tue Dec 23 10:55:02 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Make witekfl's fix to not decompress files with .gz or .bz2
	(http.c:1.220->1.221) also handle URIs with query parts, like the
	ones at http://www.icculus.org/openbox/download.php. Reported by
	Quazgaa.  

Tue Dec 23 10:10:05 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	Really really fix the off by one error in the progress bar. We have
	to consider both starting and ending brackets.  

Tue Dec 23 06:08:41 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation update.  

Tue Dec 23 01:24:07 2003  Jonas Fonseca <fonseca@diku.dk>:

	* configure.in:

	Make CGI support depend on the presence of setenv().  

Mon Dec 22 23:35:58 2003  Laurent Monin <zas@norz.org>:

	* doc/man/man1/elinks.1.in:

	Manpage date was updated.  

Mon Dec 22 22:55:16 2003  Jonas Fonseca <fonseca@diku.dk>:

	* doc/: man/man5/elinks.conf.5, tools/help2doc:

	Fix help2tool to properly handle '('s in strings so now the default
	for http user agent should be correct.  

Mon Dec 22 22:55:05 2003  Petr Baudis <pasky@ucw.cz>:

	* doc/Makefile.am:

	We should dump the generated manpage back to the srcdir, not
	builddir.  

Mon Dec 22 22:55:05 2003  Petr Baudis <pasky@ucw.cz>:

	* doc/Makefile.am:

	We should dump the generated manpage back to the srcdir, not
	builddir.  

Mon Dec 22 22:53:25 2003  Petr Baudis <pasky@ucw.cz>:

	* doc/Makefile.am:

	Make update-manpages to actually work.  

Mon Dec 22 22:50:00 2003  Jonas Fonseca <fonseca@diku.dk>:

	* doc/Makefile.am:

	Fix to proper test the $(ELINKS) binary, plus use top_builddir
	reported by pasky.  

Mon Dec 22 22:40:31 2003  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/: man1/elinks.1.in, man5/elinks.conf.5:

	Add -conffile descriptiong to elinks.1 and update for user agent
	string in elinks.conf.5.  

Mon Dec 22 22:00:08 2003  Petr Baudis <pasky@ucw.cz>:

	* src/intl/gettext/libintl.c:

	I will think out some punishments for those who remove blank lines.
	Someone may get hurt the next time, zas.  

Mon Dec 22 21:22:01 2003  Laurent Monin <zas@norz.org>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt_BR.po, pt.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	.po files were resynced and french translation was updated.  

Mon Dec 22 21:06:54 2003  Laurent Monin <zas@norz.org>:

	* src/: dialogs/options.c, intl/gettext/libintl.c:

	Provide translations for language menu.  

Mon Dec 22 20:39:34 2003  Peter Samek <samek@upc.uniba.sk>:

	* po/sk.po:

	Slovak translation update.  

Mon Dec 22 20:21:30 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	0.5rc2.CVS 

Mon Dec 22 18:24:36 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	0.5rc2 

Mon Dec 22 18:24:01 2003  Petr Baudis <pasky@ucw.cz>:

	* po/: ru.po, sk.po, sv.po, tr.po, uk.po:

	.po files were resynced.  

Mon Dec 22 18:23:40 2003  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	.po files were resynced.  

Mon Dec 22 17:45:32 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/widget.h:

	Partially revert last patch. No off by one here, but somewhere else.  

Mon Dec 22 17:18:16 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/widget.h:

	Fix an off by one error, preventing display of scrollbar when only
	one element is out of visible range. Stricter values checking.  

Mon Dec 22 17:09:03 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/cmdline.c:

	Oops, swapped '_' and '-' in my last fix.  

Mon Dec 22 16:31:33 2003  Laurent Monin <zas@norz.org>:

	* src/config/dialogs.c:

	Restore rev 1.134 option description layout: a extra newline before
	Description: and one after it. It makes msgbox easier to read.  

Mon Dec 22 16:25:47 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/text.c:

	Use isspace() and drop only the first space char after a split.  

Mon Dec 22 13:42:52 2003  Petr Baudis <pasky@ucw.cz>:

	* NEWS:

	Typeahead searches support.  

Mon Dec 22 13:13:31 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/dump/dump.c:

	Fixed not showing the last link in the list.  

Mon Dec 22 12:15:31 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/options.inc:

	Changed the default User-Agent string from ELinks (ver; sys; dim) to
	ELinks/ver (textmode; sys; dim). I know it is quite late to do this,
	but it is really important that we get this right in 0.5.0 ;-).
	Uncovered long ago by Cliff Cunnington.  

Mon Dec 22 11:54:38 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/cmdline.c:

	Removed one really ancient TODO sticked to _parse_options().  

Mon Dec 22 11:54:12 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/cmdline.c:

	Try to fix compatibility problems with lynx using underscores in
	their argument names vs. we using dashes (-force-html in
	particular).  

Mon Dec 22 11:45:31 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/cmdline.c:

	Trivial cleanup. I know. But this is an exception ;).  

Mon Dec 22 09:57:19 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Mon Dec 22 09:53:29 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/textarea.c:

	Revert previous illicit lets-fix-end-in-textarea part.  

Mon Dec 22 09:49:06 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/: dump/dump.c, text/textarea.c:

	Setup the link numbering option before the call to
	init_document_options(). Fixes references to links being dumped
	without the link numbers appearing.  

Mon Dec 22 07:44:43 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation was updated.  

Mon Dec 22 04:30:37 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/widget.h:

	Improve the comments for widget_data.info.text.*.  

Mon Dec 22 04:14:11 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/options.inc:

	Add the guideline that trees should be sorted before non-trees.  

Mon Dec 22 03:48:00 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	0.5rc1.CVS 

Mon Dec 22 03:42:36 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	0.5rc1 

Mon Dec 22 03:41:05 2003  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	.po files were resynced, Czech translation updated.  

Mon Dec 22 03:02:47 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/textarea.c:

	Fix ACT_HOME in textareas.  

Mon Dec 22 03:01:19 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/cmdline.c:

	.xif elipmoC 

Mon Dec 22 02:53:28 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/: cmdline.c, conf.c:

	Introduced -conffile, through which you can specify alternate
	configuration file name. Fixes bug 302, suggested by zas.  

Mon Dec 22 02:15:02 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/download.c:

	Initialize @term in download_data_store(). Spotted by Jonas.  

Mon Dec 22 02:12:13 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/download.c:

	Ensure correct handling of get_download_ses() returning NULL.  

Mon Dec 22 02:10:11 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/plain/renderer.c:

	Handle allocation failure.  

Mon Dec 22 02:09:14 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/: download.c, download.h:

	get_download_ses() now --- when the original session is not around
	anymore --- prefers session belonging to the same terminal as the
	original one. This is accomplished by introduction of
	file_download.term.  

Mon Dec 22 02:07:50 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/download.c:

	When destroying session, do not destroy downloads to external
	handlers if we have another session belonging to that terminal,
	which could still handle these. Being reported by Miciah, this
	should fix bug 226.  

Mon Dec 22 01:45:37 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: config/cmdline.c, viewer/dump/dump.c:

	Introduced commandline argument -no-numbering, which turns out
	numbering of links in the dump output. Numbering of links in the
	dump output is now the default behaviour.  

Mon Dec 22 01:19:19 2003  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man1/elinks.1.in:

	Add new command line options, some undocumented env. variables and
	finally new ~/.elinks/ files.  

Mon Dec 22 01:12:41 2003  Petr Baudis <pasky@ucw.cz>:

	* AUTHORS, src/viewer/dump/dump.c:

	If the links are numbered, show their list at the dump output
	footer. Patch by Jakub Horak <thement@hysteria.sk>, cleaned up by
	me.  

Mon Dec 22 00:24:00 2003  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5:

	Sync with current option tree.  

Mon Dec 22 00:10:42 2003  Jonas Fonseca <fonseca@diku.dk>:

	* contrib/elinks.vim:

	Add multiple new actions.  

Sun Dec 21 23:56:11 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/dialog.c, bfu/hierbox.c, bfu/menu.c, config/kbdbind.c,
	config/kbdbind.h:

	Remake ACT_TOGGLE_EXPAND into ACT_SELECT bound to ' ', and handle
	ACT_SELECT as ACT_ENTER in the other dialog kbd event handlers. This
	is a clean fix for the previous patch making hierbox browser keys
	configurable.  

Sun Dec 21 23:23:22 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/: kbdbind.c, kbdbind.h:

	Fix alphabetic order of actions.  

Sun Dec 21 23:19:03 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, config/kbdbind.c, config/kbdbind.h:

	Make hierbox browser keys configurable through ACT_TOGGLE_EXPAND,
	ACT_EXPAND and ACT_UNEXPAND.  

Sun Dec 21 23:02:40 2003  Petr Baudis <pasky@ucw.cz>:

	* NEWS:

	HTTPS proxy support.  

Sun Dec 21 22:46:27 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	For now drop the @uttered_glyph and associated proposed fix for bug
	171 (<frameset> should be ignored if not the very first thing after
	<head>). It broke virtually all framesets because whitespaces were
	considered as 'anything' as well. It is much less pressing now,
	tho', so the real fix has to wait.  

Sun Dec 21 22:45:37 2003  Laurent Monin <zas@norz.org>:

	* src/document/plain/renderer.c:

	Fix and improve last jonas patch: we now detects 3 types of end of
	lines and display lines as it should.  

Sun Dec 21 22:30:47 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	Removed nonsensical unreachable comment near a statement in
	parse_html(). It is perfectly reachable. I guess it was me who
	sticked it there, tho' ;-).  

Sun Dec 21 22:20:58 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: config/options.inc, terminal/screen.c, terminal/terminal.h:

	Changed back order of TERM_FREEBSD and TERM_KOI8 not to reposition
	TERM_KOI8. This keeps backward compatibility, although I'm not sure
	if we have *any* koi8 users now... whatever ;-).  

Sun Dec 21 22:15:43 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/options.inc:

	In the description for terminal._template_.type, add FreeBSD and
	correct the value of KOI-8. Raise the maximum value for the option
	by one so that selecting KOI-8 as the terminal type does not crash
	ELinks with an internal error.  

Sun Dec 21 22:01:43 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/text.c:

	In display_text, when the text widget is selected, ignore the block
	cursor setting and always display the cursor at the top-left corner
	of widget. This is done to aid screen readers that depend on the
	position of the cursor, as well as to help the user see that the
	text widget is selected.  

Sun Dec 21 21:54:41 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, document/plain/renderer.c:

	Don't show \r in "\r\n" as '.'. Requested by zas.  

Sun Dec 21 21:52:52 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/text.c:

	Display the scroll bar's elevator in the correct position, instead
	of always at the top of the bar, when the text widget is not
	selected.  

Sun Dec 21 21:42:20 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/text.c:

	Remove an obsolete TODO for scroll bars.  

Sun Dec 21 21:41:38 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/rewrite/rewrite.c:

	Make URI rewrite prefix selection dependant on whether args was
	passed. So dumb prefixes won't shadow smart ones.  

Sun Dec 21 21:28:39 2003  Petr Baudis <pasky@ucw.cz>:

	* contrib/lua/hooks.lua.in, src/protocol/rewrite/rewrite.c:

	The prefixes were copied from lua hooks to URI rewrite plugin.  

Sun Dec 21 21:28:00 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	Revert last bogus patch.  

Sun Dec 21 21:25:08 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	Use file_history for 'Save URL as' dialog and not goto_history.  

Sun Dec 21 21:18:27 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/rewrite/rewrite.c:

	Use setup defines for URIs and add some useful #ifdef DEBUG smart
	prefixes.  

Sun Dec 21 21:14:01 2003  Petr Baudis <pasky@ucw.cz>:

	* src/formhist/formhist.c:

	document.browse.forms.show_formhist is by default off for now. I
	believe it is currently rather annoying for most of the ELinks user
	audience, has some rough edges etc.  

Sun Dec 21 20:56:48 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.c:

	Fix possible leak in last patch.  

Sun Dec 21 20:50:03 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/uri.c:

	Use expand_tilde() always on possible file:// requests. Fixes bug
	331.  

Sun Dec 21 20:46:45 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/refresh.c:

	Grammar fix in a comment.  

Sun Dec 21 19:40:21 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/view.c:

	Finish zas' fixes for link wrap around to also include pressing down
	on last link.  

Sun Dec 21 19:29:01 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c:

	Add support for ACT_KILL_TO_BOL and ACT_REDRAW.  

Sun Dec 21 19:18:10 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c:

	Make the typeahead searching work both forward and backwards so
	up/down can also be used to navigate matching links.  

Sun Dec 21 19:09:19 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/: link.c, link.h, view.c, vs.c:

	Rename c_in_view() to current_link_is_visible().  

Sun Dec 21 19:08:27 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/refresh.c:

	Force a reload when the document refresh URI is the current one.
	Idea by pasky.  

Sun Dec 21 18:30:49 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	The <noframe> element content is now also printed when its parent
	<frameset> wasn't processed.  

Sun Dec 21 18:25:14 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	Introduced search_html_stack() (+ debug facility dump_html_stack).
	@encountered_body was removed and instead we now check whether the
	stack contains the BODY element.  

Sun Dec 21 18:17:36 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/view.c:

	Fix page up to not move change current link if we do not have to.
	Same for page down.  

Sun Dec 21 17:55:32 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/conf.c:

	sleep(1) when error was encountered so that user can read it.  

Sun Dec 21 17:25:14 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/conf.c:

	Do not report configuration file errors through elinks_error(). It
	was really quite clumsy as elinks_error() is designed just for
	rather internal errors reporting. It looked ugly, slowed down
	startup by great deal as it was beeping at each line, etc. Let's
	live in a happier world ;-).  

Sun Dec 21 17:20:15 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/view.c:

	Reverted the detach_formatted() changes. You can't just blast it off
	madly like that, it should only clean up well-defined items. At
	least examine the users before doing such a thing, please, so that
	you will see you just introduced bunch of segfaults when the
	detached document will be del_from_list()'d.  

Sun Dec 21 17:09:52 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	Track CPPFLAGS along CFLAGS when hunting -I directives.  

Sun Dec 21 17:04:09 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Sun Dec 21 17:03:52 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	Dropped really horrid zas' hack. If we are going to fix the
	warnings, we have not to do it in such a pervert way. ;p 

Sun Dec 21 17:01:22 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/: search.c, search.h, view.c:

	Make typeahead keys configurable.  

Sun Dec 21 16:54:34 2003  Laurent Monin <zas@norz.org>:

	* configure.in:

	Attempt to fix a weird configure time warning, please review and
	propose a better fix if any.  

Sun Dec 21 16:44:41 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/hierbox.c:

	Fixed l10n of error message when deleting error occurs.  

Sun Dec 21 16:37:41 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/view.c:

	detach_formatted(): Cleanup and simplification.  

Sun Dec 21 16:33:42 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser.c:

	A possible fix (although I don.t know if it is even the correct one)
	for some image option configuration that breaks numbered links.
	Reported by Zellner.  

Sun Dec 21 16:30:08 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Slightly alter the typeahead status appearence and position the
	cursor there.  

Sun Dec 21 16:26:43 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Czech translation update.  

Sun Dec 21 16:22:03 2003  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	.po files were resynced.  

Sun Dec 21 15:20:13 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/menu.c:

	Fixed negation bug introduced by the Jonas' cleanups ;-). This fixes
	uncancellable mainmenu aka bug 334.  

Sun Dec 21 14:56:54 2003  Laurent Monin <zas@norz.org>:

	* src/: bfu/inphist.c, bfu/menu.c, cache/cache.c,
	document/document.c, document/renderer.c, document/html/parser.c,
	document/html/tables.c, globhist/globhist.c, lowlevel/interlink.c,
	lowlevel/select.c, protocol/uri.c, protocol/ftp/ftp.c,
	sched/session.c, sched/task.c, ssl/ssl.c, terminal/color.c,
	terminal/screen.c, util/error.h, util/file.c, util/lists.h,
	util/memory.c, viewer/text/form.c, viewer/text/link.c,
	viewer/text/view.c:

	internal() -> INTERNAL().  

Sun Dec 21 14:51:18 2003  Laurent Monin <zas@norz.org>:

	* src/: bfu/listbox.c, cache/cache.c, config/options.c,
	cookies/cookies.c, dialogs/status.c, document/html/parser.c,
	document/html/tables.c, lowlevel/dns.c, mime/mime.c,
	osdep/os2/os2.c, protocol/auth/auth.c, sched/connection.c,
	ssl/connect.c, ssl/ssl.c, util/error.h, util/object.h:

	debug() -> DBG(), wdebug() -> WDBG().  

Sun Dec 21 14:46:40 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/link.c:

	Yeah, sure, go ahead, kill me. Typo fix.  

Sun Dec 21 14:41:41 2003  Petr Baudis <pasky@ucw.cz>:

	* src/globhist/dialogs.c:

	Supertypo fix.  

Sun Dec 21 14:39:41 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/link.c:

	internal() -> assertm() 

Sun Dec 21 14:39:03 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: bookmarks/dialogs.c, config/dialogs.c, cookies/dialogs.c,
	formhist/dialogs.c, globhist/dialogs.c:

	Changed the listbox_item info composition to be done the cookies way
	- sequence of add_format_to_string()s. This will hopefully ease the
	translation and overally sanitize this stuff. ;-) 

Sun Dec 21 14:13:19 2003  Laurent Monin <zas@norz.org>:

	* src/: main.c, bookmarks/backend/xbel.c, config/cmdline.c,
	config/options.c, intl/gettext/libintl.h, lowlevel/home.c,
	lowlevel/interlink.c, lowlevel/select.c, mime/backend/mailcap.c,
	scripting/lua/core.c, terminal/event.c, terminal/kbd.c,
	util/error.h, util/memory.c, viewer/dump/dump.c:

	error() -> ERROR().  

Sun Dec 21 14:08:16 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bookmarks/dialogs.c:

	Include title in the info string for bookmarks.  

Sun Dec 21 13:53:30 2003  Petr Baudis <pasky@ucw.cz>:

	* src/util/error.c:

	Renamed er()'s @sleep to @shall_sleep. Spotted by zas.  

Sun Dec 21 13:43:27 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/menu.c:

	Reverted accidental change to the if (!s) condition.  

Sun Dec 21 12:51:56 2003  Petr Baudis <pasky@ucw.cz>:

	* src/util/: error.c, error.h:

	debug() now doesn't sleep() anymore. Introduced wdebug() which still
	sleep()s.  

Sun Dec 21 12:40:41 2003  Petr Baudis <pasky@ucw.cz>:

	* src/terminal/event.c:

	Tidyup of in_term().  

Sun Dec 21 12:33:54 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/kbdbind.c:

	Removed some redundant keybindings introduced by Jonas.  

Sun Dec 21 12:25:36 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/: cmdline.c, options.c, options.inc:

	Moved cmdline options and option handlers from config/options.* to
	config/cmdline.c.  

Sun Dec 21 12:04:10 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/options.c:

	Blank lines and trivial reindentation.  

Sun Dec 21 11:32:35 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	Trivial cleanup.  

Sun Dec 21 11:25:30 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/dump/dump.c:

	Group destructors in dump_formatted().  

Sun Dec 21 06:55:16 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/scripting/guile/core.c:

	Handle malloc failures in init_guile.  

Sun Dec 21 06:54:11 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/scripting/guile/: core.c, hooks.c:

	Fix problems that occur when a binary that is compiled with Guile
	support is started with the -no-home argument: 
	
	1. In init_guile, if elinks_home is NULL, 
	   return before attempting to straconcat it with a filename.  
	   This fixes an assertion failure upon starting ELinks.  
	
	2. In Guile's ELinks event hook handlers, when looking up the
	   corresponding Guile code functions, handle (i.e., ignore) any
	   exceptions.  This fixes the problem that ELinks immediately dies 
	   when the Guile code attempts to look up an undefined hook.  
	
	Note: Altho these changes seem to work, I don't know Guile; they
	might be entirely cruddy.  

Sun Dec 21 02:22:25 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/menu.c:

	Some minor cleanups.  

Sun Dec 21 02:06:23 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/dialog.c, bfu/menu.c, config/kbdbind.c,
	config/kbdbind.h:

	Introduce ACT_CANCEL as a configurable version of KBD_ESC, and
	ACT_NEXT_ITEM as a configurable version of KBD_TAB.  

Sun Dec 21 00:40:15 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/dialog.c, config/kbdbind.c:

	Make select and submit button keybinding configurable.  

Sun Dec 21 00:30:15 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/dialog.c, bfu/inpfield.c, config/kbdbind.c,
	config/kbdbind.h, terminal/event.c, viewer/text/form.c,
	viewer/text/view.c:

	Introduce ACT_REDRAW used for redrawing the terminal. Bound to
	ctrl-(l|L) in all mappings.  

Sat Dec 20 23:54:11 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/listbox.c:

	Remove macro that was made obsolete in last patch.  

Sat Dec 20 23:53:02 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/listbox.c, config/kbdbind.c:

	Move some builtin keybindings to default keybindings and remove some
	that already existed.  

Sat Dec 20 23:42:10 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/kbdbind.c:

	Arrange default keybindings so they are sorted by the key.  

Sat Dec 20 23:06:20 2003  Petr Baudis <pasky@ucw.cz>:

	* AUTHORS, src/config/options.inc, src/protocol/proxy.c,
	src/protocol/http/http.c:

	HTTPS proxy support, patch by Timo Lindfors <lindi@kurp.hut.fi>,
	presumably also with some minor help of Jan Sembera
	<jan.sembera@flexible.cz>. This will probably yet need some little
	tuning, but seems generally ok.  

Sat Dec 20 23:02:41 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/kbdbind.c:

	Add missing values for meta key in default keybindings.  

Sat Dec 20 22:42:53 2003  Petr Baudis <pasky@ucw.cz>:

	* AUTHORS, INSTALL, configure.in, src/scripting/lua/core.h:

	Lua5 support, patch by Christian Cornelssen <ccorn@cs.tu-berlin.de>.  

Sat Dec 20 22:42:36 2003  Petr Baudis <pasky@ucw.cz>:

	* README:

	HACKING -> doc/hacking.txt 

Sat Dec 20 22:41:05 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/listbox.c, config/kbdbind.c, config/kbdbind.h:

	Add ACT_MARK_ITEM used for hierbox browser item marking so it is
	user configurable.  

Sat Dec 20 22:18:21 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/listbox.c, config/kbdbind.c:

	Bring keybinding to the listbox browser so people with a tendency to
	weird keymappings can have their way.  

Sat Dec 20 22:12:11 2003  Petr Baudis <pasky@ucw.cz>:

	* src/intl/charsets.c:

	cp2utf_8() optimization by witekfl from 2003-05-22. Chars < 128 are
	never translated so may be returned right away w/o even looking for
	the conversions. This should be quite measurable improvement. Again
	thanks to Miciah for bringing this to my attention.  

Sat Dec 20 22:07:35 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/listbox.c:

	Use macro to cleanup some builtin keyboard combos.  

Sat Dec 20 22:06:32 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	Finally commited witekfl's patch from 2003-05-22, removing redundant
	ei->name tests (it is never NULL). Thanks to Miciah for refreshing
	my memory.  

Sat Dec 20 21:57:21 2003  Petr Baudis <pasky@ucw.cz>:

	* AUTHORS, src/scripting/lua/core.c:

	va_list may not be a pointer on all systems, so such a usage is
	invalid. This fixes compilation on alpha-linux platform, bug 322,
	and is work of Jakub Bogusz.  

Sat Dec 20 21:49:38 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	Do not proceed with html_frameset() when we already either
	encountered the <body> tag or printed something to the document.
	This should +/- fix conformance problem triggered by
	
	(http://www.w3.org/MarkUp/Test/HTML401/current/tests/16_2-BF-01.html) aka bug 171, reported by zardoz.

Sat Dec 20 21:41:56 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/dialog.c:

	In the dialog KBD handler, use KM_MENU instead of KM_MAIN. Should
	fix various dialog navigation bugs. Introduced and reported by Jonas
	;-))).  

Sat Dec 20 21:22:27 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	SP_COLOR_LINK_LINES is triggered only for the first <body> tag in
	the document. This should fix weird link coloring when multiple
	<body> tags are in the document. This fixes bug 325.  

Sat Dec 20 19:00:44 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/auth/Makefile.am:

	Build dialogs.*.  

Sat Dec 20 18:59:39 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	Some minor tidyup.  

Sat Dec 20 18:55:27 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	Be more terse when babbling about SMB.  

Sat Dec 20 18:53:45 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	--enable-smb -> --disable-smb (by default enabled now), we check for
	smbclient presence (idea by zas).  

Sat Dec 20 18:48:30 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: mime/mime.c, protocol/file/file.c, sched/connection.c,
	sched/connection.h:

	src/util/encoding.* -> src/encoding/encoding.* 

Sat Dec 20 18:35:39 2003  Petr Baudis <pasky@ucw.cz>:

	* src/Makefile.am:

	Adjusted a little the linking order to link libauth.a after
	libhttp.a.  

Sat Dec 20 18:35:16 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in, src/Makefile.am, src/encoding/Makefile.am,
	src/encoding/encoding.c, src/encoding/encoding.h,
	src/util/Makefile.am, src/util/encoding.c, src/util/encoding.h:

	src/util/encoding.* -> src/encoding/encoding.* 

Sat Dec 20 18:30:17 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/Makefile.am:

	src/dialogs/auth.* -> src/protocol/auth/dialogs.*,
	src/protocol/http/auth.* -> src/protocol/auth/auth.*. And integrated
	to the build system.  

Sat Dec 20 17:01:37 2003  Petr Baudis <pasky@ucw.cz>:

	* src/encoding/: .cvsignore, .vimrc:

	Fairies.  

Sat Dec 20 16:59:01 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in, src/Makefile.am, src/main.c,
	src/dialogs/Makefile.am, src/dialogs/auth.c, src/dialogs/auth.h,
	src/protocol/auth/Makefile.am, src/protocol/auth/auth.c,
	src/protocol/auth/auth.h, src/protocol/auth/dialogs.c,
	src/protocol/auth/dialogs.h, src/protocol/http/Makefile.am,
	src/protocol/http/auth.c, src/protocol/http/auth.h,
	src/protocol/http/http.c, src/viewer/text/view.c:

	src/dialogs/auth.* -> src/protocol/auth/dialogs.*,
	src/protocol/http/auth.* -> src/protocol/auth/auth.*. And integrated
	to the build system.  

Sat Dec 20 16:42:09 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/auth/: .cvsignore, .vimrc:

	Fairies.  

Fri Dec 19 23:37:07 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/session.c:

	Check for @url protocol in request_additional_file() and take
	appropriate protocols if it is strange. This fixes crash reported by
	zas at http://www.contenido.de. I hope we have all the possible URL
	entry points hardened now.  

Fri Dec 19 23:21:24 2003  Petr Baudis <pasky@ucw.cz>:

	* AUTHORS, src/sched/task.c:

	Update @protocol in do_move() when redirected, so that
	PROTOCOL_UNKNOWN redirects are catched and dismissed and the right
	handler is used when we were redirected to a different @protocol.
	Spotted and proposed fix by Martin Bays
	<elinks-dev@zugzwang.port5.com>.  

Fri Dec 19 22:01:24 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/task.c:

	Localize @fn in do_follow_url().  

Fri Dec 19 18:30:46 2003  Petr Baudis <pasky@ucw.cz>:

	* src/lowlevel/sysname.c:

	Removed a newline. Just wanted to trigger a commit ;-).  

Fri Dec 19 16:27:16 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: config/options.inc, mime/backend/mailcap.c:

	Moved the protocol.mailcap compatibility aliases from
	config/options.inc to mime/backend/mailcap.c.  

Fri Dec 19 16:24:07 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/options.inc:

	protocol.mailcap.description is now alias to
	mime.mailcap.description like all the other protocol.mailcap
	options. Jonas, please review. Spotted by Zas.  

Fri Dec 19 14:29:47 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation cleanups.  

Fri Dec 19 12:07:01 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/hierbox.c:

	Clarify confusing (or confused?) description of
	replace_listbox_item().  

Fri Dec 19 12:03:37 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: bfu/hierbox.c, bfu/hierbox.h, bookmarks/bookmarks.c,
	cache/cache.c, config/kbdbind.c, config/options.c,
	cookies/cookies.c, formhist/formhist.c, globhist/globhist.c,
	sched/download.c:

	Renamed *horribly* misnamed functions: init_browser_box_item() ->
	init_listbox_item(), replace_box_item() -> replace_listbox_item(),
	done_browser_box() (!!!) -> done_listbox_item().  

Fri Dec 19 11:53:01 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/hierbox.c:

	Blank lines changes.  

Fri Dec 19 11:32:08 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/download.c:

	ses_chktype(): free_ct -> plaintext_follow 

Fri Dec 19 11:26:54 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/download.c:

	ses_chktype(): Unify end and free_ct 

Fri Dec 19 11:26:22 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/download.c:

	ses_chktype(): ret1 -> do_not_follow 

Fri Dec 19 08:29:28 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Thu Dec 18 22:37:29 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/: dialog.c, menu.c:

	Removed some strange redundant kbd event tests *puzzlement*.  

Thu Dec 18 20:55:15 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* configure.in:

	Reverted last modification, it is useless now.  

Thu Dec 18 20:52:34 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/dialogs/status.c:

	Fabio, tell me, what is this rint() thing for? 

Thu Dec 18 20:38:08 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* po/it.po:

	Italian translation update.  

Thu Dec 18 20:34:18 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/config/options.inc:

	Typo fix.  

Thu Dec 18 20:25:30 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* configure.in:

	Link against libm even if we don't compile LUA stuff.  Spotted by
	Zardoz@users.sourceforge.net.  

Thu Dec 18 17:05:44 2003  Laurent Monin <zas@norz.org>:

	* src/dialogs/status.c:

	Simplify fabio's last patch by using int_max().  

Thu Dec 18 13:47:58 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/dialogs/status.c:

	Distribute tab size in a more uniform way.  

Wed Dec 17 20:28:46 2003  Varga Balázs <vinnui@ent.hu>:

	* po/hu.po:

	More translation update 

Wed Dec 17 19:54:55 2003  Varga Balázs <vinnui@ent.hu>:

	* po/hu.po:

	Tranlsation update 

Wed Dec 17 17:42:15 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Wed Dec 17 14:54:04 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Czech translation update.  

Wed Dec 17 14:05:55 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Translation fixes.  

Wed Dec 17 13:29:36 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation update.  

Tue Dec 16 20:35:44 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/bookmarks/: bookmarks.c, bookmarks.h:

	s/const char */char */ 

Tue Dec 16 20:34:10 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt_BR.po, pt.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	Updated .po files and Italian translation.  

Tue Dec 16 19:54:56 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/bookmarks/backend/xbel.c:

	Check if get_attribute_value() returns NULL with the href attribute.  
	This is a sort of workaround for bug #150 (avoid crashes with
	invalid XBEL).  

Tue Dec 16 06:41:22 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	s/tab/karta/. Patch by Mikolaj Machowski.  

Mon Dec 15 20:21:39 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	Removed obsolete comment about bzlib weirdness.  

Mon Dec 15 06:39:04 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/file/cgi.c:

	POST method should be handled correctly now.  

Mon Dec 15 06:21:07 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation was updated.  

Mon Dec 15 06:15:42 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/http/http.c:

	Do not decompress files with suffixes 'gz' and 'bz2' sent via http.  

Sun Dec 14 14:46:37 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/text.c:

	Use isspace() and ispunct(), and fix handling of newline char when
	splitting: only first one should be ignored after a split.  

Sun Dec 14 14:09:46 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/text.c:

	@dlg_width -> @width.  

Sat Dec 13 10:03:52 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Sat Dec 13 05:29:20 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/task.c:

	Eliminate the @new_url variable from goto_url_with_hook and
	follow_url, and re-use the @url parameter instead.  

Sat Dec 13 05:25:42 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c:

	Improve the typeahead error message with the help from Miciah.  

Sat Dec 13 05:22:47 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/task.c:

	Complete the previous commit.  

Sat Dec 13 05:17:36 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/scripting/: guile/hooks.c, lua/hooks.c:

	Fix memory leaks in the Guile and Lua follow-url event hooks,
	following Jonas' pattern for the goto-url event hooks.  

Sat Dec 13 04:40:43 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/scripting/guile/: core.c, hooks.c:

	Compilation fixes: Add the void *data parameters to event hooks per
	src/sched/event.h:1.7->1.8, and add the struct module *module
	parameter to the module initialisation callback (wow, has Guile
	support been broken since it was modularised?!).  

Sat Dec 13 03:46:49 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c:

	2 is pop up msg_box() and 1 is b33p in typeahead error handling.  

Sat Dec 13 01:53:32 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/dialog.c:

	Make it possible to use the user defined keyactions for navigating
	widgets in the dialogs. Idea by Mikolaj Machowski <mikmach@wp.pl>.  

Sat Dec 13 01:41:10 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/menu.c:

	Make it possible to use the user defined keyactions in the main
	menu. Idea by Mikolaj Machowski <mikmach@wp.pl>.  

Sat Dec 13 00:39:03 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/view.c:

	Quickly fix last patch before pasky starts complaining. ;) 

Sat Dec 13 00:32:42 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/kbdbind.c, config/kbdbind.h, config/options.inc,
	dialogs/status.c, sched/session.h, viewer/text/search.c,
	viewer/text/search.h, viewer/text/view.c:

	Melodic patch in hack minor adding support for typeahead searching
	of link text.  

Fri Dec 12 23:38:01 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	Tree tagged. Prepare for assault attack... Three! Two! One! Let's
	go, first three at the right wing, next three at the left wing, me
	and seven and eight will keep at the centre. Target coordinates zero
	dot fife papa romeo echo one two, designation dot charlie victor
	sierra. Right wing, go. Left wing, go. The middle follows me.  

Fri Dec 12 23:26:22 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	0.5pre12. I'm a revisionist! 

Fri Dec 12 23:25:42 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	0.5pre12.CVS 

Fri Dec 12 23:19:03 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	0.5pre12 

Fri Dec 12 23:18:30 2003  Petr Baudis <pasky@ucw.cz>:

	* NEWS:

	_builtin_ user prefixes support 

Fri Dec 12 23:14:40 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/menu.c:

	Fixed keybinding info for Tab::Go forward ('->' -> 'u') as well.  

Fri Dec 12 23:13:45 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Fixed hotkeys conflict.  

Fri Dec 12 23:01:03 2003  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	.po files were resynced.  

Fri Dec 12 14:36:56 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/util/string.c:

	done_string(): Also clear the string magic.  

Fri Dec 12 14:24:19 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: document/html/parser.c, util/string.c, util/string.h:

	Remove copy_string().  

Fri Dec 12 14:05:42 2003  Jonas Fonseca <fonseca@diku.dk>:

	* doc/events.txt, src/scripting/guile/hooks.c,
	src/scripting/lua/hooks.c:

	Fix goto-url event (part II).  

Fri Dec 12 08:24:26 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Fri Dec 12 07:19:56 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/sched/session.c:

	Avoid overlapping dialogs upon first start up.  

Fri Dec 12 06:30:57 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* po/it.po:

	Italian translation fixes.  

Thu Dec 11 12:03:30 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/smb/smb.c:

	Wrap <sys/time.h> #include in HAVE_SYS_TIME_H.  

Thu Dec 11 10:54:10 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/scripting/: guile/hooks.c, lua/hooks.c:

	Free goto-url before setting it to NULL. Prevents ``Boom'' 

Thu Dec 11 10:41:24 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/menu.c:

	Added hotkey to Tab::Go forward.  

Thu Dec 11 10:41:07 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Czech translation update.  

Thu Dec 11 10:27:20 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/session.c:

	Removed useless prototype.  

Thu Dec 11 06:42:40 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	Updated .po and Italian translation.  

Wed Dec 10 21:34:08 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/menu.c:

	Fixed shortcut of File::Go forward.  

Wed Dec 10 19:02:06 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	A few hotkey fixes.  

Wed Dec 10 17:14:23 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/link.c:

	Add a few separators to the link menu.  

Wed Dec 10 17:05:17 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/menu.h, dialogs/menu.c:

	Add more fun stuff to the tab menu.  

Wed Dec 10 16:42:12 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, viewer/text/view.c:

	Move the tab_menu() so more handlers are accessible.  

Wed Dec 10 15:50:48 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/task.c:

	Other part of fix for goto-url leak.  

Wed Dec 10 11:21:20 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/dialogs/menu.c:

	Add missing #ifdef BOOKMARKS.  

Wed Dec 10 05:07:35 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/dialogs/status.c:

	Compilation fix.  

Wed Dec 10 04:47:21 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/status.c, sched/session.h:

	Handle the led panel like everything else in the status struct. Also
	fixes a bug causing leds from other that the current tab to be
	drawn.  

Wed Dec 10 03:45:13 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/view.c:

	Pass the session for the selected tab to the tab menu.  

Wed Dec 10 03:38:24 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	Add bookmark entry to the tab menu.  

Wed Dec 10 02:49:04 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, viewer/text/view.c:

	Properly adjust the position of the tab menu so entries are not
	accidentially envoked.  

Wed Dec 10 01:49:28 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	Remove unused text color.  

Wed Dec 10 01:45:21 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	Simplify getting of meter color.  

Wed Dec 10 00:24:09 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* contrib/elinks.spec.in:

	Enabled leds and local-cgi.  

Wed Dec 10 00:13:39 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation update.  

Wed Dec 10 00:12:08 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/sched/task.c:

	The cursor was repositioned at the first link of a frame, if a link
	(of this frame) opens page in another frame. It should be fixed now.  

Tue Dec  9 23:08:12 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: protocol/rewrite/rewrite.c, scripting/guile/hooks.c,
	scripting/lua/hooks.c:

	Fix leak in relation to goto-url event.  

Tue Dec  9 22:59:28 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/kbd.c:

	Hopefully fix the resetting to original title regression.  

Tue Dec  9 22:13:30 2003  Petr Baudis <pasky@ucw.cz>:

	* src/formhist/dialogs.c:

	Fixed internationalization and a trivial cleanup of
	push_login_button().  

Tue Dec  9 21:09:40 2003  Varga Balázs <vinnui@ent.hu>:

	* po/hu.po:

	Translation update + menu hotkey binding fixes.  

Tue Dec  9 20:18:27 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: dialog.c, inpfield.c:

	Move DIALOG_MIN_WIDTH usage to the cause of the problem - the input
	field formatter.  

Tue Dec  9 17:33:57 2003  Varga Balázs <vinnui@ent.hu>:

	* po/hu.po:

	translation update.  

Tue Dec  9 16:37:00 2003  Peter Samek <samek@upc.uniba.sk>:

	* po/sk.po:

	Slovak translation update.  

Tue Dec  9 13:59:17 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	Moved smb_get_cache() to _even_ better spot.  

Tue Dec  9 13:58:41 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	Whoops, moved READ_SIZE undef back where it was.  

Tue Dec  9 13:58:06 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	smb_read_data() now just uses READ_SIZE instead of taking ssize_t
	long. Besides, I have my doubts about ssize_t portability. (Dunno.) 

Tue Dec  9 13:51:20 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	Moved smb_get_cache() to a better spot.  

Tue Dec  9 13:47:12 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	Test for datalen instead of struri(conn->uri) in end_smb_func().
	This was porting error.  

Tue Dec  9 13:42:53 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	+-----------------------------+ | Do NOT remove blanklines!!! | 
	+-----------------------------+ 
	               | 
	               | 
	               | 
	               | 
	               | 
	               | 

Tue Dec  9 13:40:18 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	Undef MAX_SMBCLIENT_ARGS.  

Tue Dec  9 13:39:32 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	smb port is now again 139. It doesn't break anything and looks nice.  

Tue Dec  9 13:38:59 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	Overflow risk was handled by zas' in previous patch so shortened the
	FIXME.  

Tue Dec  9 13:38:34 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	error() introduced by zas was reverted back to fprintf(). stderr is
	standard error reporting channel.  

Tue Dec  9 11:37:01 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/smb/smb.c:

	Add #includes needed by FreeBSD.  

Tue Dec  9 09:34:06 2003  Laurent Monin <zas@norz.org>:

	* src/protocol/smb/smb.c:

	An assertion to detect possible overflow was added. error() is used
	instead of fprintf().  

Tue Dec  9 09:21:25 2003  Laurent Monin <zas@norz.org>:

	* src/protocol/smb/smb.c:

	Protocol port is now zero, 139 is a non sense here. smbclient
	options were commented, and debug level was set to zero to preserve
	display even if we have a global smb.conf debug level set.  

Tue Dec  9 08:56:18 2003  Laurent Monin <zas@norz.org>:

	* src/protocol/smb/smb.c:

	Code redundancy reduction by introducing smb_get_cache(). Previous
	change about assertion was changed again since i am not sure about
	what to do in uri.datalen == 0 case.  

Tue Dec  9 08:44:21 2003  Laurent Monin <zas@norz.org>:

	* src/protocol/smb/smb.c:

	Reduce code redundancy by introducing smb_read_data(). A wrong
	assertion was replaced by a test.  

Tue Dec  9 07:15:19 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* po/it.po:

	Italian translation update and fix.  

Tue Dec  9 03:38:47 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/formhist/dialogs.c:

	Do not allow Login for dontsave pages in Form history manager (fix
	for bug #306). Implemented with a dialog that informs the user.  

Mon Dec  8 23:08:27 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/rewrite/rewrite.c:

	A colon can separate smartprefix from its arguments as well.  

Mon Dec  8 23:00:09 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: Makefile.am, protocol/rewrite/Makefile.am:

	librewrite.a -> liburirewrite.a 

Mon Dec  8 22:58:32 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	Removed now-redundant assignment.  

Mon Dec  8 22:57:53 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	Fixed rlimit code introduced by zas.  

Mon Dec  8 22:45:33 2003  Laurent Monin <zas@norz.org>:

	* src/protocol/smb/smb.c:

	Bunch of comments, fixme, minor cleanup. Sorry but i have no time
	for fixing it now, but this patch will give some directions.  

Mon Dec  8 19:45:27 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Czech translation update.  

Mon Dec  8 19:36:56 2003  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	.po files were resynced 

Mon Dec  8 17:53:02 2003  Peter Samek <samek@upc.uniba.sk>:

	* po/sk.po:

	Slovak translation update.  

Mon Dec  8 16:16:16 2003  Laurent Monin <zas@norz.org>:

	* src/protocol/smb/smb.c:

	Do not show . in smb directory list, and use a better way to close
	all unneeded file descriptors.  

Mon Dec  8 11:06:35 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Mon Dec  8 09:23:55 2003  Varga Balázs <vinnui@ent.hu>:

	* po/hu.po:

	Translation update.  

Mon Dec  8 02:56:43 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.c:

	Funky stuff .. the previous buggy '_template' actually worked.  

Mon Dec  8 02:51:52 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/options.c:

	For builtin templates set the description to the one in the template
	when adding the option.  

Mon Dec  8 00:39:59 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: setup.h, bfu/dialog.c:

	Ensure that dialogs (and especially the _template_ option edit ones
	that contains no text to increase it) has a comfortable minimum
	width. Set to the magic number of 42.  

Mon Dec  8 00:24:39 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/session.c:

	Do not add the proxy URI but the 'real' URI to globhist. Regression
	introduced when the adding of URIs in frames fixed.  

Mon Dec  8 00:22:54 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/http.c:

	Validate sanity check although it should not happen.  

Sun Dec  7 23:34:59 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/menu.c:

	Fixed hotkey.  

Sun Dec  7 21:40:45 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	Hopefully a fix of an off by one error in the progress bar filed as
	bug 320.  

Sun Dec  7 21:39:57 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/screen.c:

	Compile fix for FreeBSD frame patch.  

Sun Dec  7 21:26:36 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/options.c:

	Update widgets count. Spotted by Jonas.  

Sun Dec  7 21:03:15 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: dialogs/options.c, terminal/screen.c, terminal/terminal.h:

	Support for FreeBSD frames (by mikulas, from 0.99pre14).  

Sun Dec  7 20:49:20 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/http.c:

	Improved HTTP code 204 handling (by mikulas, from 0.99pre14).  

Sun Dec  7 20:18:36 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	Reorder cases in the @type switch to eliminate a goto.  

Sun Dec  7 20:17:52 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	Convert @type checking to a switch.  

Sun Dec  7 20:15:58 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	close() can spoil @errno, so save errno before.  

Sun Dec  7 20:15:26 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/smb.c:

	Abort connection with state S_OUT_OF_MEM instead of -errno after
	allocation failure, spotted by Jonas.  

Sun Dec  7 16:51:43 2003  Petr Baudis <pasky@ucw.cz>:

	* NEWS:

	SMB protocol, goto rewritting. Kicked to do that by Jonas.  

Sun Dec  7 16:45:15 2003  Petr Baudis <pasky@ucw.cz>:

	* AUTHORS, acconfig.h, configure.in, src/Makefile.am,
	src/protocol/Makefile.am, src/protocol/protocol.c,
	src/protocol/protocol.h, src/protocol/smb/Makefile.am,
	src/protocol/smb/smb.c, src/protocol/smb/smb.h:

	Introduced support for SMB protocol (you need to have smbclient
	installed), by default disabled at compile time (--enable-smb) (by
	mikulas, from 0.99pre12).  

Sun Dec  7 15:59:23 2003  Petr Baudis <pasky@ucw.cz>:

	* src/util/lists.h:

	Compilation fixes.  

Sun Dec  7 12:50:10 2003  Petr Baudis <pasky@ucw.cz>:

	* src/util/lists.h:

	Fixed another possible aliasing bug in lists handling (by mikulas,
	from 0.99pre14).  

Sun Dec  7 12:01:34 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/smb/: .cvsignore, .vimrc:

	Fairies.  

Sun Dec  7 11:55:05 2003  Petr Baudis <pasky@ucw.cz>:

	* doc/man/man1/elinks.1.in:

	ELinks was written by a team.  

Sun Dec  7 11:52:30 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: sched/session.c, terminal/event.c:

	Fixed possibility of invalid intercom communication crashing ELinks
	(by mikulas, from 0.99pre10).  

Sun Dec  7 11:39:59 2003  Petr Baudis <pasky@ucw.cz>:

	* src/util/lists.h:

	Fixed possible aliasing bug in lists handling (by mikulas, from
	0.99pre10).  

Sun Dec  7 11:34:05 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/http.c:

	Fixed incorrect file truncation of file on 304 reply (by mikulas,
	from 0.99pre10).  

Sun Dec  7 11:29:06 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/ftp/ftp.c:

	Set IPTOS_THROUGHPUT on data sockets (assumably by either mikulas or
	brain, from 0.99pre10).  

Sun Dec  7 11:24:06 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/ftp/ftp.c:

	Localized the @fd variable in ftp_retr_file().  

Sun Dec  7 11:17:41 2003  Petr Baudis <pasky@ucw.cz>:

	* src/lowlevel/connect.c:

	Do not retry DNS failures (by mikulas, from 0.99pre10).  

Sun Dec  7 02:45:30 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/rewrite/rewrite.c:

	Added some TODOs.  

Sun Dec  7 02:18:54 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/rewrite/rewrite.c:

	Cleanup to use macro for array sizes.  

Sun Dec  7 02:04:20 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/rewrite/rewrite.c:

	Cleanup.  

Sun Dec  7 01:57:13 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/rewrite/rewrite.c:

	Add .  

Sun Dec  7 01:45:30 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/rewrite/rewrite.c:

	Elaborate a bit in the URI rewriting option description.  

Sun Dec  7 00:59:42 2003  Jonas Fonseca <fonseca@diku.dk>:

	* doc/man/man5/elinks.conf.5:

	Sync with current option tree.  

Sun Dec  7 00:50:16 2003  Jonas Fonseca <fonseca@diku.dk>:

	* acconfig.h, configure.in, src/Makefile.am, src/modules/module.c,
	src/protocol/Makefile.am, src/protocol/rewrite/.cvsignore,
	src/protocol/rewrite/.vimrc, src/protocol/rewrite/Makefile.am,
	src/protocol/rewrite/rewrite.c, src/protocol/rewrite/rewrite.h,
	src/sched/task.c:

	Support for URI rewriting like the one scripting extensions provide.
	Prefix enable options are on by default since it can lead to
	confusion if it does not seem to work because of this when first
	rewrite rule is defined by the user. Patch by kuser and me.  

Sun Dec  7 00:26:53 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/menu.c:

	File::Bookmark document has now 'a' as its hotkey. Idea by Jonas.  

Sun Dec  7 00:26:03 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/menu.c:

	Reassigned menu hotkeys in the File menu to make some actual sense,
	cleaning up some historical twists. This oughta happen once.  

Sun Dec  7 00:22:51 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/menu.c:

	Reverted 1.62 (by me) and re-add 'add bookmark' menu item.  

Sun Dec  7 00:15:26 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/menu.c:

	Moved @tools_menu near do_tools_menu().  

Sat Dec  6 23:37:18 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/task.c:

	Missing include sched/event.h added. Spotted by Jonas.  

Sat Dec  6 23:02:35 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	0.5pre11.CVS 

Sat Dec  6 23:00:11 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in:

	0.5pre11 

Sat Dec  6 22:59:59 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Czech translation update.  

Sat Dec  6 22:58:41 2003  Petr Baudis <pasky@ucw.cz>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt.po, pt_BR.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	.po files were resynced.  

Sat Dec  6 22:37:40 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/http.c:

	Fixed parsing of the Status HTTP header.  

Sat Dec  6 21:58:41 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/hierbox.c:

	Removed useless include.  

Sat Dec  6 21:58:15 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/: session.c, task.c:

	Bunch of compilation fixes.  

Sat Dec  6 21:57:37 2003  Petr Baudis <pasky@ucw.cz>:

	* src/scripting/lua/core.c:

	Compilation fix.  

Sat Dec  6 21:57:00 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/hierbox.c:

	Reverted Jonas' removal of setting @bookmark_dirty when a folder
	expansion was changed.  

Sat Dec  6 21:04:59 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/session.h:

	Fixed names of members of struct session_task.  

Sat Dec  6 21:03:52 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Compilation fix.  

Sat Dec  6 17:10:53 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/options.c:

	Removed useless include left there by Jonas ;-).  

Sat Dec  6 17:05:28 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/session.h:

	Compilation fix.  

Sat Dec  6 17:04:31 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/: download.c, history.c, session.c, session.h, task.c,
	task.h:

	More task-related routines were moved from sched/session.* to
	sched/task.*.  

Sat Dec  6 16:44:49 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/session.c:

	Trivial tidyup.  

Sat Dec  6 16:44:24 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/: download.c, history.c, session.c, session.h, task.c:

	Introduced struct session_task, session.task* moved there,
	session.task is now of that type.  

Sat Dec  6 16:34:13 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/task.h:

	Declare struct terminal instead of including terminal/terminal.h.  

Sat Dec  6 09:52:42 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/http.c:

	Fixed leaking of @d if Status: 101 header occurs. Introduced by me,
	reported by Jonas. So the edification is not to write new code when
	sleeping.  

Sat Dec  6 09:50:55 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Fixed REFERER_SAME_URL HTTP_REFERER-related leak introduced by me,
	reported by Jonas.  

Sat Dec  6 09:48:47 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/: file/cgi.c, http/http.c:

	Fixed send_cookies()-related leaks introduced by me, reported by
	Jonas.  

Sat Dec  6 02:57:46 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/task.c:

	Fix typo.  

Sat Dec  6 02:56:01 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, dialogs/menu.c, document/refresh.c,
	document/html/parser.c, sched/Makefile.am, sched/session.c,
	sched/session.h, sched/task.c, sched/task.h, viewer/text/link.c,
	viewer/text/view.c:

	Move the goto family to task oriented file.  

Sat Dec  6 02:53:35 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/util/string.h:

	This is unfortunately necessary since we have a few leaks.  

Sat Dec  6 02:27:15 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/cookies/cookies.c:

	Minor simplification to use uri.protocol instead of string
	comparing.  

Sat Dec  6 00:30:02 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	SERVER_PROTOCOL is now HTTP/1.1. Hmm, I think the CGI environment is
	more-or-less complete now, modulo some really tiny details.  

Sat Dec  6 00:25:44 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/http.c:

	Added support for the 'Status' HTTP header. It can get there from a
	CGI script.  

Sat Dec  6 00:04:14 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/http.c:

	Typo fix.  

Sat Dec  6 00:02:57 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: cookies/cookies.c, protocol/file/cgi.c:

	Compilation fixes.  

Fri Dec  5 23:52:55 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Set HTTP_COOKIE.  

Fri Dec  5 23:45:47 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: cookies/cookies.c, cookies/cookies.h, protocol/http/http.c:

	send_cookies() now does not take the @header argument anymore and
	returns a string on its own, without leading 'Cookie: ' and trailing
	'\r\n'.  

Fri Dec  5 22:58:11 2003  Petr Baudis <pasky@ucw.cz>:

	* src/cookies/: cookies.c, cookies.h:

	send_cookies() now returns struct string *, for now being the passed
	@header if some cookies were actually appended there or NULL
	otherwise.  

Fri Dec  5 22:46:23 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/intl/gettext/: Makefile.in, localealias.c:

	Use LOCALEDIR defined in configure.in to /locale since HP-UX' cc
	preprocessor cannot handle all these -D args.  

Fri Dec  5 22:31:32 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/link.c:

	Fixed invalid zas' cleanup. Trivial algebra ;-).  

Fri Dec  5 22:30:10 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/menu.h:

	Compile fix for HP-UX' cc that do not like bogus ';' in structs.  

Fri Dec  5 22:22:00 2003  Laurent Monin <zas@norz.org>:

	* src/viewer/text/view.c:

	Abnormal link wraparound from top to low part of document view when
	going up was fixed.  

Fri Dec  5 22:13:45 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Now, subdirs of the CGI path directories are allowed when testing
	validity of CGI script path. Internally, we now pass the path with
	trailing slash to test_path().  

Fri Dec  5 22:01:04 2003  Laurent Monin <zas@norz.org>:

	* src/viewer/text/link.c:

	choose_mouse_link(): cleanup, comments and code simplification.  

Fri Dec  5 21:37:03 2003  Laurent Monin <zas@norz.org>:

	* src/viewer/text/link.c:

	Code simplification, using int_upper|lower_bound() and temp. vars.  

Fri Dec  5 21:19:12 2003  Laurent Monin <zas@norz.org>:

	* src/viewer/text/link.c:

	find_link(): @l -> @link_pos, improved readibility by introducing
	ymin and ymax.  

Fri Dec  5 21:00:51 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Tiny tidyup of test_path().  

Fri Dec  5 20:49:07 2003  Laurent Monin <zas@norz.org>:

	* src/viewer/text/link.c:

	get_link_url(): use @link instead of @,  use a switch here since it
	looks more appropriate when matching enum values.  

Fri Dec  5 20:27:31 2003  Laurent Monin <zas@norz.org>:

	* po/sk.po:

	Fix missing \n in a translation.  

Fri Dec  5 19:12:42 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/file/cgi.c:

	Damned unsigned chars makes it necessary to put all kinds of garbage
	casts in the code. ;-) 

Fri Dec  5 19:02:44 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/file/cgi.c:

	When setting QUERY_STRING and using the query string we need to
	temporarily insert NUL char on the @post position if there is any.  

Fri Dec  5 18:53:25 2003  Peter Samek <samek@upc.uniba.sk>:

	* po/sk.po:

	Slovak translation update.  

Fri Dec  5 18:21:07 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	TODO about HTTP auth.  

Fri Dec  5 18:20:09 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Set HTTP_PRAGMA and HTTP_CACHE_CONTROL to no-cache if appropriate.  

Fri Dec  5 18:18:53 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Set HTTP_IF_MODIFIED_SINCE.  

Fri Dec  5 18:17:18 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Set HTTP_ACCEPT_LANGUAGE more properly.  

Fri Dec  5 18:14:37 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Set HTTP_ACCEPT_LANGUAGE.  

Fri Dec  5 18:12:53 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Explain why we won't set HTTP_ACCEPT_ENCODING.  

Fri Dec  5 18:11:21 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Protect against vim's cindent bugs ("*/*" messed it up).  

Fri Dec  5 18:08:13 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Set HTTP_ACCEPT to */*.  

Fri Dec  5 18:07:36 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Do not check for setenv("HTTP_USER_AGENT") failure.  

Fri Dec  5 18:07:11 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Set HTTP_REFERER.  

Fri Dec  5 18:02:53 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Set HTTP_USER_AGENT.  

Fri Dec  5 18:02:04 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/: http.c, http.h:

	Export subst_user_agent().  

Fri Dec  5 17:53:51 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Set SERVER_PROTOCOL to ELGI/1.0.  

Fri Dec  5 17:49:21 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	It is possible to have QUERY_STRING in POST query, so added support
	for that to set_vars().  

Fri Dec  5 17:48:29 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Added blank line ;-).  

Fri Dec  5 17:47:42 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Cleaned up setting SCRIPT_NAME to be uniform to the others.  

Fri Dec  5 17:45:02 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Set REMOTE_ADDR to 127.0.0.1. Empty string could be maybe better,
	though.  

Fri Dec  5 17:41:16 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Set GATEWAY_INTERFACE to CGI/1.1.  

Fri Dec  5 17:40:13 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Set SERVER_NAME to localhost. Empty string could be maybe better,
	though.  

Fri Dec  5 17:38:25 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Convert handling of c_pipe() error to goto end1 in execute_cgi().  

Fri Dec  5 17:37:55 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	close() pipes on error, if they were created already.  

Fri Dec  5 17:31:48 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Set SERVER_SOFTWARE to ELinks/<VERSION>.  

Fri Dec  5 17:11:58 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Stahuju -> stahuji 

Fri Dec  5 17:10:58 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Fixed bug of ELinks not closing local CGI connections.  

Fri Dec  5 15:17:21 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/: options.c, options.h:

	Only compare document options width if the document is not plain.  

Fri Dec  5 13:50:29 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/: options.c, options.h, renderer.c, html/parser.c:

	A nice little hack that will mark those document that actually
	depend on a specific document height (those that contain textareas
	or frames). This means we can better check if we need to compare the
	height and determine if we need to rerender.  

Fri Dec  5 08:38:53 2003  Laurent Monin <zas@norz.org>:

	* src/protocol/http/http.c:

	Convert assertion to test, and extends it to check for uri->hostlen
	== 0, which is correct but do not have sense here. It shold fix bug
	280 (...).  

Fri Dec  5 05:41:40 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/viewer/text/view.c:

	Middle click opens links in a new backgrounded tab.  

Fri Dec  5 05:18:16 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/viewer/text/view.c:

	Invert behaviour of the mouse wheel on tabs, wheel down jumps to the
	next tab. Based on new IThinkIsBetterThisWay(TM) technology.  

Thu Dec  4 19:40:15 2003  Varga Balázs <vinnui@ent.hu>:

	* po/hu.po:

	Updated translation.  

Thu Dec  4 18:20:42 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/: config/options.c, cookies/dialogs.c:

	Indentation and whitespace fixes.  

Thu Dec  4 18:05:51 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/file.c:

	Trivial tidyup.  

Thu Dec  4 16:31:26 2003  Peter Samek <samek@upc.uniba.sk>:

	* po/sk.po:

	Slovak translation update.  

Thu Dec  4 16:01:04 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* po/it.po:

	Italian translation update.  

Thu Dec  4 13:42:57 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Thu Dec  4 12:28:54 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/text.c:

	Bunch of minor fixes: split_line() is now clever in some rare cases
	of unsplittable text. Some assertions were added, cleanup. Note that
	more work is needed we still have weird issues here.  

Thu Dec  4 11:11:03 2003  Laurent Monin <zas@norz.org>:

	* acconfig.h, configure.in, src/config/options.inc,
	src/protocol/file/cgi.c, src/protocol/file/file.c:

	Support for local CGIs is now controlled by --enable-local-cgi
	configure option. Whitespaces and ending dots were fixed too.  

Thu Dec  4 09:27:18 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/leds.c, dialogs/status.c, document/renderer.c,
	sched/session.c, sched/session.h, viewer/text/view.c:

	Move session status info to new session_status struct.  

Wed Dec  3 23:23:12 2003  Petr Baudis <pasky@ucw.cz>:

	* AUTHORS:

	Glorified Jonas a little.  

Wed Dec  3 23:21:15 2003  Petr Baudis <pasky@ucw.cz>:

	* AUTHORS:

	Slightly updated Mikulas' record.  

Wed Dec  3 23:20:42 2003  Petr Baudis <pasky@ucw.cz>:

	* AUTHORS:

	Removed BFU colorization from my record.  

Wed Dec  3 23:19:30 2003  Petr Baudis <pasky@ucw.cz>:

	* AUTHORS, NEWS:

	Local CGI support.  

Wed Dec  3 23:18:06 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Czech translation update.  

Wed Dec  3 18:32:51 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/kbdbind.c:

	Increase padding so also Ctrl-Insert is within the limit.  

Wed Dec  3 18:31:56 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Compile fix for FreeBSD.  

Wed Dec  3 17:16:08 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/text.c:

	Do not attempt to display text widget if there is no room for it in
	dialog.  

Wed Dec  3 17:10:38 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/view.c:

	Make it possible to cycle tabs by mouse wheeling in the tab area.  

Wed Dec  3 17:07:27 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, dialogs/menu.h, viewer/text/view.c:

	Add small (right clickable) tab menu.  

Wed Dec  3 16:40:16 2003  Laurent Monin <zas@norz.org>:

	* src/sched/connection.c:

	Previous patch was breaking loading of file URIs (ie .), reported by
	Jonas. Now we check if protocol needs a slash after host or not and
	fail if there is no host part for concerned protocols.  

Wed Dec  3 15:30:20 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/link.c:

	Fix the hotkey listed for the menu item 'Open in external editor':
	s/Ctrl-E/Ctrl-T/.  

Wed Dec  3 15:15:59 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/download.c:

	In dlg_abort_download and dlg_undisplay_download, use @file_download
	instead of dlg_data->dlg->udata as we've assigned the latter to the
	former.  

Wed Dec  3 14:08:15 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/dialog.c:

	Give do_refresh_dialog() the static keyword.  

Wed Dec  3 13:58:06 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/download.c:

	In push_delete_button, use @file_download instead of
	dlg_data->dlg->udata as we've assigned the latter to the former.  

Wed Dec  3 13:03:51 2003  Laurent Monin <zas@norz.org>:

	* src/sched/connection.c:

	When there's no host part in url, we should just emit a bad url
	syntax error instead of attempting to create a connection to an
	obviously invalid host. This patch does that and should fix bug 280.  

Wed Dec  3 13:02:43 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/view.c:

	Clean up draw_frames: Remove an unused variable, add a blank line,
	and simplify the bounding of current_link.  

Wed Dec  3 12:37:39 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/globhist/globhist.c:

	Remove a TODO that was done by pasky in
	src/globhist/globhist.c:1.53->1.54: Do not read/write globhist when
	anonymous.  

Wed Dec  3 11:27:37 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/session.c:

	Give request_frameset() the static keyword.  

Wed Dec  3 07:29:55 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/dialog.c:

	Remove an unnecessary |if (ml)|: freeml() checks that its argument
	is not NULL before dereferencing it.  

Wed Dec  3 07:23:28 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/form.c:

	In get_form_url, improve upon (i.e., fix) my previous fix for a
	memory leak that could occur when malloc fails
	(src/viewer/text/form.c:1.60->1.61).  

Wed Dec  3 01:19:15 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation update.  

Wed Dec  3 01:16:16 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/file/cgi.c:

	Hopefully restore test_path() handling to original one.  

Wed Dec  3 01:06:05 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/: be.po, bg.po, ca.po, cs.po, da.po, de.po, el.po, es.po,
	et.po, fi.po, fr.po, gl.po, hr.po, hu.po, id.po, is.po, it.po,
	leet.po, lt.po, nl.po, no.po, pl.po, pt_BR.po, pt.po, ro.po, ru.po,
	sk.po, sv.po, tr.po, uk.po:

	.po files were resynced.  

Wed Dec  3 00:49:52 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/bfu/hierbox.c:

	s/can not/cannot/ 

Wed Dec  3 00:46:29 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/options.c:

	Remove an #include for document/document.h, which was made
	unnecessary in src/config/options.c:1.410->1.411.  

Tue Dec  2 23:48:31 2003  Laurent Monin <zas@norz.org>:

	* src/sched/session.c:

	Revert attempt to fix bug 304.  

Tue Dec  2 20:53:17 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/status.c, dialogs/status.h, document/renderer.c,
	viewer/text/view.c:

	Blast off init_bars_status(). We now update the (status) bars when
	needed and makes sure the document is also updated.  

Tue Dec  2 20:18:46 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* po/it.po:

	Fix in Italian translation.  

Tue Dec  2 20:18:23 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Rerender the document when the tab bar visibility changes. Fixes bug
	87.  

Tue Dec  2 19:57:59 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/status.c, sched/session.c, terminal/window.c:

	Update ses->visible_tabs_bar in update_status() and call it when
	opening and closing tabs.  

Tue Dec  2 19:16:34 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.c, dialogs/status.c, dialogs/status.h:

	Move status updating to update_status() and call it from the ui
	changehook.  

Tue Dec  2 19:07:52 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/window.h:

	Comment the window struct.  

Tue Dec  2 18:38:54 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/kbdbind.c, config/kbdbind.h, dialogs/info.c:

	Make it possible to add actions for any key map and add a toggle
	button to the keys dialog. Reveals some bugs in the text scrolling
	widget.  

Tue Dec  2 17:31:41 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/text.c:

	Simple mouse support for text widget scrollbar.  

Tue Dec  2 16:51:19 2003  Laurent Monin <zas@norz.org>:

	* src/protocol/http/http.c:

	Define BIG_READ as 65536 and use it instead of hardcoded number.  

Tue Dec  2 16:26:39 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Tue Dec  2 16:00:16 2003  Laurent Monin <zas@norz.org>:

	* src/protocol/http/http.c:

	HTTP code 307 is now handled (as a 302, not perfect but should do
	the job).  

Tue Dec  2 14:58:10 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/renderer.c:

	Fixed potential bug created in rev1.10 by Jonas, when cache_entry
	could be freed and then used in init_document(), in particularily
	pathological case.  

Tue Dec  2 14:49:27 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/status.c:

	Fixed capital letters in download window.  

Tue Dec  2 14:42:35 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/status.c:

	Use hardcoded comma, not separator, between elapsed and estimated
	time, to keep it at one line and thus make the download window more
	compact.  

Tue Dec  2 14:36:04 2003  Laurent Monin <zas@norz.org>:

	* src/dialogs/status.c:

	Use @separator instead of hardcoded string.  

Tue Dec  2 14:22:58 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	Hotkey fix.  

Tue Dec  2 11:23:45 2003  Laurent Monin <zas@norz.org>:

	* src/sched/session.c:

	Do not copy post data when copying old to new session. This patch
	should fix bug 304.  

Tue Dec  2 10:54:12 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/text.c:

	Vertical scrollbar display was tuned a bit, not yet perfect, but
	better. format_and_display_text() was introduced to shorten
	kbd_text().  

Mon Dec  1 23:44:40 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/tab.c:

	m33p.  

Mon Dec  1 21:50:05 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Cleanup.  

Mon Dec  1 21:47:16 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Don't be so optimistic.  

Mon Dec  1 21:46:32 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Move window title code to display_window_title().  

Mon Dec  1 21:06:35 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Cleanup title trimming.  

Mon Dec  1 20:55:13 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Merge print_current_title() with other title tab displaying and
	rename it display_tab_bar().  

Mon Dec  1 20:44:17 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/status.c, viewer/text/link.h, viewer/text/view.c:

	Move print_current_title() to the status dialog file.  

Mon Dec  1 20:42:56 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/uri.c:

	Fix IP address detection to be less naive and drastically reduce
	false positives (triggered ie. by elinks -dump links-2.1pre14 bug
	reported by Jonas).  

Mon Dec  1 20:31:07 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.c, dialogs/status.c, sched/session.c,
	sched/session.h:

	Cache ui.window_title option in the session struct so we don't check
	in the status updating hotspot.  

Mon Dec  1 19:49:11 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/status.c, terminal/kbd.c:

	We cannot check option values in slaves because their option system
	may be out of sync. This was done for the ui.window_title option.
	Instead check it at the top level in print_screen_status().  
	
	Fixes debian bug #209303: "window_title gets ignored by secondary
	instances".  

Mon Dec  1 19:04:22 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/document.c:

	When I say fix, I mean fix.  

Mon Dec  1 19:03:51 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/document.c:

	Whoops, fixed typo fix introduced in the latest patch. Spotted by
	Jonas.  

Mon Dec  1 19:01:32 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/document.c:

	Revert part of rev. 1.13 Jonas' merge of shrink_format_cache() and
	delete_unused_format_cache_entries(). The two-phase cache cleanup
	was reintroduced, thus hopefully fixing huge memory leaks
	(basically, almost no documents were voluntarily freed from the
	cache. This could also somehow affect bug 297, but probably not.  

Mon Dec  1 18:55:14 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/document.c:

	Reverted latest shrink_format_cache() change, it is still wrong.  

Mon Dec  1 18:42:24 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/document.c:

	Do not break when the format cache size is within the value of
	format.size but keep looping to also check out of sync entries. This
	is more in the spirit of the original cache shrinking code.  

Mon Dec  1 18:28:38 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Typo fix.  

Mon Dec  1 18:28:03 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Fixed trying to run already running connection.  

Mon Dec  1 18:23:37 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.c, document/document.c, document/document.h:

	Check that format_cache_entries is in sync and do not allow
	recalculation.  

Mon Dec  1 18:13:21 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/: document.c, document.h, renderer.c:

	Pass cache_entry to init_document() so cache locking is handled in
	the document lifecycle functions. Also move global document option
	re-initialization.  

Mon Dec  1 18:06:04 2003  Petr Baudis <pasky@ucw.cz>:

	* src/mime/backend/common.c:

	If @filenamelen is zero in get_next_path_filename(), return NULL.
	This fixes infinite loop in protocol/file/cgi.c:test_path().  

Mon Dec  1 16:33:26 2003  Petr Baudis <pasky@ucw.cz>:

	* src/scripting/lua/core.c:

	Added missing includes.  

Mon Dec  1 16:08:02 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Use horizontal border line as tab separator.  

Mon Dec  1 16:05:47 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: document/document.c, document/refresh.c,
	document/renderer.c, document/plain/renderer.c,
	protocol/protocol.c, protocol/user.c, sched/session.c,
	terminal/event.c, terminal/tab.c, viewer/dump/dump.c,
	viewer/text/form.c, viewer/text/search.c, viewer/text/textarea.c,
	viewer/text/view.c, viewer/text/vs.c:

	Fsck #includes.  

Mon Dec  1 15:45:33 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Minor simplifications.  

Mon Dec  1 15:35:50 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: document/document.c, document/html/parser.c,
	document/html/renderer.c, document/html/tables.c, sched/session.c,
	viewer/text/form.c, viewer/text/link.c, viewer/text/textarea.c:

	Defer inclusion of document/html/parser.h because of introduced
	unsafe macros (ie. 'format').  

Mon Dec  1 15:30:32 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	Include document/html/frames.h for struct frameset_param.  

Mon Dec  1 15:29:19 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/document.c:

	Added missing include terminal/window.h.  

Mon Dec  1 15:28:05 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/widget.c:

	Added missing include bfu/inphist.h.  

Mon Dec  1 15:26:54 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/hotkey.h:

	Declare struct menu_head.  

Mon Dec  1 15:26:02 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/: button.c, dialog.h:

	Include terminal/window.h in bfu/dialog.h, dlg_data->win->term is so
	common that...  

Mon Dec  1 15:23:33 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/button.c:

	Added missing include terminal/window.h.  

Mon Dec  1 15:23:00 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/widget.h:

	Added missing struct term_event decl.  

Mon Dec  1 15:21:31 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/status.c:

	Added missing includes.  

Mon Dec  1 15:20:38 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/form.h:

	Fixed missing struct doucment declaration.  

Mon Dec  1 15:19:53 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/: button.h, checkbox.h, dialog.h, group.h, hierbox.h,
	hotkey.h, inpfield.h, inphist.h, listbox.h, menu.h, msgbox.h,
	text.h, widget.h:

	Substitute includes by necessary struct declarations.  

Mon Dec  1 15:11:20 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/search.h:

	Reinclude document/view.h, we dereference struct document_view.  

Mon Dec  1 15:09:11 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/renderer.h:

	Re-include document/document.h because of enum cp_status.  

Mon Dec  1 15:06:07 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/document.c:

	Added missing include document/document.h.  

Mon Dec  1 15:04:15 2003  Petr Baudis <pasky@ucw.cz>:

	* src/cache/dialogs.h:

	Substitute includes by necessary struct declarations.  

Mon Dec  1 15:02:51 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/leds.c:

	Added missing include terminal/window.h.  

Mon Dec  1 15:01:41 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/document.c:

	Restore alphabetical order of includes.  

Mon Dec  1 15:01:28 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/document.c:

	Added missing include document/view.h.  

Mon Dec  1 15:00:43 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: sched/session.h, document/plain/renderer.h:

	Substitute includes by necessary struct declarations.  

Mon Dec  1 14:55:12 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/session.h:

	Revert accidentally committed incomplete patch.  

Mon Dec  1 14:51:33 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: config/options.c, sched/session.h:

	Fixed missing include document/document.h.  

Mon Dec  1 14:51:33 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/: connection.h, download.h:

	Substitute includes by necessary struct declarations.  

Mon Dec  1 14:41:23 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/style.c:

	Added missing include terminal/terminal.h.  

Mon Dec  1 14:40:08 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/: frames.h, parser.h, renderer.h:

	Substitute includes by necessary struct declarations.  

Mon Dec  1 14:36:52 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/style.h:

	Substitute includes by necessary struct declarations.  

Mon Dec  1 14:33:20 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/: refresh.h, renderer.h, view.h:

	Substitute includes by necessary struct declarations.  

Mon Dec  1 14:31:58 2003  Petr Baudis <pasky@ucw.cz>:

	* src/terminal/terminal.h:

	Typo fix.  

Mon Dec  1 14:31:30 2003  Petr Baudis <pasky@ucw.cz>:

	* src/terminal/terminal.h:

	Include config/option.h instead of declaring struct option. We
	rename it to option_elinks.  

Mon Dec  1 14:24:20 2003  Petr Baudis <pasky@ucw.cz>:

	* src/terminal/: color.h, draw.h, screen.h, tab.h, terminal.h,
	window.h:

	Substitute includes by necessary struct declarations.  

Mon Dec  1 14:21:49 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/date.h:

	lowlevel/ttime.* -> util/ttime.* 

Mon Dec  1 14:17:29 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/document.h:

	Declare struct screen_char instead of including terminal/draw.h.  

Mon Dec  1 14:15:31 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: cookies/cookies.c, cookies/cookies.h,
	document/html/frames.c, document/html/frames.h,
	document/html/renderer.c, document/html/renderer.h, lowlevel/dns.c,
	lowlevel/select.c, protocol/http/date.c:

	lowlevel/ttime.* -> util/ttime.* 

Mon Dec  1 14:13:04 2003  Petr Baudis <pasky@ucw.cz>:

	* src/intl/gettext/libintl.h:

	Include util/error.h only when debugging.  

Mon Dec  1 14:11:30 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/protocol.h:

	Substitute includes by necessary struct declarations.  

Mon Dec  1 14:10:38 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/uri.h:

	Declare struct string instead of including util/string.h.  

Mon Dec  1 14:10:10 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/uri.h:

	TODO about using string fields for the struct uri members.  

Mon Dec  1 14:08:20 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/: form.h, link.h, search.h, textarea.h, view.h:

	Substitute includes by necessary struct declarations.  

Mon Dec  1 14:02:28 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/dump/dump.h:

	Substitute includes by necessary struct declarations.  

Mon Dec  1 14:01:26 2003  Petr Baudis <pasky@ucw.cz>:

	* src/lowlevel/select.h:

	lowlevel/ttime.* -> util/ttime.* 

Mon Dec  1 14:00:46 2003  Petr Baudis <pasky@ucw.cz>:

	* src/lowlevel/connect.h:

	Declare struct connection instead of including sched/connection.h.  

Mon Dec  1 14:00:18 2003  Petr Baudis <pasky@ucw.cz>:

	* src/lowlevel/: connect.h, dns.h:

	Removed ancient comment.  

Mon Dec  1 13:56:41 2003  Petr Baudis <pasky@ucw.cz>:

	* src/util/conv.h:

	Added missing include <string.h>.  

Mon Dec  1 13:55:39 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: dialogs/download.c, globhist/globhist.c,
	globhist/globhist.h, lowlevel/Makefile.am, lowlevel/ttime.c,
	lowlevel/ttime.h, sched/connection.c, sched/connection.h,
	sched/download.c, sched/download.h, sched/session.c,
	util/Makefile.am, util/conv.h, util/ttime.c, util/ttime.h:

	lowlevel/ttime.* -> util/ttime.* 

Mon Dec  1 13:50:41 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: protocol/file/cgi.c, sched/connection.c,
	sched/connection.h:

	Merge connection.cgi_* to connection.cgi_pipes.  

Mon Dec  1 12:30:31 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/cgi.c:

	Minor tidyup.  

Mon Dec  1 11:28:18 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Move tab bar updating to display_tab_bar().  

Mon Dec  1 11:23:47 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/status.c:

	Move status bar updating to display_status_bar().  

Mon Dec  1 11:15:25 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/file/cgi.c:

	Remove unused variable.  

Mon Dec  1 10:57:04 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/file/cgi.c:

	Replace ugly usage of strchr with scriptlen.  

Mon Dec  1 10:51:47 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/file/cgi.c:

	Don't mangle conn->uri but use memacpy and length variable instead.  

Mon Dec  1 10:43:20 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/file/cgi.c:

	Fix last patch.  

Mon Dec  1 10:42:33 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/file/cgi.c:

	Make test path take the path length and don't do any string
	mangling.  

Mon Dec  1 09:16:38 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Mon Dec  1 06:23:46 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/: config/options.inc, protocol/file/Makefile.am,
	protocol/file/cgi.c, protocol/file/cgi.h, protocol/file/file.c,
	sched/connection.c, sched/connection.h, sched/error.c:

	Buggy CGI support.  

Mon Dec  1 05:58:28 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation update.  

Sun Nov 30 19:45:01 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: document/renderer.c, sched/history.c, sched/session.c,
	sched/session.h, viewer/text/link.c, viewer/text/view.c:

	Move session status management to separate file.  

Sun Nov 30 18:36:03 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.c, sched/session.c:

	Move ses->visible_(title|status)_bar management to change_hook.  

Sun Nov 30 16:13:36 2003  Varga Balázs <vinnui@ent.hu>:

	* po/hu.po:

	Translation updates/fixes.  

Sun Nov 30 06:42:48 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/protocol/http/: http.c, http.h:

	Preparation for CGI support.  

Sun Nov 30 00:22:23 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/view.c:

	Change horizontal scrolling back to it was before (1.276 -> 1.277) 

Sat Nov 29 23:01:56 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/session.c:

	@separater -> @separator in get_stat_msg().  

Sat Nov 29 21:58:25 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/session.c:

	Let's not use capital letters in the middle of sentence in
	get_stat_msg().  

Sat Nov 29 21:55:33 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/download.c, sched/error.c, sched/error.h,
	sched/session.c, sched/session.h:

	Move get_stat_msg() back home. Requested by pasky.  

Sat Nov 29 21:40:24 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/uri.c:

	Finally fixed the auto-file://-assuming. Now also absolute paths
	will work.  

Sat Nov 29 21:37:58 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	Make the download progress meter look like "[  7%  ]". It uses less
	space and looks spiffy too.  

Sat Nov 29 21:20:08 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/uri.c:

	Fixed ./elinks bla.html usage, broken by changes in file:// URI
	semantics changes.  

Sat Nov 29 20:55:05 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	Disable abort and delete file button in the download manager. The
	locking causing assertion failures.  

Sat Nov 29 20:39:09 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	Show download meter in the download manager.  

Sat Nov 29 19:16:55 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/dialog.c:

	Calculate x and y after layouting.  

Sat Nov 29 19:09:12 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/download.c, sched/download.c, sched/download.h:

	Do not use dialog refreshing for the download dialog but control it
	the old way.  

Sat Nov 29 19:03:49 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: dialog.c, dialog.h:

	Expose redraw_dialog() and make it control the calling of the
	layouter bassed on boolean argument.  

Sat Nov 29 18:33:08 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	Use get_stat_msg() for the download dialog.  

Sat Nov 29 18:32:03 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/: error.c, error.h, session.c:

	Make even the state message separater configurable.  

Sat Nov 29 18:18:06 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/error.c:

	Oops fix floating point exception. >:) 

Sat Nov 29 18:07:44 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/: error.c, error.h, session.c:

	Make the caller control the 'wide terminal' heuristics.  

Sat Nov 29 17:50:51 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/uri.c:

	For URL 'file://', go to the current directory.  

Sat Nov 29 17:49:17 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/error.c:

	Show elapsed time info in the status message and change the 'wide
	terminal' heuristics.  

Sat Nov 29 17:45:54 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/uri.c:

	Fixed handling of absolute paths in transform_file_url().  

Sat Nov 29 17:37:33 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/error.c:

	Inform that the speed is infact the speed.  

Sat Nov 29 17:31:12 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/error.c:

	get_stat_msg(): If the terminal is wide enough use longer names for
	values.  

Sat Nov 29 17:12:54 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/error.c:

	get_stat_msg(): Use macros for the calculations.  

Sat Nov 29 16:58:25 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/session.c:

	Remove useless global_doc_opts declaration.  

Sat Nov 29 16:56:30 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/: error.c, error.h, session.c:

	get_stat_msg() was moved to sched/error.* 

Sat Nov 29 16:46:11 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/session.c:

	get_stat_msg(): Decrease indentation by moving get_err_msg() up
	front.  

Sat Nov 29 16:12:06 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/header.c:

	parse_http_header(): Use memacpy and improve comment.  

Sat Nov 29 16:02:09 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/protocol/http/header.c:

	parse_http_header(): Fix off by one error eating non whitespace
	chars.  

Sat Nov 29 13:37:52 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/header.c:

	Compilation fix.  

Sat Nov 29 13:14:23 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/header.c:

	@h -> @value, @g -> @valend in parse_http_header().  

Sat Nov 29 13:13:22 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/header.c:

	Swapped @h and @g declaration in parse_http_header().  

Sat Nov 29 13:13:01 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/header.c:

	Described a little the value part parsing in parse_http_header().  

Sat Nov 29 13:10:08 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/header.c:

	@i -> @itempos in parse_http_header().  

Sat Nov 29 13:09:36 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/header.c:

	Minor simplifications in parse_http_header().  

Sat Nov 29 13:08:21 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/header.c:

	No need to rename parse_http_header_param().  

Sat Nov 29 13:06:22 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/header.c:

	Comment a bit what's going on in parse_http_header().  

Sat Nov 29 13:02:45 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/header.c:

	Localized @i even more in parse_http_header().  

Sat Nov 29 13:01:24 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/header.c:

	@f -> @pos in parse_http_header().  

Sat Nov 29 13:00:33 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/header.c:

	Minor tidyup of parse_http_header().  

Sat Nov 29 13:00:08 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/header.c:

	Localized @h in parse_http_header().  

Sat Nov 29 12:59:51 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/header.c:

	Simplification of @h handling in parse_http_header().  

Sat Nov 29 12:59:18 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/http/header.c:

	Localized @i, @g in parse_http_header().  

Sat Nov 29 06:01:12 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/text.c:

	Fix previous patch not handling lines being lower than max height.  

Sat Nov 29 05:40:12 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/text.c:

	Simplify bounds checking and handle more keyboard actions.  

Sat Nov 29 05:21:50 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/text.c:

	Always ensure that the maximum number of lines are available.  

Sat Nov 29 04:31:01 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/text.c, config/options.inc:

	Make real scroll bar for scrollable text. Not perfect yet (the
	scroll bar steps are not that smooth).  

Sat Nov 29 02:40:55 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/text.c:

	Only make room for top and bottom space and one button line.  

Sat Nov 29 02:38:43 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Use text scrollable for hierbox item info.  

Sat Nov 29 02:26:05 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/text.c:

	Fix some issues with resizing and add set cursor to (trivially) show
	that the text is selected.  

Sat Nov 29 02:13:34 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/widget.h:

	Cleanup widget_is_focusable() by creating text_is_scrollable()
	macro.  

Sat Nov 29 01:46:26 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/dialog.c, bfu/msgbox.c, bfu/msgbox.h, bfu/text.c,
	bfu/text.h, bfu/widget.h, dialogs/info.c:

	Readd scrollable text widgets. Basicly it is the first version but
	with a few flaws fixed. Stuff like correct trimming so we do not
	draw an extra new line and forcing the dialog to be the width of the
	longest line.  

Sat Nov 29 01:06:19 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: config/kbdbind.c, config/kbdbind.h, viewer/text/view.c:

	Introduced download-manager action, by default bound to 'D'.  

Sat Nov 29 00:53:30 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/file/file.c:

	Make it clear that the file URI we work on is pre-chewed by
	transform_file_url().  

Sat Nov 29 00:49:22 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/uri.c:

	transform_file_url(): @cwdlen localized to the if() body inserting
	cwd.  

Sat Nov 29 00:48:08 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/uri.c:

	Keep the conventions - transform_file_uri() -> transform_file_url() 

Sat Nov 29 00:47:33 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/uri.c:

	transform_file_uri() was cleaned up, goto converted to if() body.  

Sat Nov 29 00:45:42 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/uri.c:

	Zas' piggy comment sanitization in transform_file_uri().  

Sat Nov 29 00:44:39 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/uri.c:

	insert_wd() -> transform_file_uri(), added function description.  

Sat Nov 29 00:40:57 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/uri.c:

	Changed file URL sanitization in insert_wd(). Now, it is more
	standard-compilant, respecting the host part of URI, modulo few
	practical extensions to help maintain backwards compatibility (disk
	in host part for dosfs and '.' in host part denoting the current
	working directory). However, this notation is NOT
	backwards-compatible per se. It shouldn't hurt pretty much anything
	though, I believe. Note that even non-localhost hostname is assumed
	to express the local system, although that may well not be the case
	:/.  

Sat Nov 29 00:16:52 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/uri.c:

	insert_wd() cleanup - shift @url so that we don't work with big
	offsets later.  

Fri Nov 28 20:53:13 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: dialog.c, dialog.h, listbox.c:

	Calculate max dialog height like we calculate max width. This makes
	manager dialogs scale better.  

Fri Nov 28 19:49:34 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/widget.h:

	widget_is_focusable() was make static inlined.  

Fri Nov 28 19:49:03 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/dialog.c:

	Check if the selected is still focusable after the layouter has been
	called since dimension changes can affect it.  

Fri Nov 28 19:38:00 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/dialog.c, bfu/msgbox.c, bfu/msgbox.h, bfu/text.c,
	bfu/text.h, bfu/widget.h, dialogs/info.c:

	Revert my monster scrollable text widget patch.  

Fri Nov 28 18:05:26 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/view.c:

	Like vertical scrolling don't scroll horizontally when the rest of
	the document is already visible.  

Fri Nov 28 16:55:25 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/text.c:

	Fix compile error.  

Fri Nov 28 16:32:36 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/dialog.c, bfu/msgbox.c, bfu/msgbox.h, bfu/text.c,
	bfu/text.h, bfu/widget.h, dialogs/info.c:

	Implement support for scrollable text widgets. First usage is the
	Keys message box.  It is not perfect yet but has not segfaulted for
	a long time now and I would like to have a reference for further
	hacking.  
	
	Text widgets can now be focusable but only when there is actually
	anything to scroll.  This is checked after calling the layouter
	whether we should cycle focus.  
	
	Forcing redrawing while the textwidget is scrollable will resize the
	dialog (and lead to unwanted recalculations of the line splitting.
	This should maybe be fixed. Also I'd like to have some percentage
	overview (like the title bar) when we are scrolling.  

Fri Nov 28 16:16:45 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* po/it.po:

	Italian translation update.  

Fri Nov 28 16:12:06 2003  Varga Balázs <vinnui@ent.hu>:

	* po/hu.po:

	More translation updates.  

Fri Nov 28 16:00:18 2003  Varga Balázs <vinnui@ent.hu>:

	* po/hu.po:

	Hungarian translation updated.  

Fri Nov 28 15:59:11 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/plain/renderer.c:

	Strip the post data part of URL when setting document title.  

Fri Nov 28 14:47:16 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/options.inc:

	ui subtree is now auto-sorted. This should fix misplaced LED folder,
	reported iirc by zas.  

Fri Nov 28 14:02:20 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/widget.c:

	Remove an unnecessary #include "bfu/listbox.h".  

Fri Nov 28 13:47:48 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Fri Nov 28 10:57:59 2003  Peter Samek <samek@upc.uniba.sk>:

	* po/sk.po:

	Slovak translation update.  

Fri Nov 28 04:59:44 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/form.c:

	Fix whitespace noise in last patch.  

Fri Nov 28 04:58:25 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/: form.c, form.h, link.c:

	Add reset action to the link menu.  

Fri Nov 28 04:57:50 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/textarea.c:

	Minor simplification.  

Fri Nov 28 03:49:08 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/download.c, sched/download.c, sched/download.h:

	Add support for delete the file when stopping a download. Idea from
	links-2.1pre8.  

Fri Nov 28 02:24:25 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/dialog.c, bfu/dialog.h, dialogs/download.c,
	sched/download.c, sched/download.h:

	Make dialog refreshing more controllable like signaling that there
	is no need to redraw. Add dirty flag to file_download so we only
	update the dialog when needed. This should restore behaviour from
	before usage of dialog refreshing.  

Fri Nov 28 02:22:30 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Czech translation update.  

Fri Nov 28 02:18:33 2003  Petr Baudis <pasky@ucw.cz>:

	* src/dialogs/download.c:

	Stop -> Abort in the downloads manager.  

Fri Nov 28 01:51:27 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/download.c:

	Always beep when download is finished, if we are supposed to.  

Fri Nov 28 01:46:45 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/download.c, sched/download.c:

	Use real dialog refresh for the download dialog.  

Fri Nov 28 01:40:50 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/dialog.c:

	Removed strange and obvious comment.  

Fri Nov 28 01:31:40 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/download.c:

	Reverted making the notify beeping more buggy^Wclever, it breaks
	document.download.notify_bell == 2 case. Sorry Jonas, shouldn't have
	advise you w/o actually looking at the code.  

Fri Nov 28 01:06:44 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/download.c:

	Make the notify b33ping even more clever.  

Fri Nov 28 00:57:42 2003  Petr Baudis <pasky@ucw.cz>:

	* src/lowlevel/signals.c:

	Eliminate gettext() call and error() calls from check_signals(),
	both presumably quite unsafe.  

Fri Nov 28 00:53:47 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/: download.c, download.h:

	Remove file_download->ask that is apparently unused.  

Fri Nov 28 00:53:29 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/: link.c, textarea.c, textarea.h:

	Add 'Open in external editor' item to the Link menu for textarea
	form item. Hope this makes this feature more visible ;-).  

Fri Nov 28 00:48:21 2003  Petr Baudis <pasky@ucw.cz>:

	* src/lowlevel/signals.c:

	Documented assertm() being called in signal handler.  

Fri Nov 28 00:46:29 2003  Petr Baudis <pasky@ucw.cz>:

	* src/lowlevel/signals.c:

	Eliminate memset() (function unsafe in signal context) from
	install_signal_handler().  

Fri Nov 28 00:39:36 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/document.c:

	done_document(): Blast off global document option pointer if the
	document is the `owner' so we don't have a dangling pointer. Could
	fix global_doc_opts corruption reported by Zas.  

Fri Nov 28 00:26:23 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/link.c:

	Revert change to src/viewer/text: link.c (1.108 -> 1.109). "Links
	are sorted horizontally. See bug 11 for reasons." It breaks numbered
	links.  

Fri Nov 28 00:21:13 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/: Makefile.am, refresh.c, refresh.h:

	We now have more integrated dialog refreshing so remove the old one.  

Fri Nov 28 00:17:54 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/info.c:

	Use the generic refreshed message box.  

Fri Nov 28 00:17:34 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: dialog.c, msgbox.c, msgbox.h:

	Add generic refreshed message box. When refreshing we also have to
	call the layouter now.  

Thu Nov 27 21:52:56 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/download.c:

	Refresh downloads in the manager so we can show progress with simple
	percentage. Implementing meter should not be that hard now.  

Thu Nov 27 21:51:56 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: dialog.c, dialog.h:

	Add support for more generic dialog refresh.  

Thu Nov 27 21:20:47 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/: auth.c, mime.c:

	A bunch of compile fixes.  

Thu Nov 27 19:40:41 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/formhist/: dialogs.c, formhist.c:

	Indentation beautification.  

Thu Nov 27 19:26:35 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/auth.c:

	I cannot see how the auth dialog could have worked before since the
	text field data was not synced to the auth entry. At least it should
	be now.  

Thu Nov 27 19:12:48 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/formhist/formhist.c:

	Set loaded = 1 when successfully saving formhist file, this should
	definitely close bug #295-take2.  

Thu Nov 27 18:51:08 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/msgbox.c, dialogs/mime.c:

	Use default ok button handler.  

Thu Nov 27 18:43:20 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/options.c:

	Use default ok button handler.  

Thu Nov 27 18:39:24 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/button.h, bfu/dialog.c, bfu/dialog.h, bfu/widget.h,
	dialogs/edit.c, scripting/lua/core.c:

	Introduce a default ok handler to make a cleaner interface than the
	current dlg->refresh(_data).  

Thu Nov 27 16:02:58 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/tables.c:

	Create wrapper for cell formatting.  

Thu Nov 27 14:17:05 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Correctly pass the delete error type.  

Thu Nov 27 14:08:17 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Check if the item is used before asking whether the user wants to
	delete it.  

Thu Nov 27 14:05:21 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/: event.c, terminal.c:

	Lock the 'real' term->spec .. not the _template_ :/ 

Thu Nov 27 13:59:11 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Fix hierbox delete actions by propagating delete properties from
	parents to children.  

Thu Nov 27 13:56:27 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/terminal.c:

	Just another compile fix[tm].  

Thu Nov 27 13:53:03 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/terminal/terminal.c:

	Lock the term->spec option tree so it won't be deleted.  

Thu Nov 27 13:16:06 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/kbdbind.c:

	Fix superfluous blank line between text and OK button in the
	Help::Keys dialogs.  

Thu Nov 27 13:09:52 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Remove FIXME.  

Thu Nov 27 13:08:01 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/mime/backend/: mailcap.c, mimetypes.c:

	Paranoid handling in mailcap / mimetypes MIME when running in
	anonymous mode. They will now disable themselves. Enable checking
	was moved to the entry functions.  

Thu Nov 27 12:42:01 2003  Laurent Monin <zas@norz.org>:

	* po/be.po, po/bg.po, po/ca.po, po/cs.po, po/da.po, po/de.po,
	po/el.po, po/es.po, po/et.po, po/fi.po, po/fr.po, po/gl.po,
	po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po, po/leet.po,
	po/lt.po, po/nl.po, po/no.po, po/pl.po, po/pt.po, po/pt_BR.po,
	po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po,
	src/bfu/leds.c:

	Description of LEDs is now more complete. .po files were resynced
	and french translation was updated.  

Thu Nov 27 12:16:56 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated and improved.  

Thu Nov 27 11:34:45 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/dialogs.c:

	Try to hint more to the new users - in the info window, show that
	space expands the folder if you open the info window upon a folder.  

Thu Nov 27 11:16:01 2003  Laurent Monin <zas@norz.org>:

	* src/bfu/listbox.c:

	A segfault occuring when calling keybinding manager was fixed, it
	was introduced by rev 1.123. No ops case is now handled correctly.
	It closes bug 298.  

Thu Nov 27 08:11:26 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Thu Nov 27 06:56:48 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/sched/: download.c, download.h, session.c:

	Simplification.  

Thu Nov 27 06:31:59 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Polish translation update.  

Thu Nov 27 03:47:03 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Use print_delete_error().  

Thu Nov 27 03:13:45 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/listbox.c:

	When resizing ensure that the selected item is moved into the
	hierbox browsers visible area. Fixes bug 58.  

Thu Nov 27 02:14:28 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/auth.c:

	No need to call ok_dialog() since we just want to cancel the dialog.  

Thu Nov 27 02:06:59 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/inpfield.c:

	No need to call ok_dialog() since input_field_ok() already does
	everything it does. Use macro to check whether to add to history.  

Thu Nov 27 01:55:51 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/viewer/text/search.c:

	No need to call ok_dialog() since we have already done everything it
	does and we really just want to nuke the dialog.  

Thu Nov 27 01:55:02 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/mime.c:

	Ok I try once more (although I should really go to bed). Dialog
	checking should now be ok when adding mime extensions.  

Thu Nov 27 01:43:16 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/mime.c:

	Fix last patch. We should of course also check dialog data.  

Thu Nov 27 01:19:12 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/mime.c:

	Use real button handler in the add mime extensions dialog.  

Thu Nov 27 01:06:41 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/globhist/dialogs.c:

	Don't allow to bookmark glohist entries in anonymous mode.  

Thu Nov 27 01:05:18 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/options.c:

	Don't show terminal option save button in anonymous mode.  

Thu Nov 27 00:49:23 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/options.c:

	Fix last patch to proxy ok button handler.  

Thu Nov 27 00:38:31 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/options.c:

	Use button handler to do the terminal resizing and not dlg->refresh.  

Thu Nov 27 00:29:40 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/auth.c:

	Fix bad usage of dlg->refresh_data .. instead use dlg->udata.  

Thu Nov 27 00:05:06 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: config/options.inc, document/options.c, document/options.h,
	document/html/renderer.c:

	Add new option to control handling of non breaking space. If set it
	means do not honour non breaking space (the nbsp entity) but allow
	to wrap the text.  This can help keeping the width of documents down
	so no horizontal scrolling is needed. This is a partial fix of bug
	292 "Text should wrap on screen boundary".  

Wed Nov 26 23:49:45 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/listbox.c, bfu/listbox.h, bookmarks/dialogs.c,
	cache/dialogs.c, config/dialogs.c, cookies/dialogs.c,
	dialogs/download.c, formhist/dialogs.c, globhist/dialogs.c:

	Add support for listbox specific drawing operations. For now it is
	used by download to trim long urls with ending dots.  

Wed Nov 26 23:03:34 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Rename delete_info -> context.  

Wed Nov 26 23:02:31 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Rename action_info -> context.  

Wed Nov 26 23:01:05 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Replace hierbox_action_info structure with listbox_context.  

Wed Nov 26 22:55:59 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/listbox.h:

	Add listbox_item and fix comment.  

Wed Nov 26 22:44:51 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Use listbox_context in test_search() when moving to parent box.  

Wed Nov 26 22:42:07 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	Initialize html_top.invisible to 1, not ELEMENT_DONT_KILL.  

Wed Nov 26 22:35:28 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: listbox.c, listbox.h:

	Move box_context to header and rename to listbox_context. This
	should be shared so we don't end up with 30 context data structure.  

Wed Nov 26 22:31:20 2003  Petr Baudis <pasky@ucw.cz>:

	* src/formhist/dialogs.c:

	Make it explicit in the info dialog that forms are saved for the
	given URL. I'm getting a bit tired'n'sleepy so maybe this isn't 100%
	best, but it looks like a good idea now :).  

Wed Nov 26 22:30:25 2003  Petr Baudis <pasky@ucw.cz>:

	* src/formhist/dialogs.c:

	Dontsave button label changed from 'Toggle enable' to 'Toggle
	saving'.  

Wed Nov 26 22:27:39 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/dialogs.c:

	Do not permit adding of new keybindings in anonymous mode.  

Wed Nov 26 22:26:30 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/protocol.c:

	Update the includes, we moved stuff.  

Wed Nov 26 22:25:54 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bookmarks/dialogs.c:

	Disallow bookmarks changes in anonymous mode.  

Wed Nov 26 22:21:48 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/listbox.c:

	dislpay_listbox_item(): Minor simplification.  

Wed Nov 26 22:16:32 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in, src/Makefile.am, src/protocol/Makefile.am,
	src/protocol/file.c, src/protocol/file.h,
	src/protocol/file/Makefile.am, src/protocol/file/file.c,
	src/protocol/file/file.h:

	protocol/file.* -> protocol/file/file.* 

Wed Nov 26 22:14:29 2003  Petr Baudis <pasky@ucw.cz>:

	* configure.in, src/Makefile.am, src/protocol/Makefile.am,
	src/protocol/ftp.c, src/protocol/ftp.h, src/protocol/ftpparse.c,
	src/protocol/ftpparse.h, src/protocol/ftp/Makefile.am,
	src/protocol/ftp/ftp.c, src/protocol/ftp/ftp.h,
	src/protocol/ftp/ftpparse.c, src/protocol/ftp/ftpparse.h:

	src/protocol/ftp(parse).* -> src/protocol/ftp/ftp(parse).* 

Wed Nov 26 22:10:24 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/: ftpparse.c, ftp/ftpparse.c:

	Reindentations, to keep the indentation at least a little in
	control.  

Wed Nov 26 22:06:40 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/dialog.c:

	Remove useless prototype.  

Wed Nov 26 22:05:38 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/: ftpparse.c, ftp/ftpparse.c:

	Correct protocol/ftpparse.h inclusion.  

Wed Nov 26 22:01:49 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/: file/.cvsignore, file/.vimrc, ftp/.cvsignore,
	ftp/.vimrc:

	Added fairies.  

Wed Nov 26 21:59:32 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/document/html/parser.c:

	Fix error introduced in parser.c (1.270 -> 1.271). Spotted by pasky.  

Wed Nov 26 21:58:57 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/renderer.c:

	Complete SP_FRAMESET root frameset setting condition, being lost in
	Jonas' not passing of @document to create_frameset(). (r1.379) 

Wed Nov 26 21:52:27 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/formhist/dialogs.c:

	Add button to toggle formhist_data->dontsave requested by zas (and
	also fix call to ensure that form history has been loaded when the
	manager is opened.  

Wed Nov 26 21:48:43 2003  Petr Baudis <pasky@ucw.cz>:

	* src/protocol/: ftp.c, ftp/ftp.c:

	Reindent some tiny bits more intelligently than Jonas ;-).  

Wed Nov 26 21:39:20 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, bfu/hierbox.h, bookmarks/dialogs.c,
	cache/dialogs.c, config/dialogs.c, cookies/dialogs.c,
	formhist/dialogs.c, globhist/dialogs.c:

	Add flag member to hierbox_button to signal whether the button
	should be shown when elinks runs in anonymous mode. This is (IMHO) a
	more proper fix compared to paskys previous (buggy ;-) patch that
	dublicated code since hierbox_browser() will take care of the logics
	for us.  

Wed Nov 26 21:33:15 2003  Petr Baudis <pasky@ucw.cz>:

	* doc/hacking.txt:

	Do not optimize-thru-group structures if that would break logical
	structure.  

Wed Nov 26 21:27:52 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/search.c:

	Minor fix_next_link_in_search() tidyup.  

Wed Nov 26 21:27:15 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/search.c:

	Localize the variables to an inner loop in
	fix_next_link_in_search().  

Wed Nov 26 21:15:50 2003  Jonas Fonseca <fonseca@diku.dk>:

	* NEWS:

	Mention mimetypes file support as part of new MIME subsystem. Add
	download manager and displaying of URIs in plain text documents.  

Wed Nov 26 21:08:31 2003  Petr Baudis <pasky@ucw.cz>:

	* src/cookies/cookies.c:

	When !cookies.expire, its more usual meaning is just that the cookie
	should not be saved and expires with ELinks quitting.  

Wed Nov 26 20:58:44 2003  Laurent Monin <zas@norz.org>:

	* src/formhist/formhist.c:

	Skip fields lines if any, even if dontsave is set.  

Wed Nov 26 20:35:12 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: protocol/uri.c, protocol/uri.h, sched/session.c:

	extract_position() -> extract_fragment() 

Wed Nov 26 20:34:25 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Wed Nov 26 20:30:13 2003  Laurent Monin <zas@norz.org>:

	* src/formhist/dialogs.c:

	Info about save/dontsave was added to dialog.  

Wed Nov 26 19:39:31 2003  Laurent Monin <zas@norz.org>:

	* src/formhist/: dialogs.c, formhist.c, formhist.h:

	Formhist was fixed.  A field dontsave was added to struct
	formhist_data.  Load/save functions are now named
	load_forms_from_file() and save_forms_to_file(),
	form_already_saved() was renamed to form_exists(), old names were
	ambiguous (save to memory or file).  Cleanup and simplifications.  

Wed Nov 26 18:27:02 2003  Petr Baudis <pasky@ucw.cz>:

	* src/scripting/lua/core.c:

	Do not show the lua console in anonymous mode.  

Wed Nov 26 18:24:57 2003  Petr Baudis <pasky@ucw.cz>:

	* src/cookies/cookies.c:

	Do not save cookies in anonymous mode.  

Wed Nov 26 18:21:34 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: formhist/dialogs.c, cookies/dialogs.c:

	Do not offer the [ Save ] button in anonymous mode.  

Wed Nov 26 18:17:45 2003  Petr Baudis <pasky@ucw.cz>:

	* src/formhist/formhist.c:

	Never save formhist to disk in anonymous mode.  

Wed Nov 26 18:17:13 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Fix wrong error message order.  

Wed Nov 26 18:14:41 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: bookmarks/bookmarks.c, viewer/text/view.c:

	Enable bookmark manager even for anonymous users, but never actually
	save anything to disk. Useful for having some predefined bookmarks
	for the anonymous users.  

Wed Nov 26 18:09:04 2003  Petr Baudis <pasky@ucw.cz>:

	* src/globhist/globhist.c:

	Do not read/write globhist when anonymous.  

Wed Nov 26 17:59:45 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/view.c:

	Paranoia: disallow anonymous users to save formatted.  

Wed Nov 26 17:59:32 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Make delete error printing more generic and handle undeletability
	(;/) even tho' it is a corner case.  

Wed Nov 26 17:41:15 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Wed Nov 26 17:35:54 2003  Peter Samek <samek@upc.uniba.sk>:

	* po/sk.po:

	Slovak translation update.  

Wed Nov 26 16:44:59 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bfu/listbox.c:

	Minor clarification of traverse_listbox_items_list() description.  

Wed Nov 26 16:19:10 2003  Petr Baudis <pasky@ucw.cz>:

	* src/bookmarks/dialogs.c:

	Recovery path for assertm().  

Wed Nov 26 14:31:13 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Don't center hierbox message boxes that contains additional item
	info.  

Wed Nov 26 14:23:50 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/listbox.c:

	Don't allocate the box_context but use a local one.  

Wed Nov 26 14:10:37 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	Add missing NULL_MENU_ITEM in the tools menu.  

Wed Nov 26 13:39:40 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/util/memlist.c:

	Clarify freeml's second comment.  

Wed Nov 26 13:13:23 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/viewer/text/form.c:

	In get_form_url, fix a memory leak that could occur if malloc
	failed.  

Wed Nov 26 13:00:39 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/protocol/: file.c, file/file.c:

	In try_encoding_extensions, use memcpy instead of safe_strncpy as we
	already have the length of the string.  

Wed Nov 26 12:44:16 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bookmarks/dialogs.c:

	In bookmark_search_do, use assertm() instead of if and internal().  

Wed Nov 26 12:33:13 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/listbox.c:

	Fix an omission in my last commit: Explain the significance of @fn's
	return value.  

Wed Nov 26 12:28:37 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/bfu/listbox.c:

	Rewrite traverse_listbox_items_list's comment for clarity and
	accuracy.  

Wed Nov 26 11:45:24 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/sched/download.c:

	Give tp_cancel() and tp_free() the static keyword.  

Wed Nov 26 11:34:52 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/dialogs/menu.c:

	Now that the items have their own menu with many keyboard
	accellerators free, change the accellerators for the items on the
	Tools menu to be more intuitive. This also fixes a conflict between
	Global histor~y and Form histor~y that was introduced in
	src/dialogs/menu.c:1.196->1.197.  

Wed Nov 26 11:29:40 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/: bfu/hierbox.c, bfu/hierbox.h, cookies/cookies.c,
	cache/cache.c, formhist/formhist.c, globhist/globhist.c,
	sched/download.c:

	Rename init_browser_box to init_browser_box_item and rename its @box
	variable to @item.  

Wed Nov 26 11:19:15 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/formhist/formhist.c:

	Fix some memory leaks that could occur if malloc failed.  

Wed Nov 26 04:47:38 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/dialogs/menu.c:

	The download main menu item has been made obsolete by the download
	manager.  

Wed Nov 26 04:43:52 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/download.c, dialogs/download.h, dialogs/menu.c,
	sched/download.c, sched/download.h:

	More tools. Presenting a new and shiny download manager using under
	132 lines of code. The managers sure are cheap these days. :) 

Wed Nov 26 04:28:52 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.c:

	Fix leak when deleting by proceeding even if msg is NULL.  

Wed Nov 26 04:10:07 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/cookies/cookies.c:

	Compile fix.  

Wed Nov 26 04:07:48 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/cookies/cookies.c:

	object_nolock(cookie) when initializing.  

Wed Nov 26 03:19:22 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/listbox.c:

	Rename all widget_data variables to widget_data.  

Wed Nov 26 01:29:20 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/Makefile.am, dialogs/download.c,
	dialogs/download.h, dialogs/menu.c, sched/download.c,
	sched/download.h:

	Move download dialog to separate file.  

Wed Nov 26 01:27:09 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/sched/error.c:

	Include own header.  

Wed Nov 26 00:18:18 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/dialogs/menu.c:

	Moved the managers to the Tools menu.  

Tue Nov 25 22:59:45 2003  Petr Baudis <pasky@ucw.cz>:

	* NEWS:

	Cookies manager, cache manager 

Tue Nov 25 22:57:00 2003  Petr Baudis <pasky@ucw.cz>:

	* NEWS:

	Forms history.  

Tue Nov 25 22:56:09 2003  Petr Baudis <pasky@ucw.cz>:

	* NEWS:

	Marks support.  

Tue Nov 25 22:55:02 2003  Petr Baudis <pasky@ucw.cz>:

	* src/: main.c, config/kbdbind.c, config/kbdbind.h,
	sched/session.h, viewer/text/Makefile.am, viewer/text/marks.c,
	viewer/text/marks.h, viewer/text/view.c:

	Marks support. Rather simple for now, especially you can jump only
	between marks set in the current document for now. (The marks have
	only single namespace over all the documents, though.) 

Tue Nov 25 22:03:41 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Czech translation update.  

Tue Nov 25 21:58:21 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/: conf.c, opttypes.c:

	Re-fixed bug 216, ELinks should now correctly save already-saved
	aliases. It would be better if it actually deleted the aliases, but
	that'd be more complicated and I don't want to get into *this*
	trouble right now.  

Tue Nov 25 21:45:34 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/opttypes.c:

	The redir_*() handlers having tons of duplicate code were unified to
	just frontends to a single wrap_or_() backend. F33r d4 pr3pr0c3ss0r.  

Tue Nov 25 21:27:12 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/conf.c:

	Reverted my old fix (1.86) for bug 216 (invalid saving of aliased
	options). It does not work, it turns out, and needs to be approached
	from entirely different way.  

Tue Nov 25 21:23:51 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/conf.c:

	Simplify parse_config_file()'s inner loop a little.  

Tue Nov 25 21:06:10 2003  Petr Baudis <pasky@ucw.cz>:

	* src/config/kbdbind.c:

	goto-url-home was rebound from 'm' to 'H' (by default) 

Tue Nov 25 19:48:01 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* po/it.po:

	Italian translation updated.  

Tue Nov 25 19:46:35 2003  Petr Baudis <pasky@ucw.cz>:

	* src/sched/session.h:

	Removed apparently-dead kbdprefix.prefix.  

Tue Nov 25 19:35:37 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/listbox.c:

	Fix compile error.  

Tue Nov 25 18:04:03 2003  Peter Samek <samek@upc.uniba.sk>:

	* po/sk.po:

	Slovak translation update.  

Tue Nov 25 16:08:25 2003  Peter Samek <samek@upc.uniba.sk>:

	* po/sk.po:

	Slovak translation update.  

Tue Nov 25 13:29:34 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, bfu/listbox.c, bfu/listbox.h,
	bookmarks/bookmarks.c, bookmarks/dialogs.c, config/kbdbind.c,
	config/options.c, globhist/dialogs.c:

	Remove listbox_items box member. That part of the design was (to me)
	a bit confusing since the items should not need know anything about
	the listbox_data because it is dynamic and we can easily derive the
	``correct'' box data in all functions that uses it.
	traverse_listbox_items_list() was updated to take the box data as an
	argument.  

Tue Nov 25 12:51:33 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/opttypes.c:

	Minor simplification.  

Tue Nov 25 10:09:13 2003  Miciah Dashiel Butler Masters <miciah@myrealbox.com>:

	* src/config/dialogs.c:

	Fix can_delete_option to check whether the _parent_ option has the
	auto-create flag.  

Tue Nov 25 08:42:29 2003  Laurent Monin <zas@norz.org>:

	* po/be.po, po/bg.po, po/ca.po, po/cs.po, po/da.po, po/de.po,
	po/el.po, po/es.po, po/et.po, po/fi.po, po/fr.po, po/gl.po,
	po/hr.po, po/hu.po, po/id.po, po/is.po, po/it.po, po/leet.po,
	po/lt.po, po/nl.po, po/no.po, po/pl.po, po/pt.po, po/pt_BR.po,
	po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po,
	src/dialogs/menu.c:

	Hotkey was added for form history menu entry. French translation was
	updated and .po files resynced.  

Tue Nov 25 01:12:29 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/dialogs.c:

	Use generic delete button in the option manager.  

Tue Nov 25 01:07:29 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/hierbox.c, bfu/listbox.c, bfu/listbox.h,
	bookmarks/dialogs.c, cache/dialogs.c, config/dialogs.c,
	cookies/dialogs.c, formhist/dialogs.c, globhist/dialogs.c:

	Add can_delete() method to listbox_ops.  

Tue Nov 25 00:34:09 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/config/: dialogs.c, options.h:

	Introduce listbox_ops implementation for options and use it for the
	info button.  

Mon Nov 24 23:41:18 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/globhist/dialogs.c:

	Add comments for each button sectino and remove legacy code.  

Mon Nov 24 23:34:23 2003  Laurent Monin <zas@norz.org>:

	* src/formhist/: dialogs.c, formhist.h:

	Formhist item info box is now more complete.  

Mon Nov 24 23:22:25 2003  Laurent Monin <zas@norz.org>:

	* src/formhist/formhist.c:

	Typos fixes, oops. Compare types too in form_already_saved().  

Mon Nov 24 23:22:01 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/: dump/dump.c, text/vs.c, text/vs.h:

	Hrmpf. Reverted the view_state refcounting. It is not the way for
	the thing I ponder about ;-).  

Mon Nov 24 23:11:11 2003  Laurent Monin <zas@norz.org>:

	* src/formhist/formhist.c:

	Full field type information is now saved. formhist file format
	changed again (but now is more coherent), new file format will be
	automagically used and old files converted.  

Mon Nov 24 23:06:40 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/dump/dump.c:

	lock/unlock @vs we create for render_document() just in case we'd do
	something with it refcounting-wise along the way.  

Mon Nov 24 22:58:32 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/vs.h:

	Introduced release_vs(), which unlocks view_state and destroy it if
	it becomes unused.  

Mon Nov 24 22:56:02 2003  Petr Baudis <pasky@ucw.cz>:

	* src/viewer/text/: vs.c, vs.h:

	Added view_state.refcount.  

Mon Nov 24 22:39:45 2003  Petr Baudis <pasky@ucw.cz>:

	* src/document/html/parser.c:

	Finally fixed segfault on <frameset rows="200,*"> on FreeBSD (and
	maybe other BSD flavours). This was reported by various people,
	especially thanks to #linux.cz staff and guli for providing account
	on FBSD so that I could fix this. The fix was inspired by a patch
	(http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/56668) by Mário
	Freitas <sub_0@netcabo.pt> included in the FreeBSD port, but it is
	slightly more paranoid.  

Mon Nov 24 20:46:49 2003  Petr Baudis <pasky@ucw.cz>:

	* po/cs.po:

	Czech translation update.  

Mon Nov 24 18:22:21 2003  Peter Samek <samek@upc.uniba.sk>:

	* po/sk.po:

	Slovak translation update.  

Mon Nov 24 17:35:48 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/formhist/formhist.c:

	Mark the password entry in formhist file. This is a format change,
	please add a '*' at the beginning of each password entry in the
	file.  

Mon Nov 24 17:07:09 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/formhist/: dialogs.c, formhist.c, formhist.h:

	Load saved forms on formhist dialog opening.  

Mon Nov 24 17:01:17 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/formhist/formhist.c:

	Fix a memory leak.  

Mon Nov 24 16:42:24 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/formhist/dialogs.c:

	Add login button to the form history manager. It uses the generic
	hierbox goto handler.  

Mon Nov 24 16:35:00 2003  Fabio Bonelli <fabiobonelli@libero.it>:

	* src/sched/: download.c, session.c, session.h:

	Fix a crash when trying to download from a unknown protocol.  

Mon Nov 24 16:34:43 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/formhist/dialogs.c:

	Fix comment.  

Mon Nov 24 16:34:25 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/hierbox.h:

	Fix off by one error that caused the last button to be hidden.  

Mon Nov 24 16:23:39 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: dialogs/menu.c, formhist/Makefile.am, formhist/dialogs.c,
	formhist/dialogs.h, formhist/formhist.c, formhist/formhist.h:

	Add form history manager.  

Mon Nov 24 13:30:01 2003  Laurent Monin <zas@norz.org>:

	* contrib/lua/: bm.lua, hooks.lua.in, md5check.lua:

	Dumbprefix "bug" now exists and is a synonym of "bz", linked to
	"http://bugzilla.elinks.or.cz". Trailing spaces were removed.  

Mon Nov 24 13:15:48 2003  Laurent Monin <zas@norz.org>:

	* src/scripting/lua/core.c:

	Elinksification.  

Mon Nov 24 12:00:33 2003  Laurent Monin <zas@norz.org>:

	* src/: setup.h, bookmarks/backend/default.c,
	bookmarks/backend/xbel.c, config/conf.c, config/urlhist.c,
	cookies/cookies.c, formhist/formhist.c, globhist/globhist.c,
	scripting/lua/core.c, viewer/text/search.c:

	Macros are now used for all filenames.  

Mon Nov 24 08:18:45 2003  Laurent Monin <zas@norz.org>:

	* po/fr.po:

	French translation was updated.  

Mon Nov 24 06:54:13 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Back to previous version.  

Mon Nov 24 06:46:36 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* po/pl.po:

	Grammar fix.  

Mon Nov 24 04:45:15 2003  Witold Filipczyk <witekfl@poczta.gazeta.pl>:

	* src/viewer/text/link.c:

	Links are sorted horizontally. See bug 11 for reasons.  

Mon Nov 24 01:22:20 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/: bfu/inpfield.c, config/dialogs.c, dialogs/auth.c,
	dialogs/edit.c, dialogs/mime.c, dialogs/options.c,
	scripting/lua/core.c, viewer/text/search.c:

	Use get_dialog_offset() all over the place to get added dialog
	memory.  

Mon Nov 24 01:10:53 2003  Jonas Fonseca <fonseca@diku.dk>:

	* src/bfu/: dialog.h, hierbox.c, listbox.c, listbox.h:

	Allocate listbox_data as 'add_size' when creating the hierbox
	browser.  

